
/* vsdoc for goog.asserts.AssertionError */

(function (window) {
    window.goog.asserts = window.goog.asserts || {};

    window.goog.asserts.AssertionError = function(messagePattern, messageArgs){
        /// <summary></summary>
        /// <param name="messagePattern" type="string">The pattern that was used to form message.</param>
        /// <param name="messageArgs" type="!Array.*">The items to substitute into the pattern.</param>
        /// <field name="messagePattern" type="string">The message pattern used to format the error message. Error handlers can
        /// use this to uniquely identify the assertion.</field>
        /// <field name="name" type=""></field>
        /// <returns type="goog.asserts.AssertionError"/>
    };

    var $x = window.goog.asserts.AssertionError;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.asserts.AssertionError";
})(this);
