
/* vsdoc for goog.db.Error */

(function (window) {
    window.goog.db = window.goog.db || {};

    window.goog.db.Error = function(code, context, opt_message){
        /// <summary></summary>
        /// <param name="code" type="number">The error code.</param>
        /// <param name="context" type="string">A description of where the error occured.</param>
        /// <param name="opt_message" type="string=">Additional message.</param>
        /// <field name="code" type="number">The code for this error.</field>
        /// <field name="ErrorCode" type="">Error codes for database errors.</field>
        /// <returns type="goog.db.Error"/>
    };

    var $x = window.goog.db.Error;
    $x.prototype = {
                
        getMessage: function(code) {
            /// <summary>Translates an error code into a more useful message.</summary>
            /// <param name="code" type="number">Error code.</param>
            /// <returns type="string">A debug message.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.db.Error";
})(this);
