
/* vsdoc for goog.debug.HtmlFormatter */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.HtmlFormatter = function(opt_prefix){
        /// <summary></summary>
        /// <param name="opt_prefix" type="string=">The prefix to place before text records.</param>
        /// <field name="showExceptionText" type="boolean">Whether to show the logger exception text</field>
        /// <returns type="goog.debug.HtmlFormatter"/>
    };

    var $x = window.goog.debug.HtmlFormatter;
    $x.prototype = {
                
        formatRecord: function(logRecord) {
            /// <summary>Formats a record</summary>
            /// <param name="logRecord" type="goog.debug.LogRecord">the logRecord to format.</param>
            /// <returns type="string">The formatted string as html.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.HtmlFormatter";
})(this);
