
/* vsdoc for goog.dom.RangeIterator */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.RangeIterator = function(node, opt_reverse){
        /// <summary></summary>
        /// <param name="node" type="Node">The node to start traversal at.  When null, creates an
        ///     empty iterator.</param>
        /// <param name="opt_reverse" type="boolean=">Whether to traverse nodes in reverse.</param>
        /// <field name="getStartTextOffset" type="number"></field>
        /// <field name="getEndTextOffset" type="number"></field>
        /// <field name="getStartNode" type="Node"></field>
        /// <field name="getEndNode" type="Node"></field>
        /// <field name="isLast" type="boolean"></field>
        /// <returns type="goog.dom.RangeIterator"/>
    };

    var $x = window.goog.dom.RangeIterator;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.RangeIterator";
})(this);
