
/* vsdoc for goog.dom.SavedRange */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.SavedRange = function(){
        /// <summary></summary>
        /// <field name="restoreInternal" type="goog.dom.AbstractRange">Internal method to restore the saved range.</field>
        /// <returns type="goog.dom.SavedRange"/>
    };

    var $x = window.goog.dom.SavedRange;
    $x.prototype = {
                
        restore: function(opt_stayAlive) {
            /// <summary>Restores the range and by default disposes of the saved copy.  Take note:
            /// this means the by default SavedRange objects are single use objects.</summary>
            /// <param name="opt_stayAlive" type="boolean=">Whether this SavedRange should stay alive
            ///     (not be disposed) after restoring the range. Defaults to false (dispose).</param>
            /// <returns type="goog.dom.AbstractRange">The restored range.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.SavedRange";
})(this);
