
/* vsdoc for goog.dom.pattern.NodeType */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.NodeType = function(nodeType){
        /// <summary></summary>
        /// <param name="nodeType" type="goog.dom.NodeType">The node type to match.</param>
        /// <returns type="goog.dom.pattern.NodeType"/>
    };

    var $x = window.goog.dom.pattern.NodeType;
    $x.prototype = {
                
        matchToken: function(token, type) {
            /// <summary>Test whether the given token is a text token which matches the string or
            /// regular expression provided in the constructor.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">&lt;code&gt;MATCH&lt;/code&gt; if the pattern
            ///     matches, &lt;code&gt;NO_MATCH&lt;/code&gt; otherwise.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.NodeType";
})(this);
