
/* vsdoc for goog.ds.AbstractFastDataNode */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.AbstractFastDataNode = function(dataName, opt_parent){
        /// <summary></summary>
        /// <param name="dataName" type="string">Name of the datanode.</param>
        /// <param name="opt_parent" type="goog.ds.DataNode=">Parent of this data node.</param>
        /// <returns type="goog.ds.AbstractFastDataNode"/>
    };

    var $x = window.goog.ds.AbstractFastDataNode;
    $x.prototype = {
                
        getDataName: function() {
            /// <summary>Return the name of this data node.</summary>
            /// <returns type="string">Name of this data noden.</returns>
        }, 
        
        setDataName: function(value) {
            /// <summary>Set the name of this data node.</summary>
            /// <param name="value" type="string">Name.</param>
        }, 
        
        getDataPath: function() {
            /// <summary>Get the path leading to this data node.</summary>
            /// <returns type="string">Data path.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.AbstractFastDataNode";
})(this);
