
/* vsdoc for goog.ds.DataNodeList */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.DataNodeList = function(){
        /// <summary></summary>
        /// <field name="add" type="">Add a node to the node list.
        /// If the node has a dataName, uses this for the key in the map.</field>
        /// <field name="get" type="*">Get a node by string key.
        /// Returns null if node doesn&apos;t exist.</field>
        /// <field name="getByIndex" type="goog.ds.DataNode">Get a node by index
        /// Returns null if the index is out of range</field>
        /// <field name="getCount" type="number">Gets the size of the node list</field>
        /// <field name="setNode" type="">Sets a node in the list of a given name</field>
        /// <field name="removeNode" type="boolean">Removes a node in the list of a given name</field>
        /// <returns type="goog.ds.DataNodeList"/>
    };

    var $x = window.goog.ds.DataNodeList;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.DataNodeList";
})(this);
