
/* vsdoc for goog.ds.JsPropertyDataSource */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.JsPropertyDataSource = function(parent, dataName, opt_parentDataNode){
        /// <summary></summary>
        /// <param name="parent" type="goog.ds.DataNode">Parent object.</param>
        /// <param name="dataName" type="string">Name of this property.</param>
        /// <param name="opt_parentDataNode" type="goog.ds.DataNode=">The parent data node. If
        ///     omitted, assumes that the parent object is the parent data node.</param>
        /// <returns type="goog.ds.JsPropertyDataSource"/>
    };

    var $x = window.goog.ds.JsPropertyDataSource;
    $x.prototype = {
                
        get: function() {
            /// <summary>Get the value of the node</summary>
            /// <returns type="Object">The value of the node, or null if no value.</returns>
        }, 
        
        set: function(value) {
            /// <summary>Set the value of the node</summary>
            /// <param name="value" type="Object">The new value of the node.</param>
        }, 
        
        getDataName: function() {
            /// <summary>Get the name of the node relative to the parent node</summary>
            /// <returns type="string">The name of the node.</returns>
        }, 
        
        getParent: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.JsPropertyDataSource";
})(this);
