
/* vsdoc for goog.ds.Util */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.Util = {
        /// <summary></summary>
        /// <returns type="goog.ds.Util"/>
                
        makeReferenceNode: function(node, name) {
            /// <summary>Create a data node that references another data node,
            /// useful for pointer-like functionality.
            /// All functions will return same values as the original node except for
            /// getDataName()</summary>
            /// <param name="node" type="!goog.ds.DataNode">The original node.</param>
            /// <param name="name" type="string">The new name.</param>
            /// <returns type="!goog.ds.DataNode">The new data node.</returns>
        }
        
    };

    var $x = window.goog.ds.Util;
    $x.__namespace = "true";
    $x.__typeName = "goog.ds.Util";
})(this);
