
/* vsdoc for goog.editor.icontent.FieldFormatInfo */

(function (window) {
    window.goog.editor.icontent = window.goog.editor.icontent || {};

    window.goog.editor.icontent.FieldFormatInfo = function(fieldId, standards, blended, fixedHeight, opt_extraStyles){
        /// <summary></summary>
        /// <param name="fieldId" type="string">The id of the field.</param>
        /// <param name="standards" type="boolean">Whether the field should be rendered in
        ///     standards mode.</param>
        /// <param name="blended" type="boolean">Whether the field is in blended mode.</param>
        /// <param name="fixedHeight" type="boolean">Whether the field is in fixedHeight mode.</param>
        /// <param name="opt_extraStyles" type="Object=">Other style attributes for the field,
        ///     represented as a map of strings.</param>
        /// <returns type="goog.editor.icontent.FieldFormatInfo"/>
    };

    var $x = window.goog.editor.icontent.FieldFormatInfo;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.icontent.FieldFormatInfo";
})(this);
