
/* vsdoc for goog.editor.plugins.RemoveFormatting */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.RemoveFormatting = function(){
        /// <summary></summary>
        /// <field name="REMOVE_FORMATTING_COMMAND" type="string">The editor command this plugin in handling.</field>
        /// <returns type="goog.editor.plugins.RemoveFormatting"/>
    };

    var $x = window.goog.editor.plugins.RemoveFormatting;
    $x.prototype = {
                
        getTrogClassId: function() {
            /// <summary></summary>
        }, 
        
        isSupportedCommand: function(command) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
        }, 
        
        execCommandInternal: function(command, var_args) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
            /// <param name="var_args" type=""></param>
        }, 
        
        handleKeyboardShortcut: function(e, key, isModifierPressed) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
            /// <param name="key" type=""></param>
            /// <param name="isModifierPressed" type=""></param>
        }, 
        
        getValueForNode: function(node) {
            /// <summary>Handle per node special processing if neccessary. If this function returns
            /// null then standard cleanup is applied. Otherwise this node and all children
            /// are assumed to be cleaned.
            /// NOTE(user): If an alternate RemoveFormatting processor is provided
            /// (setRemoveFormattingFunc()), this will no longer work.</summary>
            /// <param name="node" type="Element">The node to clean.</param>
            /// <returns type="?string">The HTML strig representation of the cleaned data.</returns>
        }, 
        
        setRemoveFormattingFunc: function(removeFormattingFunc) {
            /// <summary>Sets a function to be used for remove formatting.</summary>
            /// <param name="removeFormattingFunc" type="function(string): string">A function that
            ///     takes  a string of html and returns a string of html that does any other
            ///     formatting changes desired.  Use this only if trogedit&apos;s behavior doesn&apos;t
            ///     meet your needs.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.RemoveFormatting";
})(this);
