
/* vsdoc for goog.editor.plugins.TableEditor */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.TableEditor = function(){
        /// <summary></summary>
        /// <field name="COMMAND" type="">Commands supported by goog.editor.plugins.TableEditor.</field>
        /// <returns type="goog.editor.plugins.TableEditor"/>
    };

    var $x = window.goog.editor.plugins.TableEditor;
    $x.prototype = {
                
        getTrogClassId: function() {
            /// <summary></summary>
        }, 
        
        isSupportedCommand: function(command) {
            /// <summary>Whether the string corresponds to a command this plugin handles.</summary>
            /// <param name="command" type="string">Command string to check.</param>
            /// <returns type="boolean">Whether the string corresponds to a command
            ///     this plugin handles.</returns>
        }, 
        
        enable: function(fieldObject) {
            /// <summary></summary>
            /// <param name="fieldObject" type=""></param>
        }, 
        
        queryCommandValue: function(command) {
            /// <summary>Returns the current value of a given command. Currently this plugin
            /// only returns a value for goog.editor.plugins.TableEditor.COMMAND.TABLE.</summary>
            /// <param name="command" type=""></param>
        }, 
        
        execCommandInternal: function(command, opt_arg) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
            /// <param name="opt_arg" type=""></param>
        }, 
        
        addIsTableEditableFunction: function(func) {
            /// <summary>Adds a function to filter out non-user-editable tables.</summary>
            /// <param name="func" type="function(Element):boolean">A function to decide whether the
            ///   table element could be editable by the user or not.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.TableEditor";
})(this);
