
/* vsdoc for goog.events.FocusHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.FocusHandler = function(element){
        /// <summary></summary>
        /// <param name="element" type="Element|Document">The node to listen on.</param>
        /// <field name="EventType" type="">Enum type for the events fired by the focus handler</field>
        /// <returns type="goog.events.FocusHandler"/>
    };

    var $x = window.goog.events.FocusHandler;
    $x.prototype = {
                
        handleEvent: function(e) {
            /// <summary>This handles the underlying events and dispatches a new event.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The underlying browser event.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.FocusHandler";
})(this);
