
/* vsdoc for goog.events.ImeHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.ImeHandler = function(el){
        /// <summary></summary>
        /// <param name="el" type="Element">The element to listen on.</param>
        /// <field name="EventType" type="">Event types fired by ImeHandler. These events do not make any guarantees
        /// about whether they were fired before or after the event in question.</field>
        /// <field name="USES_COMPOSITION_EVENTS" type="boolean">Whether to use the composition events.</field>
        /// <returns type="goog.events.ImeHandler"/>
    };

    var $x = window.goog.events.ImeHandler;
    $x.prototype = {
                
        isImeMode: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether an IME is active.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.ImeHandler";
})(this);
