
/* vsdoc for goog.events.OnlineHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.OnlineHandler = function(){
        /// <summary></summary>
        /// <field name="EventType" type="">Enum for the events dispatched by the OnlineHandler.</field>
        /// <returns type="goog.events.OnlineHandler"/>
    };

    var $x = window.goog.events.OnlineHandler;
    $x.prototype = {
                
        isOnline: function() {
            /// <summary>Returns whether or not the system is online. This method works properly
            /// regardless of whether or not the listener IsListening.</summary>
            /// <returns type="boolean">Whether the browser is currently thinking it is online.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.OnlineHandler";
})(this);
