
/* vsdoc for goog.format.HtmlPrettyPrinter.Buffer */

(function (window) {
    window.goog.format.HtmlPrettyPrinter = window.goog.format.HtmlPrettyPrinter || {};

    window.goog.format.HtmlPrettyPrinter.Buffer = function(){
        /// <summary></summary>
        /// <field name="breakCount" type="number">Tracks number of line breaks added.</field>
        /// <returns type="goog.format.HtmlPrettyPrinter.Buffer"/>
    };

    var $x = window.goog.format.HtmlPrettyPrinter.Buffer;
    $x.prototype = {
                
        pushToken: function(breakBefore, token, breakAfter) {
            /// <summary>Adds token and necessary line breaks to output buffer.</summary>
            /// <param name="breakBefore" type="boolean">If true, add line break before token if
            ///     necessary.</param>
            /// <param name="token" type="string">Token to push.</param>
            /// <param name="breakAfter" type="boolean">If true, add line break after token if
            ///     necessary.</param>
        }, 
        
        lineBreak: function() {
            /// <summary>Append line break if we need one.</summary>
        }, 
        
        toString: function() {
            /// <summary></summary>
            /// <returns type="string">String representation of tokens.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.format.HtmlPrettyPrinter.Buffer";
})(this);
