
/* vsdoc for goog.format.JsonPrettyPrinter.HtmlDelimiters */

(function (window) {
    window.goog.format.JsonPrettyPrinter = window.goog.format.JsonPrettyPrinter || {};

    window.goog.format.JsonPrettyPrinter.HtmlDelimiters = function(){
        /// <summary></summary>
        /// <field name="preName" type="string">A &lt;code&gt;span&lt;/code&gt; tag thats placed before a property name.  Used to style
        /// property names with CSS.</field>
        /// <field name="postName" type="string">A closing &lt;code&gt;span&lt;/code&gt; tag that&apos;s placed after a property name.</field>
        /// <field name="preValue" type="string">A &lt;code&gt;span&lt;/code&gt; tag thats placed before a property value.  Used to style
        /// property value with CSS.  The span tag&apos;s class is in the format
        /// goog-jsonprettyprinter-propertyvalue-{TYPE}, where {TYPE} is the JavaScript
        /// type of the object (the {TYPE} parameter is obtained from goog.typeOf).  This
        /// can be used to style different value types.</field>
        /// <field name="postValue" type="string">A closing &lt;code&gt;span&lt;/code&gt; tag that&apos;s placed after a property value.</field>
        /// <returns type="goog.format.JsonPrettyPrinter.HtmlDelimiters"/>
    };

    var $x = window.goog.format.JsonPrettyPrinter.HtmlDelimiters;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.format.JsonPrettyPrinter.HtmlDelimiters";
})(this);
