
/* vsdoc for goog.fs.FileSystem */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.FileSystem = function(fs){
        /// <summary></summary>
        /// <param name="fs" type="!FileSystem">The underlying FileSystem object.</param>
        /// <returns type="goog.fs.FileSystem"/>
    };

    var $x = window.goog.fs.FileSystem;
    $x.prototype = {
                
        getName: function() {
            /// <summary></summary>
            /// <returns type="string">The name of the filesystem.</returns>
        }, 
        
        getRoot: function() {
            /// <summary></summary>
            /// <returns type="!goog.fs.DirectoryEntry">The root directory of the filesystem.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.FileSystem";
})(this);
