
/* vsdoc for goog.fs.ProgressEvent */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.ProgressEvent = function(event, target){
        /// <summary></summary>
        /// <param name="event" type="!ProgressEvent">The underlying event object.</param>
        /// <param name="target" type="!Object">The file access object emitting the event.</param>
        /// <returns type="goog.fs.ProgressEvent"/>
    };

    var $x = window.goog.fs.ProgressEvent;
    $x.prototype = {
                
        isLengthComputable: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether or not the total size of the of the file being
            ///     saved is known.</returns>
        }, 
        
        getLoaded: function() {
            /// <summary></summary>
            /// <returns type="number">The number of bytes saved so far.</returns>
        }, 
        
        getTotal: function() {
            /// <summary></summary>
            /// <returns type="number">The total number of bytes in the file being saved.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.ProgressEvent";
})(this);
