
/* vsdoc for goog.fx.dom.BgColorTransform */

(function (window) {
    window.goog.fx.dom = window.goog.fx.dom || {};

    window.goog.fx.dom.BgColorTransform = function(element, start, end, time, opt_acc){
        /// <summary></summary>
        /// <param name="element" type="Element">Dom Node to be used in the animation.</param>
        /// <param name="start" type="Array.number">3D Array for RGB of start color.</param>
        /// <param name="end" type="Array.number">3D Array for RGB of end color.</param>
        /// <param name="time" type="number">Length of animation in milliseconds.</param>
        /// <param name="opt_acc" type="Function=">Acceleration function, returns 0-1 for inputs 0-1.</param>
        /// <returns type="goog.fx.dom.BgColorTransform"/>
    };

    var $x = window.goog.fx.dom.BgColorTransform;
    $x.prototype = {
                
        setColor: function() {
            /// <summary>Animation event handler that will set the background-color of an element</summary>
        }, 
        
        updateStyle: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.dom.BgColorTransform";
})(this);
