
/* vsdoc for goog.fx.dom.ColorTransform */

(function (window) {
    window.goog.fx.dom = window.goog.fx.dom || {};

    window.goog.fx.dom.ColorTransform = function(element, start, end, time, opt_acc){
        /// <summary></summary>
        /// <param name="element" type="Element">Dom Node to be used in the animation.</param>
        /// <param name="start" type="Array.number">3D Array representing R,G,B.</param>
        /// <param name="end" type="Array.number">3D Array representing R,G,B.</param>
        /// <param name="time" type="number">Length of animation in milliseconds.</param>
        /// <param name="opt_acc" type="Function=">Acceleration function, returns 0-1 for inputs 0-1.</param>
        /// <returns type="goog.fx.dom.ColorTransform"/>
    };

    var $x = window.goog.fx.dom.ColorTransform;
    $x.prototype = {
                
        updateStyle: function() {
            /// <summary>Animation event handler that will set the color of an element.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.dom.ColorTransform";
})(this);
