
/* vsdoc for goog.fx.dom.Fade */

(function (window) {
    window.goog.fx.dom = window.goog.fx.dom || {};

    window.goog.fx.dom.Fade = function(element, start, end, time, opt_acc){
        /// <summary></summary>
        /// <param name="element" type="Element">Dom Node to be used in the animation.</param>
        /// <param name="start" type="Array.number|number">1D Array or Number with start opacity.</param>
        /// <param name="end" type="Array.number|number">1D Array or Number for end opacity.</param>
        /// <param name="time" type="number">Length of animation in milliseconds.</param>
        /// <param name="opt_acc" type="Function=">Acceleration function, returns 0-1 for inputs 0-1.</param>
        /// <returns type="goog.fx.dom.Fade"/>
    };

    var $x = window.goog.fx.dom.Fade;
    $x.prototype = {
                
        updateStyle: function() {
            /// <summary>Animation event handler that will set the opacity of an element.</summary>
        }, 
        
        show: function() {
            /// <summary>Animation event handler that will show the element.</summary>
        }, 
        
        hide: function() {
            /// <summary>Animation event handler that will hide the element</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.dom.Fade";
})(this);
