
/* vsdoc for goog.fx.dom.Scroll */

(function (window) {
    window.goog.fx.dom = window.goog.fx.dom || {};

    window.goog.fx.dom.Scroll = function(element, start, end, time, opt_acc){
        /// <summary></summary>
        /// <param name="element" type="Element">Dom Node to be used in the animation.</param>
        /// <param name="start" type="Array.number">2D array for start scroll left and top.</param>
        /// <param name="end" type="Array.number">2D array for end scroll left and top.</param>
        /// <param name="time" type="number">Length of animation in milliseconds.</param>
        /// <param name="opt_acc" type="Function=">Acceleration function, returns 0-1 for inputs 0-1.</param>
        /// <returns type="goog.fx.dom.Scroll"/>
    };

    var $x = window.goog.fx.dom.Scroll;
    $x.prototype = {
                
        updateStyle: function() {
            /// <summary>Animation event handler that will set the scroll posiiton of an element</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.dom.Scroll";
})(this);
