
/* vsdoc for goog.gears.LogStore.Query */

(function (window) {
    window.goog.gears.LogStore = window.goog.gears.LogStore || {};

    window.goog.gears.LogStore.Query = function(){
        /// <summary></summary>
        /// <field name="level" type="goog.debug.Logger.Level">Minimum logging level.</field>
        /// <field name="minMillis" type="number">Minimum timestamp, inclusive.</field>
        /// <field name="maxMillis" type="number">Maximum timestamp, inclusive.</field>
        /// <field name="msgLike" type="string">Message &apos;like&apos; pattern.
        /// See http://www.sqlite.org/lang_expr.html#likeFunc for &apos;like&apos; syntax.</field>
        /// <field name="loggerLike" type="string">Logger name &apos;like&apos; pattern.
        /// See http://www.sqlite.org/lang_expr.html#likeFunc for &apos;like&apos; syntax.</field>
        /// <field name="limit" type="number">Max # recent records to return. -1 means no limit.</field>
        /// <returns type="goog.gears.LogStore.Query"/>
    };

    var $x = window.goog.gears.LogStore.Query;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.LogStore.Query";
})(this);
