
/* vsdoc for goog.gears.WorkerPool.Event */

(function (window) {
    window.goog.gears.WorkerPool = window.goog.gears.WorkerPool || {};

    window.goog.gears.WorkerPool.Event = function(type, senderId, messageObject){
        /// <summary></summary>
        /// <param name="type" type="string">The type of event.</param>
        /// <param name="senderId" type="number">The id of the sender of the message.</param>
        /// <param name="messageObject" type="GearsMessageObject">The message object.</param>
        /// <field name="senderId" type="number">The id of the sender of the message.</field>
        /// <field name="message" type="*">The message sent from the worker. This is the same as the
        /// messageObject.body field and is here for convenience.</field>
        /// <field name="messageObject" type="GearsMessageObject">The object containing all information about the message.</field>
        /// <returns type="goog.gears.WorkerPool.Event"/>
    };

    var $x = window.goog.gears.WorkerPool.Event;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.WorkerPool.Event";
})(this);
