
/* vsdoc for goog.graphics.EllipseElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.EllipseElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.AbstractGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="setCenter" type="">Update the center point of the ellipse.</field>
        /// <field name="setRadius" type="">Update the radius of the ellipse.</field>
        /// <returns type="goog.graphics.EllipseElement"/>
    };

    var $x = window.goog.graphics.EllipseElement;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.EllipseElement";
})(this);
