
/* vsdoc for goog.graphics.RectElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.RectElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.AbstractGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="setPosition" type="">Update the position of the rectangle.</field>
        /// <field name="setSize" type="">Update the size of the rectangle.</field>
        /// <returns type="goog.graphics.RectElement"/>
    };

    var $x = window.goog.graphics.RectElement;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.RectElement";
})(this);
