
/* vsdoc for goog.graphics.SvgGroupElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.SvgGroupElement = function(element, graphics){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.SvgGraphics">The graphics creating
        ///     this element.</param>
        /// <returns type="goog.graphics.SvgGroupElement"/>
    };

    var $x = window.goog.graphics.SvgGroupElement;
    $x.prototype = {
                
        clear: function() {
            /// <summary>Remove all drawing elements from the group.</summary>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Set the size of the group element.</summary>
            /// <param name="width" type="number|string">The width of the group element.</param>
            /// <param name="height" type="number|string">The height of the group element.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.SvgGroupElement";
})(this);
