
/* vsdoc for goog.graphics.VmlImageElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.VmlImageElement = function(element, graphics){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.VmlGraphics">The graphics creating
        ///     this element.</param>
        /// <field name="getElement" type=""></field>
        /// <returns type="goog.graphics.VmlImageElement"/>
    };

    var $x = window.goog.graphics.VmlImageElement;
    $x.prototype = {
                
        setPosition: function(x, y) {
            /// <summary>Update the position of the image.</summary>
            /// <param name="x" type="number">X coordinate (left).</param>
            /// <param name="y" type="number">Y coordinate (top).</param>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Update the size of the image.</summary>
            /// <param name="width" type="number">Width of rectangle.</param>
            /// <param name="height" type="number">Height of rectangle.</param>
        }, 
        
        setSource: function(src) {
            /// <summary>Update the source of the image.</summary>
            /// <param name="src" type="string">Source of the image.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.VmlImageElement";
})(this);
