
/* vsdoc for goog.graphics.VmlPathElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.VmlPathElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.VmlGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="getElement" type=""></field>
        /// <returns type="goog.graphics.VmlPathElement"/>
    };

    var $x = window.goog.graphics.VmlPathElement;
    $x.prototype = {
                
        setPath: function(path) {
            /// <summary>Update the underlying path.</summary>
            /// <param name="path" type="!goog.graphics.Path">The path object to draw.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.VmlPathElement";
})(this);
