
/* vsdoc for goog.graphics.VmlRectElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.VmlRectElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.VmlGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="getElement" type=""></field>
        /// <returns type="goog.graphics.VmlRectElement"/>
    };

    var $x = window.goog.graphics.VmlRectElement;
    $x.prototype = {
                
        setPosition: function(x, y) {
            /// <summary>Update the position of the rectangle.</summary>
            /// <param name="x" type="number">X coordinate (left).</param>
            /// <param name="y" type="number">Y coordinate (top).</param>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Update the size of the rectangle.</summary>
            /// <param name="width" type="number">Width of rectangle.</param>
            /// <param name="height" type="number">Height of rectangle.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.VmlRectElement";
})(this);
