
/* vsdoc for goog.graphics.VmlTextElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.VmlTextElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.VmlGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="getElement" type=""></field>
        /// <returns type="goog.graphics.VmlTextElement"/>
    };

    var $x = window.goog.graphics.VmlTextElement;
    $x.prototype = {
                
        setText: function(text) {
            /// <summary>Update the displayed text of the element.</summary>
            /// <param name="text" type="string">The text to draw.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.VmlTextElement";
})(this);
