
/* vsdoc for goog.i18n.DateTimeFormat */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.DateTimeFormat = function(pattern){
        /// <summary></summary>
        /// <param name="pattern" type="string|number">pattern specification or pattern type.</param>
        /// <field name="Format" type="">Enum to identify predefined Date/Time format pattern.</field>
        /// <returns type="goog.i18n.DateTimeFormat"/>
    };

    var $x = window.goog.i18n.DateTimeFormat;
    $x.prototype = {
                
        format: function(date, opt_timeZone) {
            /// <summary>Format the given date object according to preset pattern and current lcoale.</summary>
            /// <param name="date" type="goog.date.DateLike">The Date object that is being formatted.</param>
            /// <param name="opt_timeZone" type="goog.i18n.TimeZone=">optional, if specified, time
            ///    related fields will be formatted based on its setting. When this field
            ///    is not specified, &quot;undefined&quot; will be pass around and those function
            ///    that really need time zone service will create a default one.</param>
            /// <returns type="string">Formatted string for the given date.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.i18n.DateTimeFormat";
})(this);
