
/* vsdoc for goog.labs.testing.AllOfMatcher */

(function (window) {
    window.goog.labs.testing = window.goog.labs.testing || {};

    window.goog.labs.testing.AllOfMatcher = function(matchers){
        /// <summary></summary>
        /// <param name="matchers" type="!Array.!goog.labs.testing.Matcher">Input matchers.</param>
        /// <returns type="goog.labs.testing.AllOfMatcher"/>
    };

    var $x = window.goog.labs.testing.AllOfMatcher;
    $x.prototype = {
                
        matches: function(actualValue) {
            /// <summary>Determines if all of the matchers match the input value.</summary>
            /// <param name="actualValue" type=""></param>
        }, 
        
        describe: function(actualValue) {
            /// <summary>Describes why the matcher failed. The returned string is a concatenation of
            /// all the failed matchers&apos; error strings.</summary>
            /// <param name="actualValue" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.labs.testing.AllOfMatcher";
})(this);
