
/* vsdoc for goog.math.ExponentialBackoff */

(function (window) {
    window.goog.math = window.goog.math || {};

    window.goog.math.ExponentialBackoff = function(initialValue, maxValue){
        /// <summary></summary>
        /// <param name="initialValue" type="number">The initial backoff value.</param>
        /// <param name="maxValue" type="number">The maximum backoff value.</param>
        /// <returns type="goog.math.ExponentialBackoff"/>
    };

    var $x = window.goog.math.ExponentialBackoff;
    $x.prototype = {
                
        reset: function() {
            /// <summary>Resets the backoff value to its initial value.</summary>
        }, 
        
        getValue: function() {
            /// <summary></summary>
            /// <returns type="number">The current backoff value.</returns>
        }, 
        
        getBackoffCount: function() {
            /// <summary></summary>
            /// <returns type="number">The number of times this class has backed off.</returns>
        }, 
        
        backoff: function() {
            /// <summary>Initiates a backoff.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.math.ExponentialBackoff";
})(this);
