
/* vsdoc for goog.messaging.MultiChannel */

(function (window) {
    window.goog.messaging = window.goog.messaging || {};

    window.goog.messaging.MultiChannel = function(underlyingChannel){
        /// <summary></summary>
        /// <param name="underlyingChannel" type="goog.messaging.MessageChannel">The underlying
        ///     channel to use as transport for the virtual channels.</param>
        /// <returns type="goog.messaging.MultiChannel"/>
    };

    var $x = window.goog.messaging.MultiChannel;
    $x.prototype = {
                
        createVirtualChannel: function(name) {
            /// <summary>Creates a new virtual channel that will communicate across the underlying
            /// channel.</summary>
            /// <param name="name" type="string">The name of the virtual channel. Must be unique for this
            ///     MultiChannel. Cannot contain colons.</param>
            /// <returns type="!goog.messaging.MultiChannel.VirtualChannel">The new virtual
            ///     channel.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.MultiChannel";
})(this);
