
/* vsdoc for goog.messaging.PortCaller */

(function (window) {
    window.goog.messaging = window.goog.messaging || {};

    window.goog.messaging.PortCaller = function(operatorPort){
        /// <summary></summary>
        /// <param name="operatorPort" type="!goog.messaging.MessageChannel">The channel for
        ///     communicating with the operator. The other side of this channel should be
        ///     passed to {@link goog.messaging.PortOperator#addPort}. Must be either a
        ///     {@link goog.messaging.PortChannel} or a decorator wrapping a PortChannel;
        ///     in particular, it must be able to send and receive {@link MessagePort}s.</param>
        /// <returns type="goog.messaging.PortCaller"/>
    };

    var $x = window.goog.messaging.PortCaller;
    $x.prototype = {
                
        dial: function(name) {
            /// <summary></summary>
            /// <param name="name" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.PortCaller";
})(this);
