
/* vsdoc for goog.module.ModuleLoader.LoadStatus */

(function (window) {
    window.goog.module.ModuleLoader = window.goog.module.ModuleLoader || {};

    window.goog.module.ModuleLoader.LoadStatus = function(){
        /// <summary></summary>
        /// <field name="requestUris" type="Array.<string>">The request uris.</field>
        /// <field name="responseTexts" type="Array.<string>">The response texts.</field>
        /// <field name="loadRequested" type="boolean">Whether loadModules was called for the set of modules referred by this
        /// status.</field>
        /// <field name="successFn" type="?function()">Success callback.</field>
        /// <field name="errorFn" type="?function(?number)">Error callback.</field>
        /// <returns type="goog.module.ModuleLoader.LoadStatus"/>
    };

    var $x = window.goog.module.ModuleLoader.LoadStatus;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.module.ModuleLoader.LoadStatus";
})(this);
