
/* vsdoc for goog.net.BrowserChannel.TimingEvent */

(function (window) {
    window.goog.net.BrowserChannel = window.goog.net.BrowserChannel || {};

    window.goog.net.BrowserChannel.TimingEvent = function(target, size, rtt, retries){
        /// <summary></summary>
        /// <param name="target" type="goog.events.EventTarget">The stat event target for
        ///        the browser channel.</param>
        /// <param name="size" type="number">The number of characters in the POST data.</param>
        /// <param name="rtt" type="number">The total round trip time from POST to response in MS.</param>
        /// <param name="retries" type="number">The number of times the POST had to be retried.</param>
        /// <field name="size" type="number"></field>
        /// <field name="rtt" type="number"></field>
        /// <field name="retries" type="number"></field>
        /// <returns type="goog.net.BrowserChannel.TimingEvent"/>
    };

    var $x = window.goog.net.BrowserChannel.TimingEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.BrowserChannel.TimingEvent";
})(this);
