
/* vsdoc for goog.net.BulkLoader */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.BulkLoader = function(uris){
        /// <summary></summary>
        /// <param name="uris" type="Array.string|goog.Uri">The URIs to load.</param>
        /// <returns type="goog.net.BulkLoader"/>
    };

    var $x = window.goog.net.BulkLoader;
    $x.prototype = {
                
        getResponseTexts: function() {
            /// <summary>Gets the response texts, in order.</summary>
            /// <returns type="Array.string">The response texts.</returns>
        }, 
        
        getRequestUris: function() {
            /// <summary>Gets the request Uris.</summary>
            /// <returns type="Array.string">The request URIs, in order.</returns>
        }, 
        
        load: function() {
            /// <summary>Starts the process of loading the URIs.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.BulkLoader";
})(this);
