
/* vsdoc for goog.net.Ipv6Address */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.Ipv6Address = function(address){
        /// <summary></summary>
        /// <param name="address" type="(string|!goog.math.Integer)">The address to store.</param>
        /// <field name="MAX_NETMASK_LENGTH" type="number">The Maximum length for a netmask (aka, the number of bits for IPv6).</field>
        /// <returns type="goog.net.Ipv6Address"/>
    };

    var $x = window.goog.net.Ipv6Address;
    $x.prototype = {
                
        toString: function() {
            /// <summary></summary>
        }, 
        
        toUriString: function() {
            /// <summary></summary>
        }, 
        
        isMappedIpv4Address: function() {
            /// <summary></summary>
            /// <returns type="boolean">true if the IPv6 contains a mapped IPv4.</returns>
        }, 
        
        getMappedIpv4Address: function() {
            /// <summary>Will return the mapped IPv4 address in this IPv6 address.</summary>
            /// <returns type="goog.net.Ipv4Address">an IPv4 or null.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.Ipv6Address";
})(this);
