
/* vsdoc for goog.net.XhrManager.Event */

(function (window) {
    window.goog.net.XhrManager = window.goog.net.XhrManager || {};

    window.goog.net.XhrManager.Event = function(type, target, id, xhrIo){
        /// <summary></summary>
        /// <param name="type" type="goog.net.EventType">Event Type.</param>
        /// <param name="target" type="goog.net.XhrManager">Reference to the object that is the
        ///     target of this event.</param>
        /// <param name="id" type="string">The id of the request this event is for.</param>
        /// <param name="xhrIo" type="goog.net.XhrIo">The XhrIo object of the request.</param>
        /// <field name="id" type="string">The id of the request this event is for.</field>
        /// <field name="xhrIo" type="goog.net.XhrIo">The XhrIo object of the request.</field>
        /// <field name="xhrLite" type="goog.net.XhrLite">The xhrLite field aliases xhrIo for backwards compatibility.</field>
        /// <returns type="goog.net.XhrManager.Event"/>
    };

    var $x = window.goog.net.XhrManager.Event;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.XhrManager.Event";
})(this);
