
/* vsdoc for goog.net.tmpnetwork */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.tmpnetwork = {
        /// <summary></summary>
        /// <field name="GOOGLECOM_TIMEOUT" type="number">Default timeout to allow for google.com pings.</field>
        /// <returns type="goog.net.tmpnetwork"/>
                
        testGoogleCom: function(callback, opt_imageUri) {
            /// <summary></summary>
            /// <param name="callback" type=""></param>
            /// <param name="opt_imageUri" type=""></param>
        }, 
        
        testLoadImageWithRetries: function(url, timeout, callback, retries, opt_pauseBetweenRetriesMS) {
            /// <summary>Test loading the given image, retrying if necessary.</summary>
            /// <param name="url" type="string">URL to the iamge.</param>
            /// <param name="timeout" type="number">Milliseconds before giving up.</param>
            /// <param name="callback" type="Function">Function to call with results.</param>
            /// <param name="retries" type="number">The number of times to retry.</param>
            /// <param name="opt_pauseBetweenRetriesMS" type="number=">Optional number of milliseconds
            ///     between retries - defaults to 0.</param>
        }, 
        
        testLoadImage: function(url, timeout, callback) {
            /// <summary>Test loading the given image.</summary>
            /// <param name="url" type="string">URL to the iamge.</param>
            /// <param name="timeout" type="number">Milliseconds before giving up.</param>
            /// <param name="callback" type="Function">Function to call with results.</param>
        }
        
    };

    var $x = window.goog.net.tmpnetwork;
    $x.__namespace = "true";
    $x.__typeName = "goog.net.tmpnetwork";
})(this);
