
/* vsdoc for goog.positioning.AbstractPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.AbstractPosition = function(){
        /// <summary></summary>
        /// <returns type="goog.positioning.AbstractPosition"/>
    };

    var $x = window.goog.positioning.AbstractPosition;
    $x.prototype = {
                
        reposition: function(movableElement, corner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the element. Abstract method, should be overloaded.</summary>
            /// <param name="movableElement" type="Element">Element to position.</param>
            /// <param name="corner" type="goog.positioning.Corner">Corner of the movable element that
            ///     should be positioned adjacent to the anchored element.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">PreferredSize of the
            ///     movableElement.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.AbstractPosition";
})(this);
