
/* vsdoc for goog.proto2.Util */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.Util = {
        /// <summary></summary>
        /// <field name="PBCHECK" type=""></field>
        /// <returns type="goog.proto2.Util"/>
                
        assert: function(condition, opt_message) {
            /// <summary>Asserts that the given condition is true, if and only if the PBCHECK
            /// flag is on.</summary>
            /// <param name="condition" type="*">The condition to check.</param>
            /// <param name="opt_message" type="string=">Error message in case of failure.</param>
        }, 
        
        conductChecks: function() {
            /// <summary>Returns true if debug assertions (checks) are on.</summary>
            /// <returns type="boolean">The value of the PBCHECK constant.</returns>
        }
        
    };

    var $x = window.goog.proto2.Util;
    $x.__namespace = "true";
    $x.__typeName = "goog.proto2.Util";
})(this);
