
/* vsdoc for goog.spell.SpellCheck.WordChangedEvent */

(function (window) {
    window.goog.spell.SpellCheck = window.goog.spell.SpellCheck || {};

    window.goog.spell.SpellCheck.WordChangedEvent = function(target, word, status){
        /// <summary></summary>
        /// <param name="target" type="goog.spell.SpellCheck">Spellcheck object initiating event.</param>
        /// <param name="word" type="string">Word to set status for.</param>
        /// <param name="status" type="goog.spell.SpellCheck.WordStatus">Status of word.</param>
        /// <field name="word" type="string">Word the status has changed for.</field>
        /// <field name="status" type="goog.spell.SpellCheck.WordStatus">New status</field>
        /// <returns type="goog.spell.SpellCheck.WordChangedEvent"/>
    };

    var $x = window.goog.spell.SpellCheck.WordChangedEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.spell.SpellCheck.WordChangedEvent";
})(this);
