
/* vsdoc for goog.storage.EncryptedStorage */

(function (window) {
    window.goog.storage = window.goog.storage || {};

    window.goog.storage.EncryptedStorage = function(mechanism, secret){
        /// <summary></summary>
        /// <param name="mechanism" type="!goog.storage.mechanism.IterableMechanism">The underlying
        ///     storage mechanism.</param>
        /// <param name="secret" type="string">The secret key used to encrypt the storage.</param>
        /// <field name="SALT_KEY" type="string">Metadata key under which the salt is stored.</field>
        /// <returns type="goog.storage.EncryptedStorage"/>
    };

    var $x = window.goog.storage.EncryptedStorage;
    $x.prototype = {
                
        set: function(key, value, opt_expiration) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
            /// <param name="value" type=""></param>
            /// <param name="opt_expiration" type=""></param>
        }, 
        
        getWrapper: function(key, opt_expired) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
            /// <param name="opt_expired" type=""></param>
        }, 
        
        remove: function(key) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.EncryptedStorage";
})(this);
