
/* vsdoc for goog.storage.RichStorage */

(function (window) {
    window.goog.storage = window.goog.storage || {};

    window.goog.storage.RichStorage = function(mechanism){
        /// <summary></summary>
        /// <param name="mechanism" type="!goog.storage.mechanism.Mechanism">The underlying
        ///     storage mechanism.</param>
        /// <field name="DATA_KEY" type="string">Metadata key under which the actual data is stored.</field>
        /// <returns type="goog.storage.RichStorage"/>
    };

    var $x = window.goog.storage.RichStorage;
    $x.prototype = {
                
        set: function(key, value) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        getWrapper: function(key) {
            /// <summary>Get an item wrapper (the item and its metadata) from the storage.
            /// 
            /// WARNING: This returns an Object, which once used to be
            /// goog.storage.RichStorage.Wrapper. This is due to the fact
            /// that deserialized objects lose type information and it
            /// is hard to do proper typecasting in JavaScript. Be sure
            /// you know what you are doing when using the returned value.</summary>
            /// <param name="key" type="string">The key to get.</param>
            /// <returns type="(!Object|undefined)">The wrapper, or undefined if not found.</returns>
        }, 
        
        get: function(key) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.RichStorage";
})(this);
