
/* vsdoc for goog.storage.mechanism.IEUserData */

(function (window) {
    window.goog.storage.mechanism = window.goog.storage.mechanism || {};

    window.goog.storage.mechanism.IEUserData = function(storageKey, opt_storageNodeId){
        /// <summary></summary>
        /// <param name="storageKey" type="string">The key (store name) to store the data under.</param>
        /// <param name="opt_storageNodeId" type="string=">The ID of the associated HTML element,
        ///     one will be created if not provided.</param>
        /// <field name="ENCODE_MAP" type="!Object">Encoding map for characters which are not encoded by encodeURIComponent().
        /// See encodeKey_ documentation for encoding details.</field>
        /// <returns type="goog.storage.mechanism.IEUserData"/>
    };

    var $x = window.goog.storage.mechanism.IEUserData;
    $x.prototype = {
                
        isAvailable: function() {
            /// <summary>Determines whether or not the mechanism is available.</summary>
            /// <returns type="boolean">True if the mechanism is available.</returns>
        }, 
        
        set: function(key, value) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        get: function(key) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
        }, 
        
        remove: function(key) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
        }, 
        
        getCount: function() {
            /// <summary></summary>
        }, 
        
        clear: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.mechanism.IEUserData";
})(this);
