
/* vsdoc for goog.structs.PriorityQueue */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.PriorityQueue = function(){
        /// <summary></summary>
        /// <returns type="goog.structs.PriorityQueue"/>
    };

    var $x = window.goog.structs.PriorityQueue;
    $x.prototype = {
                
        enqueue: function(priority, value) {
            /// <summary>Puts the specified value in the queue.</summary>
            /// <param name="priority" type="*">The priority of the value. A smaller value here means a
            ///     higher priority.</param>
            /// <param name="value" type="*">The value.</param>
        }, 
        
        dequeue: function() {
            /// <summary>Retrieves and removes the head of this queue.</summary>
            /// <returns type="*">The element at the head of this queue. Returns
            ///     undefined if the queue is empty.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.PriorityQueue";
})(this);
