
/* vsdoc for goog.testing.TestCase.Error */

(function (window) {
    window.goog.testing.TestCase = window.goog.testing.TestCase || {};

    window.goog.testing.TestCase.Error = function(source, message, opt_stack){
        /// <summary></summary>
        /// <param name="source" type="string">The name of the test which threw the error.</param>
        /// <param name="message" type="string">The error message.</param>
        /// <param name="opt_stack" type="string=">A string showing the execution stack.</param>
        /// <field name="source" type="string">The name of the test which threw the error.</field>
        /// <field name="message" type="string">Reference to the test function.</field>
        /// <field name="stack" type="?string">Scope that the test function should be called in.</field>
        /// <returns type="goog.testing.TestCase.Error"/>
    };

    var $x = window.goog.testing.TestCase.Error;
    $x.prototype = {
                
        toString: function() {
            /// <summary>Returns a string representing the error object.</summary>
            /// <returns type="string">A string representation of the error.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.TestCase.Error";
})(this);
