
/* vsdoc for goog.testing.TestCase.Test */

(function (window) {
    window.goog.testing.TestCase = window.goog.testing.TestCase || {};

    window.goog.testing.TestCase.Test = function(name, ref, opt_scope){
        /// <summary></summary>
        /// <param name="name" type="string">The test name.</param>
        /// <param name="ref" type="Function">Reference to the test function.</param>
        /// <param name="opt_scope" type="Object=">Optional scope that the test function should be
        ///     called in.</param>
        /// <field name="name" type="string">The name of the test.</field>
        /// <field name="ref" type="Function">Reference to the test function.</field>
        /// <field name="scope" type="Object">Scope that the test function should be called in.</field>
        /// <returns type="goog.testing.TestCase.Test"/>
    };

    var $x = window.goog.testing.TestCase.Test;
    $x.prototype = {
                
        execute: function() {
            /// <summary>Executes the test function.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.TestCase.Test";
})(this);
