
/* vsdoc for goog.testing.events.Event */

(function (window) {
    window.goog.testing.events = window.goog.testing.events || {};

    window.goog.testing.events.Event = function(type, opt_target){
        /// <summary></summary>
        /// <param name="type" type="string">Event Type.</param>
        /// <param name="opt_target" type="Object=">Reference to the object that is the target of
        ///     this event.</param>
        /// <field name="propagationStopped_" type="boolean">Whether to cancel the event in internal capture/bubble processing for IE.</field>
        /// <field name="defaultPrevented" type=""></field>
        /// <field name="returnValue_" type="boolean">Return value for in internal capture/bubble processing for IE.</field>
        /// <returns type="goog.testing.events.Event"/>
    };

    var $x = window.goog.testing.events.Event;
    $x.prototype = {
                
        stopPropagation: function() {
            /// <summary></summary>
        }, 
        
        preventDefault: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.events.Event";
})(this);
