
/* vsdoc for goog.testing.fs.File */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.File = function(name, opt_lastModified, opt_data, opt_type){
        /// <summary></summary>
        /// <param name="name" type="string">The name of the file.</param>
        /// <param name="opt_lastModified" type="Date=">The last modified date for this file. May be
        ///     null if file modification dates are not supported.</param>
        /// <param name="opt_data" type="string=">The string data encapsulated by the blob.</param>
        /// <param name="opt_type" type="string=">The mime type of the blob.</param>
        /// <field name="name" type="string"></field>
        /// <field name="lastModifiedDate" type="Date"></field>
        /// <returns type="goog.testing.fs.File"/>
    };

    var $x = window.goog.testing.fs.File;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.File";
})(this);
