
/* vsdoc for goog.testing.fs.FileEntry */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.FileEntry = function(fs, parent, name, data){
        /// <summary></summary>
        /// <param name="fs" type="!goog.testing.fs.FileSystem">The filesystem containing this entry.</param>
        /// <param name="parent" type="!goog.testing.fs.DirectoryEntry">The directory entry directly
        ///     containing this entry.</param>
        /// <param name="name" type="string">The name of this entry.</param>
        /// <param name="data" type="string">The data initially contained in the file.</param>
        /// <returns type="goog.testing.fs.FileEntry"/>
    };

    var $x = window.goog.testing.fs.FileEntry;
    $x.prototype = {
                
        isFile: function() {
            /// <summary></summary>
        }, 
        
        isDirectory: function() {
            /// <summary></summary>
        }, 
        
        clone: function() {
            /// <summary></summary>
        }, 
        
        getLastModified: function() {
            /// <summary></summary>
        }, 
        
        getMetadata: function() {
            /// <summary></summary>
        }, 
        
        createWriter: function() {
            /// <summary></summary>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        file: function() {
            /// <summary></summary>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        fileSync: function() {
            /// <summary>Get the internal file representation synchronously, without waiting for a
            /// Deferred to resolve.</summary>
            /// <returns type="!goog.testing.fs.File">The internal file blob referenced by this
            ///     FileEntry.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.FileEntry";
})(this);
