
/* vsdoc for goog.testing.fs.ProgressEvent */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.ProgressEvent = function(type, loaded, total){
        /// <summary></summary>
        /// <param name="type" type="!goog.fs.FileSaver.EventType|!goog.fs.FileReader.EventType">Event type.</param>
        /// <param name="loaded" type="number">The number of bytes processed.</param>
        /// <param name="total" type="number">The total data that was to be processed, in bytes.</param>
        /// <returns type="goog.testing.fs.ProgressEvent"/>
    };

    var $x = window.goog.testing.fs.ProgressEvent;
    $x.prototype = {
                
        isLengthComputable: function() {
            /// <summary></summary>
            /// <returns type="boolean">True if the length is known.</returns>
        }, 
        
        getLoaded: function() {
            /// <summary></summary>
            /// <returns type="number">The number of bytes loaded or written.</returns>
        }, 
        
        getTotal: function() {
            /// <summary></summary>
            /// <returns type="number">The total bytes to load or write.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.ProgressEvent";
})(this);
