
/* vsdoc for goog.testing.messaging.MockPortNetwork */

(function (window) {
    window.goog.testing.messaging = window.goog.testing.messaging || {};

    window.goog.testing.messaging.MockPortNetwork = function(mockControl){
        /// <summary></summary>
        /// <param name="mockControl" type="!goog.testing.MockControl">The mock control for creating
        ///     the mock message channels.</param>
        /// <returns type="goog.testing.messaging.MockPortNetwork"/>
    };

    var $x = window.goog.testing.messaging.MockPortNetwork;
    $x.prototype = {
                
        dial: function(name) {
            /// <summary>Get the mock port with the given name.</summary>
            /// <param name="name" type="string">The name of the port to get.</param>
            /// <returns type="!goog.testing.messaging.MockMessageChannel">The mock port.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.messaging.MockPortNetwork";
})(this);
