
/* vsdoc for goog.testing.proto2 */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.proto2 = {
        /// <summary></summary>
        /// <returns type="goog.testing.proto2"/>
                
        assertEquals: function(expected, actual, opt_failureMessage) {
            /// <summary>Compares two goog.proto2.Message objects. Gives more readable output than
            /// assertObjectEquals on mismatch.</summary>
            /// <param name="expected" type="!goog.proto2.Message">Expected proto2 message.</param>
            /// <param name="actual" type="!goog.proto2.Message">Actual proto2 message.</param>
            /// <param name="opt_failureMessage" type="string=">Failure message when the values don&apos;t
            ///     match.</param>
        }
        
    };

    var $x = window.goog.testing.proto2;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.proto2";
})(this);
