
/* vsdoc for goog.testing.stacktrace */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.stacktrace = {
        /// <summary></summary>
        /// <returns type="goog.testing.stacktrace"/>
                
        setDeobfuscateFunctionName: function(fn) {
            /// <summary>Sets function to deobfuscate function names.</summary>
            /// <param name="fn" type="function(string): string">function to deobfuscate function names.</param>
        }, 
        
        canonicalize: function(stack) {
            /// <summary>Brings the stack trace into a common format across browsers.</summary>
            /// <param name="stack" type="string">Browser-specific stack trace.</param>
            /// <returns type="string">Same stack trace in common format.</returns>
        }, 
        
        get: function() {
            /// <summary>Gets the native stack trace if available otherwise follows the call chain.</summary>
            /// <returns type="string">The stack trace in canonical format.</returns>
        }
        
    };

    var $x = window.goog.testing.stacktrace;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.stacktrace";
})(this);
