
/* vsdoc for goog.tweak.BooleanGroup */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.BooleanGroup = function(id, description){
        /// <summary></summary>
        /// <param name="id" type="string">The ID for the setting.</param>
        /// <param name="description" type="string">A description of what the setting does.</param>
        /// <field name="logger" type="!goog.debug.Logger">The logger for this class.</field>
        /// <returns type="goog.tweak.BooleanGroup"/>
    };

    var $x = window.goog.tweak.BooleanGroup;
    $x.prototype = {
                
        getChildEntries: function() {
            /// <summary>Returns the map of token->boolean settings.</summary>
            /// <returns type="!Object.!goog.tweak.BooleanSetting">The child settings.</returns>
        }, 
        
        addChild: function(boolEntry) {
            /// <summary>Adds the given BooleanSetting to the group.</summary>
            /// <param name="boolEntry" type="goog.tweak.BooleanInGroupSetting">The entry.</param>
        }, 
        
        initialize: function(value) {
            /// <summary></summary>
            /// <param name="value" type=""></param>
        }, 
        
        getNewValueEncoded: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.BooleanGroup";
})(this);
