
/* vsdoc for goog.ui.CheckboxRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.CheckboxRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.CheckboxRenderer"/>
    };

    var $x = window.goog.ui.CheckboxRenderer;
    $x.prototype = {
                
        createDom: function(checkbox) {
            /// <summary></summary>
            /// <param name="checkbox" type=""></param>
        }, 
        
        decorate: function(checkbox, element) {
            /// <summary></summary>
            /// <param name="checkbox" type=""></param>
            /// <param name="element" type=""></param>
        }, 
        
        getAriaRole: function() {
            /// <summary>Returns the ARIA role to be applied to checkboxes.</summary>
            /// <returns type="goog.dom.a11y.Role">ARIA role.</returns>
        }, 
        
        setCheckboxState: function(element, state) {
            /// <summary>Updates the appearance of the control in response to a checkbox state
            /// change.</summary>
            /// <param name="element" type="Element">Checkbox element.</param>
            /// <param name="state" type="goog.ui.Checkbox.State">Updated checkbox state.</param>
        }, 
        
        getCssClass: function() {
            /// <summary></summary>
        }, 
        
        getClassForCheckboxState: function(state) {
            /// <summary>Takes a single {@link goog.ui.Checkbox.State}, and returns the
            /// corresponding CSS class name.</summary>
            /// <param name="state" type="goog.ui.Checkbox.State">Checkbox state.</param>
            /// <returns type="string">CSS class representing the given state.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.CheckboxRenderer";
})(this);
