
/* vsdoc for goog.ui.DragDropDetector.ImageDropEvent */

(function (window) {
    window.goog.ui.DragDropDetector = window.goog.ui.DragDropDetector || {};

    window.goog.ui.DragDropDetector.ImageDropEvent = function(url, position){
        /// <summary></summary>
        /// <param name="url" type="string">The url of the dropped image.</param>
        /// <param name="position" type="goog.math.Coordinate">The screen position where the drop
        ///     occurred.</param>
        /// <returns type="goog.ui.DragDropDetector.ImageDropEvent"/>
    };

    var $x = window.goog.ui.DragDropDetector.ImageDropEvent;
    $x.prototype = {
                
        getUrl: function() {
            /// <summary></summary>
            /// <returns type="string">The url of the image that was dropped.</returns>
        }, 
        
        getPosition: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Coordinate">The screen position where the drop occurred.
            ///     This may be have x and y of goog.ui.DragDropDetector.INIT_POSITION,
            ///     indicating the drop position is unknown.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.DragDropDetector.ImageDropEvent";
})(this);
