
/* vsdoc for goog.ui.FilterObservingMenuItem */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.FilterObservingMenuItem = function(content, opt_model, opt_domHelper, opt_renderer){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to
        ///     display as the content of the item (use to add icons or styling to
        ///     menus).</param>
        /// <param name="opt_model" type="*=">Data/model associated with the menu item.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper used for
        ///     document interactions.</param>
        /// <param name="opt_renderer" type="goog.ui.MenuItemRenderer=">Optional renderer.</param>
        /// <returns type="goog.ui.FilterObservingMenuItem"/>
    };

    var $x = window.goog.ui.FilterObservingMenuItem;
    $x.prototype = {
                
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        setObserver: function(f) {
            /// <summary>Sets the observer functions.</summary>
            /// <param name="f" type="Function">function(goog.ui.FilterObservingMenuItem, string).</param>
        }, 
        
        callObserver: function(opt_str) {
            /// <summary>Calls the observer function if one has been specified.</summary>
            /// <param name="opt_str" type="?string=">Filter string.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.FilterObservingMenuItem";
})(this);
