
/* vsdoc for goog.ui.FilterObservingMenuItemRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.FilterObservingMenuItemRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">CSS class name the renderer applies to menu item elements.</field>
        /// <returns type="goog.ui.FilterObservingMenuItemRenderer"/>
    };

    var $x = window.goog.ui.FilterObservingMenuItemRenderer;
    $x.prototype = {
                
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to menu items rendered using this
            /// renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.FilterObservingMenuItemRenderer";
})(this);
