
/* vsdoc for goog.ui.HoverCard.TriggerEvent */

(function (window) {
    window.goog.ui.HoverCard = window.goog.ui.HoverCard || {};

    window.goog.ui.HoverCard.TriggerEvent = function(type, target, anchor, opt_data){
        /// <summary></summary>
        /// <param name="type" type="goog.ui.HoverCard.EventType">Event type.</param>
        /// <param name="target" type="goog.ui.HoverCard">Hovercard that is triggering the event.</param>
        /// <param name="anchor" type="Element">Element that triggered event.</param>
        /// <param name="opt_data" type="Object=">Optional data to be available in the TRIGGER event.</param>
        /// <field name="anchor" type="Element">Element that triggered the hovercard event.</field>
        /// <field name="data" type="Object|undefined">Optional data to be passed to the listener.</field>
        /// <returns type="goog.ui.HoverCard.TriggerEvent"/>
    };

    var $x = window.goog.ui.HoverCard.TriggerEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.HoverCard.TriggerEvent";
})(this);
