
/* vsdoc for goog.ui.ItemEvent */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ItemEvent = function(type, target, item){
        /// <summary></summary>
        /// <param name="type" type="string">Event Type.</param>
        /// <param name="target" type="Object">Reference to the object that is the target
        ///                        of this event.</param>
        /// <param name="item" type="Object">The item that was clicked.</param>
        /// <field name="item" type="Object">Item for the event. The type of this object is specific to the type
        /// of event. For a menu, it would be the menu item that was clicked. For a
        /// listbox selection, it would be the listitem that was selected.</field>
        /// <returns type="goog.ui.ItemEvent"/>
    };

    var $x = window.goog.ui.ItemEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ItemEvent";
})(this);
