
/* vsdoc for goog.ui.NativeButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.NativeButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="setAllowTextSelection" type=""></field>
        /// <field name="setRightToLeft" type=""></field>
        /// <field name="setFocusable" type=""></field>
        /// <field name="updateAriaState" type=""></field>
        /// <returns type="goog.ui.NativeButtonRenderer"/>
    };

    var $x = window.goog.ui.NativeButtonRenderer;
    $x.prototype = {
                
        getAriaRole: function() {
            /// <summary></summary>
        }, 
        
        createDom: function(button) {
            /// <summary>Returns the button&apos;s contents wrapped in a native HTML button element.  Sets
            /// the button&apos;s disabled attribute as needed.</summary>
            /// <param name="button" type="goog.ui.Control">Button to render.</param>
            /// <returns type="Element">Root element for the button (a native HTML button element).</returns>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Overrides {@link goog.ui.ButtonRenderer#canDecorate} by returning true only
            /// if the element is an HTML button.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Whether the renderer can decorate the element.</returns>
        }, 
        
        decorate: function(button, element) {
            /// <summary></summary>
            /// <param name="button" type=""></param>
            /// <param name="element" type=""></param>
        }, 
        
        initializeDom: function(button) {
            /// <summary>Native buttons natively support BiDi and keyboard focus.</summary>
            /// <param name="button" type=""></param>
        }, 
        
        isFocusable: function(button) {
            /// <summary></summary>
            /// <param name="button" type=""></param>
        }, 
        
        setState: function(button, state, enable) {
            /// <summary></summary>
            /// <param name="button" type=""></param>
            /// <param name="state" type=""></param>
            /// <param name="enable" type=""></param>
        }, 
        
        getValue: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        setValue: function(element, value) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
            /// <param name="value" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.NativeButtonRenderer";
})(this);
