
/* vsdoc for goog.ui.Slider */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Slider = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="Orientation" type="">Expose Enum of superclass (representing the orientation of the slider) within
        /// Slider namespace.</field>
        /// <field name="CSS_CLASS_PREFIX" type="string">The prefix we use for the CSS class names for the slider and its elements.</field>
        /// <field name="THUMB_CSS_CLASS" type="string">CSS class name for the single thumb element.</field>
        /// <returns type="goog.ui.Slider"/>
    };

    var $x = window.goog.ui.Slider;
    $x.prototype = {
                
        getCssClass: function(orient) {
            /// <summary>Returns CSS class applied to the slider element.</summary>
            /// <param name="orient" type="goog.ui.SliderBase.Orientation">Orientation of the slider.</param>
            /// <returns type="string">The CSS class applied to the slider element.</returns>
        }, 
        
        createThumbs: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Slider";
})(this);
