
/* vsdoc for goog.ui.ToolbarButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of buttons rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.ToolbarButtonRenderer"/>
    };

    var $x = window.goog.ui.ToolbarButtonRenderer;
    $x.prototype = {
                
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of buttons rendered
            /// using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarButtonRenderer";
})(this);
