
/* vsdoc for goog.ui.ToolbarMenuButton */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarMenuButton = function(content, opt_menu, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or existing DOM
        ///     structure to display as the button&apos;s caption.</param>
        /// <param name="opt_menu" type="goog.ui.Menu=">Menu to render under the button when clicked.</param>
        /// <param name="opt_renderer" type="goog.ui.ButtonRenderer=">Optional renderer used to
        ///     render or decorate the button; defaults to
        ///     {@link goog.ui.ToolbarMenuButtonRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM hepler, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.ToolbarMenuButton"/>
    };

    var $x = window.goog.ui.ToolbarMenuButton;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarMenuButton";
})(this);
