
/* vsdoc for goog.ui.ToolbarSelect */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarSelect = function(caption, opt_menu, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="caption" type="goog.ui.ControlContent">Default caption or existing DOM
        ///     structure to display as the button&apos;s caption when nothing is selected.</param>
        /// <param name="opt_menu" type="goog.ui.Menu=">Menu containing selection options.</param>
        /// <param name="opt_renderer" type="goog.ui.MenuButtonRenderer=">Renderer used to
        ///     render or decorate the control; defaults to
        ///     {@link goog.ui.ToolbarMenuButtonRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM hepler, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.ToolbarSelect"/>
    };

    var $x = window.goog.ui.ToolbarSelect;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarSelect";
})(this);
