
/* vsdoc for goog.ui.Tooltip.CursorTooltipPosition */

(function (window) {
    window.goog.ui.Tooltip = window.goog.ui.Tooltip || {};

    window.goog.ui.Tooltip.CursorTooltipPosition = function(arg1, opt_arg2){
        /// <summary></summary>
        /// <param name="arg1" type="number|!goog.math.Coordinate">Left position or coordinate.</param>
        /// <param name="opt_arg2" type="number=">Top position.</param>
        /// <returns type="goog.ui.Tooltip.CursorTooltipPosition"/>
    };

    var $x = window.goog.ui.Tooltip.CursorTooltipPosition;
    $x.prototype = {
                
        reposition: function(element, popupCorner, opt_margin) {
            /// <summary>Repositions the popup based on cursor position.</summary>
            /// <param name="element" type="Element">The DOM element of the popup.</param>
            /// <param name="popupCorner" type="goog.positioning.Corner">The corner of the popup element
            ///     that that should be positioned adjacent to the anchorElement.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Tooltip.CursorTooltipPosition";
})(this);
