
/* vsdoc for goog.ui.Tooltip.ElementTooltipPosition */

(function (window) {
    window.goog.ui.Tooltip = window.goog.ui.Tooltip || {};

    window.goog.ui.Tooltip.ElementTooltipPosition = function(element){
        /// <summary></summary>
        /// <param name="element" type="Element">The element to anchor the popup at.</param>
        /// <returns type="goog.ui.Tooltip.ElementTooltipPosition"/>
    };

    var $x = window.goog.ui.Tooltip.ElementTooltipPosition;
    $x.prototype = {
                
        reposition: function(element, popupCorner, opt_margin) {
            /// <summary>Repositions the popup based on element position.</summary>
            /// <param name="element" type="Element">The DOM element of the popup.</param>
            /// <param name="popupCorner" type="goog.positioning.Corner">The corner of the popup element
            ///     that should be positioned adjacent to the anchorElement.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Tooltip.ElementTooltipPosition";
})(this);
