
/* vsdoc for goog.ui.ac.Renderer.CustomRenderer */

(function (window) {
    window.goog.ui.ac.Renderer = window.goog.ui.ac.Renderer || {};

    window.goog.ui.ac.Renderer.CustomRenderer = function(){
        /// <summary></summary>
        /// <returns type="goog.ui.ac.Renderer.CustomRenderer"/>
    };

    var $x = window.goog.ui.ac.Renderer.CustomRenderer;
    $x.prototype = {
                
        render: function(renderer, element, rows, token) {
            /// <summary>Renders the autocomplete box. May be set to null.</summary>
            /// <param name="renderer" type=""></param>
            /// <param name="element" type=""></param>
            /// <param name="rows" type=""></param>
            /// <param name="token" type=""></param>
        }, 
        
        renderRow: function(row, token, node) {
            /// <summary>Generic function that takes a row and renders a DOM structure for that row.</summary>
            /// <param name="row" type="Object">Object representing row.</param>
            /// <param name="token" type="string">Token to highlight.</param>
            /// <param name="node" type="Node">The node to render into.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ac.Renderer.CustomRenderer";
})(this);
