
/* vsdoc for goog.ui.ac.RichInputHandler */

(function (window) {
    window.goog.ui.ac = window.goog.ui.ac || {};

    window.goog.ui.ac.RichInputHandler = function(opt_separators, opt_literals, opt_multi, opt_throttleTime){
        /// <summary></summary>
        /// <param name="opt_separators" type="?string=">Seperators to split multiple entries.</param>
        /// <param name="opt_literals" type="?string=">Characters used to delimit text literals.</param>
        /// <param name="opt_multi" type="?boolean=">Whether to allow multiple entries
        ///     (Default: true).</param>
        /// <param name="opt_throttleTime" type="?number=">Number of milliseconds to throttle
        ///     keyevents with (Default: 150).</param>
        /// <returns type="goog.ui.ac.RichInputHandler"/>
    };

    var $x = window.goog.ui.ac.RichInputHandler;
    $x.prototype = {
                
        selectRow: function(row) {
            /// <summary>Selects the given rich row.  The row&apos;s select(target) method is called.</summary>
            /// <param name="row" type="Object">The row to select.</param>
            /// <returns type="boolean">Whether to suppress the update event.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ac.RichInputHandler";
})(this);
