
/* vsdoc for goog.ui.ac.RichRemote */

(function (window) {
    window.goog.ui.ac = window.goog.ui.ac || {};

    window.goog.ui.ac.RichRemote = function(url, input, opt_multi, opt_useSimilar){
        /// <summary></summary>
        /// <param name="url" type="string">The Uri which generates the auto complete matches.</param>
        /// <param name="input" type="Element">Input element or text area.</param>
        /// <param name="opt_multi" type="boolean=">Whether to allow multiple entries; defaults
        ///     to false.</param>
        /// <param name="opt_useSimilar" type="boolean=">Whether to use similar matches; e.g.
        ///     &quot;gost&quot; => &quot;ghost&quot;.</param>
        /// <returns type="goog.ui.ac.RichRemote"/>
    };

    var $x = window.goog.ui.ac.RichRemote;
    $x.prototype = {
                
        setRowFilter: function(rowFilter) {
            /// <summary>Set the filter that is called before the array matches are returned.</summary>
            /// <param name="rowFilter" type="Function">A function(rows) that returns an array of rows as
            ///     a subset of the rows input array.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ac.RichRemote";
})(this);
