
/* vsdoc for goog.ui.editor.LinkDialog.OkEvent */

(function (window) {
    window.goog.ui.editor.LinkDialog = window.goog.ui.editor.LinkDialog || {};

    window.goog.ui.editor.LinkDialog.OkEvent = function(linkText, linkUrl, openInNewWindow, noFollow){
        /// <summary></summary>
        /// <param name="linkText" type="string">Text the user chose to display for the link.</param>
        /// <param name="linkUrl" type="string">Url the user chose for the link to point to.</param>
        /// <param name="openInNewWindow" type="boolean">Whether the link should open in a new window
        ///     when clicked.</param>
        /// <param name="noFollow" type="boolean">Whether the link should have &apos;rel=nofollow&apos;
        ///     attribute.</param>
        /// <field name="linkText" type="string">The text of the link edited in the dialog.</field>
        /// <field name="linkUrl" type="string">The url of the link edited in the dialog.</field>
        /// <field name="openInNewWindow" type="boolean">Whether the link should open in a new window when clicked.</field>
        /// <field name="noFollow" type="boolean">Whether the link should have &apos;rel=nofollow&apos; attribute.</field>
        /// <returns type="goog.ui.editor.LinkDialog.OkEvent"/>
    };

    var $x = window.goog.ui.editor.LinkDialog.OkEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.editor.LinkDialog.OkEvent";
})(this);
