
/* vsdoc for goog.ui.editor.messages */

(function (window) {
    window.goog.ui.editor = window.goog.ui.editor || {};

    window.goog.ui.editor.messages = {
        /// <summary></summary>
        /// <field name="MSG_LINK_CAPTION" type="">Link button / bubble caption.</field>
        /// <field name="MSG_EDIT_LINK" type="">Title for the dialog that edits a link.</field>
        /// <field name="MSG_TEXT_TO_DISPLAY" type="">Prompt the user for the text of the link they&apos;ve written.</field>
        /// <field name="MSG_LINK_TO" type="">Prompt the user for the URL of the link they&apos;ve created.</field>
        /// <field name="MSG_ON_THE_WEB" type="">Prompt the user to type a web address for their link.</field>
        /// <field name="MSG_ON_THE_WEB_TIP" type="">More details on what linking to a web address involves..</field>
        /// <field name="MSG_TEST_THIS_LINK" type="">Text for a button that allows the user to test the link that
        ///     they created.</field>
        /// <field name="MSG_TR_LINK_EXPLANATION" type="">Explanation for how to create a link with the link-editing dialog.</field>
        /// <field name="MSG_WHAT_URL" type="">Prompt for the URL of a link that the user is creating.</field>
        /// <field name="MSG_EMAIL_ADDRESS" type="">Prompt for an email address, so that the user can create a link
        ///    that sends an email.</field>
        /// <field name="MSG_EMAIL_ADDRESS_TIP" type="">Explanation of the prompt for an email address in a link.</field>
        /// <field name="MSG_INVALID_EMAIL" type="">Error message when the user enters an invalid email address.</field>
        /// <field name="MSG_WHAT_EMAIL" type="">When the user creates a mailto link, asks them what email
        ///     address clicking on this link will send mail to.</field>
        /// <field name="MSG_EMAIL_EXPLANATION" type="">Warning about the dangers of creating links with email
        ///     addresses in them.</field>
        /// <field name="MSG_OPEN_IN_NEW_WINDOW" type="">Label for the checkbox that allows the user to specify what when this
        ///     link is clicked, it should be opened in a new window.</field>
        /// <field name="MSG_IMAGE_CAPTION" type="">Image bubble caption.</field>
        /// <returns type="goog.ui.editor.messages"/>
                
    };

    var $x = window.goog.ui.editor.messages;
    $x.__namespace = "true";
    $x.__typeName = "goog.ui.editor.messages";
})(this);
