
/* vsdoc for goog.ui.equation.EquationEditorDialog */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.EquationEditorDialog = function(opt_equation){
        /// <summary></summary>
        /// <param name="opt_equation" type="string=">Encoded equation. If not specified, starts with
        ///     an empty equation.</param>
        /// <returns type="goog.ui.equation.EquationEditorDialog"/>
    };

    var $x = window.goog.ui.equation.EquationEditorDialog;
    $x.prototype = {
                
        setVisible: function(visible) {
            /// <summary></summary>
            /// <param name="visible" type=""></param>
        }, 
        
        getEquation: function() {
            /// <summary>Returns the encoded equation.</summary>
            /// <returns type="string">The encoded equation.</returns>
        }, 
        
        setEquation: function(equation) {
            /// <summary>Sets the encoded equation.</summary>
            /// <param name="equation" type="string">The encoded equation.</param>
        }, 
        
        getHtml: function() {
            /// <summary></summary>
            /// <returns type="string">The html code to embed in the document.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.EquationEditorDialog";
})(this);
