
/* vsdoc for goog.ui.equation.MenuPalette */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.MenuPalette = function(paletteManager){
        /// <summary></summary>
        /// <param name="paletteManager" type="goog.ui.equation.PaletteManager">The
        ///     manager of the palette.</param>
        /// <field name="CSS_CLASS" type="string">The CSS class name for the palette.</field>
        /// <returns type="goog.ui.equation.MenuPalette"/>
    };

    var $x = window.goog.ui.equation.MenuPalette;
    $x.prototype = {
                
        setVisible: function(visible, opt_force) {
            /// <summary>Overrides the setVisible method to make menu palette always visible.</summary>
            /// <param name="visible" type="boolean">Whether to show or hide the component.</param>
            /// <param name="opt_force" type="boolean=">If true, doesn&apos;t check whether the component
            ///     already has the requested visibility, and doesn&apos;t dispatch any events.</param>
            /// <returns type="boolean">Whether the visibility was changed.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.MenuPalette";
})(this);
