
/* vsdoc for goog.ui.equation.TexEditor */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.TexEditor = function(context, helpUrl, opt_domHelper){
        /// <summary></summary>
        /// <param name="context" type="Object">The context that this Tex editor runs in.</param>
        /// <param name="helpUrl" type="string">URL pointing to help documentation.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">DomHelper to use.</param>
        /// <returns type="goog.ui.equation.TexEditor"/>
    };

    var $x = window.goog.ui.equation.TexEditor;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        getEquation: function() {
            /// <summary>Returns the encoded equation.</summary>
            /// <returns type="string">The encoded equation.</returns>
        }, 
        
        setEquation: function(equation) {
            /// <summary>Parse an equation and draw it.
            /// Clears any previous displayed equation.</summary>
            /// <param name="equation" type="string">The equation text to parse.</param>
        }, 
        
        getHtml: function() {
            /// <summary></summary>
            /// <returns type="string">The html code to embed in the document.</returns>
        }, 
        
        isValid: function() {
            /// <summary>Checks whether the current equation is valid and can be used in a document.</summary>
            /// <returns type="boolean">Whether the equation valid.</returns>
        }, 
        
        setVisible: function(visible) {
            /// <summary>Sets the visibility of the editor.</summary>
            /// <param name="visible" type="boolean">Whether the editor should be visible.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.TexEditor";
})(this);
