
/* vsdoc for goog.ui.equation.TexPane */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.TexPane = function(context, helpUrl, opt_domHelper){
        /// <summary></summary>
        /// <param name="context" type="Object">The context this Tex editor pane runs in.</param>
        /// <param name="helpUrl" type="string">The help link URL.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="PREVIEW_CONTAINER_CSS_CLASS" type="string">The CSS class name for the preview container.</field>
        /// <field name="SECTION_TITLE_CSS_CLASS" type="string">The CSS class name for section titles.</field>
        /// <field name="SECTION_TITLE_FLOAT_CSS_CLASS" type="string">The CSS class name for section titles that float left.</field>
        /// <field name="SECTION_LEARN_MORE_CSS_ID" type="string">The CSS id name for the link to &quot;Learn more&quot;.</field>
        /// <field name="TEX_EDIT_CSS_CLASS" type="string">The CSS class name for the Tex editor.</field>
        /// <field name="WARNING_CLASS" type="string">The CSS class name for the preview container.</field>
        /// <returns type="goog.ui.equation.TexPane"/>
    };

    var $x = window.goog.ui.equation.TexPane;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        setVisible: function(visible) {
            /// <summary></summary>
            /// <param name="visible" type=""></param>
        }, 
        
        getEquation: function() {
            /// <summary></summary>
        }, 
        
        setEquation: function(equation) {
            /// <summary></summary>
            /// <param name="equation" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.TexPane";
})(this);
