
/* vsdoc for goog.userAgent.adobeReader */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.adobeReader = {
        /// <summary></summary>
        /// <field name="HAS_READER" type="boolean">Whether we detect the user has the Adobe Reader browser plugin installed.</field>
        /// <field name="VERSION" type="string">The version of the installed Adobe Reader plugin. Versions after 7
        /// will all be reported as &apos;7&apos;.</field>
        /// <field name="SILENT_PRINT" type="boolean">On certain combinations of platform/browser/plugin, a print dialog
        /// can be shown for PDF files without a download dialog or making the
        /// PDF visible to the user, by loading the PDF into a hidden iframe.
        /// 
        /// Currently this variable is true if Adobe Reader version 6 or later
        /// is detected on Windows.</field>
        /// <returns type="goog.userAgent.adobeReader"/>
                
    };

    var $x = window.goog.userAgent.adobeReader;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.adobeReader";
})(this);
