
/* vsdoc for goog.userAgent.flash */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.flash = {
        /// <summary></summary>
        /// <field name="ASSUME_NO_FLASH" type=""></field>
        /// <field name="HAS_FLASH" type="boolean">Whether we can detect that the browser has flash</field>
        /// <field name="VERSION" type="string">Full version information of flash installed, in form 7.0.61</field>
        /// <returns type="goog.userAgent.flash"/>
                
        isVersion: function(version) {
            /// <summary>Whether the installed flash version is as new or newer than a given version.</summary>
            /// <param name="version" type="string">The version to check.</param>
            /// <returns type="boolean">Whether the installed flash version is as new or newer
            ///     than a given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent.flash;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.flash";
})(this);
