
/* vsdoc for goog.userAgent.iphoto */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.iphoto = {
        /// <summary></summary>
        /// <field name="HAS_IPHOTO" type="boolean">Whether we can detect that the user has iPhoto installed.</field>
        /// <field name="VERSION" type="string">The version of iPhoto installed if found.</field>
        /// <returns type="goog.userAgent.iphoto"/>
                
        isVersion: function(version) {
            /// <summary>Whether the installed version of iPhoto is as new or newer than a given
            /// version.</summary>
            /// <param name="version" type="string">The version to check.</param>
            /// <returns type="boolean">Whether the installed version of iPhoto is as new or newer
            ///     than a given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent.iphoto;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.iphoto";
})(this);
