
/* vsdoc for goog.userAgent.jscript */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.jscript = {
        /// <summary></summary>
        /// <field name="ASSUME_NO_JSCRIPT" type=""></field>
        /// <field name="HAS_JSCRIPT" type="boolean">Whether we detect that the user agent is using Microsoft JScript.</field>
        /// <field name="VERSION" type="string">The installed version of JScript.</field>
        /// <returns type="goog.userAgent.jscript"/>
                
        isVersion: function(version) {
            /// <summary>Whether the installed version of JScript is as new or newer than a given
            /// version.</summary>
            /// <param name="version" type="string">The version to check.</param>
            /// <returns type="boolean">Whether the installed version of JScript is as new or
            ///     newer than the given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent.jscript;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.jscript";
})(this);
