
/* vsdoc for goog.userAgent.platform */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.platform = {
        /// <summary></summary>
        /// <field name="VERSION" type="string">The version of the platform. We only determine the version for Windows and
        /// Mac, since it doesn&apos;t make much sense on Linux. For Windows, we only look at
        /// the NT version. Non-NT-based versions (e.g. 95, 98, etc.) are given version
        /// 0.0</field>
        /// <returns type="goog.userAgent.platform"/>
                
        isVersion: function(version) {
            /// <summary>Whether the user agent platform version is higher or the same as the given
            /// version.</summary>
            /// <param name="version" type="string|number">The version to check.</param>
            /// <returns type="boolean">Whether the user agent platform version is higher or the
            ///     same as the given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent.platform;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.platform";
})(this);
