
/* vsdoc for goog.userAgent.product */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.product = {
        /// <summary></summary>
        /// <field name="ASSUME_FIREFOX" type=""></field>
        /// <field name="ASSUME_CAMINO" type=""></field>
        /// <field name="ASSUME_IPHONE" type=""></field>
        /// <field name="ASSUME_IPAD" type=""></field>
        /// <field name="ASSUME_ANDROID" type=""></field>
        /// <field name="ASSUME_CHROME" type=""></field>
        /// <field name="ASSUME_SAFARI" type=""></field>
        /// <field name="OPERA" type="boolean">Whether the code is running on the Opera web browser.</field>
        /// <field name="IE" type="boolean">Whether the code is running on an IE web browser.</field>
        /// <field name="FIREFOX" type="boolean">Whether the code is running on the Firefox web browser.</field>
        /// <field name="CAMINO" type="boolean">Whether the code is running on the Camino web browser.</field>
        /// <field name="IPHONE" type="boolean">Whether the code is running on an iPhone or iPod touch.</field>
        /// <field name="IPAD" type="boolean">Whether the code is running on an iPad.</field>
        /// <field name="ANDROID" type="boolean">Whether the code is running on the default browser on an Android phone.</field>
        /// <field name="CHROME" type="boolean">Whether the code is running on the Chrome web browser.</field>
        /// <field name="SAFARI" type="boolean">Whether the code is running on the Safari web browser.</field>
        /// <field name="VERSION" type="string">The version of the user agent. This is a string because it might contain
        /// &apos;b&apos; (as in beta) as well as multiple dots.</field>
        /// <returns type="goog.userAgent.product"/>
                
        isVersion: function(version) {
            /// <summary>Whether the user agent product version is higher or the same as the given
            /// version.</summary>
            /// <param name="version" type="string|number">The version to check.</param>
            /// <returns type="boolean">Whether the user agent product version is higher or the
            ///     same as the given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent.product;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.product";
})(this);
