
/* vsdoc for goog.vec.Float32Array */

(function (window) {
    window.goog.vec = window.goog.vec || {};

    window.goog.vec.Float32Array = function(p0){
        /// <summary></summary>
        /// <param name="p0" type="goog.vec.Float32Array|Array|ArrayBuffer|number">The length of the array, or an array to initialize the contents of the
        ///     new Float32Array.</param>
        /// <field name="BYTES_PER_ELEMENT" type="number">The number of bytes in an element (as defined by the Typed Array
        /// specification).</field>
        /// <field name="BYTES_PER_ELEMENT" type="number">The number of bytes in an element (as defined by the Typed Array
        /// specification).</field>
        /// <field name="toString" type="string">Creates a string representation of this array.</field>
        /// <returns type="goog.vec.Float32Array"/>
    };

    var $x = window.goog.vec.Float32Array;
    $x.prototype = {
                
        set: function(values, opt_offset) {
            /// <summary>Sets elements of the array.</summary>
            /// <param name="values" type="Array.number|Float32Array">The array of values.</param>
            /// <param name="opt_offset" type="number=">The offset in this array to start.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.vec.Float32Array";
})(this);
