
/* vsdoc for goog.webgl */

(function (window) {
    window.goog = window.goog || {};

    window.goog.webgl = {
        /// <summary></summary>
        /// <field name="DEPTH_BUFFER_BIT" type="number"></field>
        /// <field name="STENCIL_BUFFER_BIT" type="number"></field>
        /// <field name="COLOR_BUFFER_BIT" type="number"></field>
        /// <field name="POINTS" type="number"></field>
        /// <field name="LINES" type="number"></field>
        /// <field name="LINE_LOOP" type="number"></field>
        /// <field name="LINE_STRIP" type="number"></field>
        /// <field name="TRIANGLES" type="number"></field>
        /// <field name="TRIANGLE_STRIP" type="number"></field>
        /// <field name="TRIANGLE_FAN" type="number"></field>
        /// <field name="ZERO" type="number"></field>
        /// <field name="ONE" type="number"></field>
        /// <field name="SRC_COLOR" type="number"></field>
        /// <field name="ONE_MINUS_SRC_COLOR" type="number"></field>
        /// <field name="SRC_ALPHA" type="number"></field>
        /// <field name="ONE_MINUS_SRC_ALPHA" type="number"></field>
        /// <field name="DST_ALPHA" type="number"></field>
        /// <field name="ONE_MINUS_DST_ALPHA" type="number"></field>
        /// <field name="DST_COLOR" type="number"></field>
        /// <field name="ONE_MINUS_DST_COLOR" type="number"></field>
        /// <field name="SRC_ALPHA_SATURATE" type="number"></field>
        /// <field name="FUNC_ADD" type="number"></field>
        /// <field name="BLEND_EQUATION" type="number"></field>
        /// <field name="BLEND_EQUATION_RGB" type="number">Same as BLEND_EQUATION</field>
        /// <field name="BLEND_EQUATION_ALPHA" type="number"></field>
        /// <field name="FUNC_SUBTRACT" type="number"></field>
        /// <field name="FUNC_REVERSE_SUBTRACT" type="number"></field>
        /// <field name="BLEND_DST_RGB" type="number"></field>
        /// <field name="BLEND_SRC_RGB" type="number"></field>
        /// <field name="BLEND_DST_ALPHA" type="number"></field>
        /// <field name="BLEND_SRC_ALPHA" type="number"></field>
        /// <field name="CONSTANT_COLOR" type="number"></field>
        /// <field name="ONE_MINUS_CONSTANT_COLOR" type="number"></field>
        /// <field name="CONSTANT_ALPHA" type="number"></field>
        /// <field name="ONE_MINUS_CONSTANT_ALPHA" type="number"></field>
        /// <field name="BLEND_COLOR" type="number"></field>
        /// <field name="ARRAY_BUFFER" type="number"></field>
        /// <field name="ELEMENT_ARRAY_BUFFER" type="number"></field>
        /// <field name="ARRAY_BUFFER_BINDING" type="number"></field>
        /// <field name="ELEMENT_ARRAY_BUFFER_BINDING" type="number"></field>
        /// <field name="STREAM_DRAW" type="number"></field>
        /// <field name="STATIC_DRAW" type="number"></field>
        /// <field name="DYNAMIC_DRAW" type="number"></field>
        /// <field name="BUFFER_SIZE" type="number"></field>
        /// <field name="BUFFER_USAGE" type="number"></field>
        /// <field name="CURRENT_VERTEX_ATTRIB" type="number"></field>
        /// <field name="FRONT" type="number"></field>
        /// <field name="BACK" type="number"></field>
        /// <field name="FRONT_AND_BACK" type="number"></field>
        /// <field name="CULL_FACE" type="number"></field>
        /// <field name="BLEND" type="number"></field>
        /// <field name="DITHER" type="number"></field>
        /// <field name="STENCIL_TEST" type="number"></field>
        /// <field name="DEPTH_TEST" type="number"></field>
        /// <field name="SCISSOR_TEST" type="number"></field>
        /// <field name="POLYGON_OFFSET_FILL" type="number"></field>
        /// <field name="SAMPLE_ALPHA_TO_COVERAGE" type="number"></field>
        /// <field name="SAMPLE_COVERAGE" type="number"></field>
        /// <field name="NO_ERROR" type="number"></field>
        /// <field name="INVALID_ENUM" type="number"></field>
        /// <field name="INVALID_VALUE" type="number"></field>
        /// <field name="INVALID_OPERATION" type="number"></field>
        /// <field name="OUT_OF_MEMORY" type="number"></field>
        /// <field name="CW" type="number"></field>
        /// <field name="CCW" type="number"></field>
        /// <field name="LINE_WIDTH" type="number"></field>
        /// <field name="ALIASED_POINT_SIZE_RANGE" type="number"></field>
        /// <field name="ALIASED_LINE_WIDTH_RANGE" type="number"></field>
        /// <field name="CULL_FACE_MODE" type="number"></field>
        /// <field name="FRONT_FACE" type="number"></field>
        /// <field name="DEPTH_RANGE" type="number"></field>
        /// <field name="DEPTH_WRITEMASK" type="number"></field>
        /// <field name="DEPTH_CLEAR_VALUE" type="number"></field>
        /// <field name="DEPTH_FUNC" type="number"></field>
        /// <field name="STENCIL_CLEAR_VALUE" type="number"></field>
        /// <field name="STENCIL_FUNC" type="number"></field>
        /// <field name="STENCIL_FAIL" type="number"></field>
        /// <field name="STENCIL_PASS_DEPTH_FAIL" type="number"></field>
        /// <field name="STENCIL_PASS_DEPTH_PASS" type="number"></field>
        /// <field name="STENCIL_REF" type="number"></field>
        /// <field name="STENCIL_VALUE_MASK" type="number"></field>
        /// <field name="STENCIL_WRITEMASK" type="number"></field>
        /// <field name="STENCIL_BACK_FUNC" type="number"></field>
        /// <field name="STENCIL_BACK_FAIL" type="number"></field>
        /// <field name="STENCIL_BACK_PASS_DEPTH_FAIL" type="number"></field>
        /// <field name="STENCIL_BACK_PASS_DEPTH_PASS" type="number"></field>
        /// <field name="STENCIL_BACK_REF" type="number"></field>
        /// <field name="STENCIL_BACK_VALUE_MASK" type="number"></field>
        /// <field name="STENCIL_BACK_WRITEMASK" type="number"></field>
        /// <field name="VIEWPORT" type="number"></field>
        /// <field name="SCISSOR_BOX" type="number"></field>
        /// <field name="COLOR_CLEAR_VALUE" type="number"></field>
        /// <field name="COLOR_WRITEMASK" type="number"></field>
        /// <field name="UNPACK_ALIGNMENT" type="number"></field>
        /// <field name="PACK_ALIGNMENT" type="number"></field>
        /// <field name="MAX_TEXTURE_SIZE" type="number"></field>
        /// <field name="MAX_VIEWPORT_DIMS" type="number"></field>
        /// <field name="SUBPIXEL_BITS" type="number"></field>
        /// <field name="RED_BITS" type="number"></field>
        /// <field name="GREEN_BITS" type="number"></field>
        /// <field name="BLUE_BITS" type="number"></field>
        /// <field name="ALPHA_BITS" type="number"></field>
        /// <field name="DEPTH_BITS" type="number"></field>
        /// <field name="STENCIL_BITS" type="number"></field>
        /// <field name="POLYGON_OFFSET_UNITS" type="number"></field>
        /// <field name="POLYGON_OFFSET_FACTOR" type="number"></field>
        /// <field name="TEXTURE_BINDING_2D" type="number"></field>
        /// <field name="SAMPLE_BUFFERS" type="number"></field>
        /// <field name="SAMPLES" type="number"></field>
        /// <field name="SAMPLE_COVERAGE_VALUE" type="number"></field>
        /// <field name="SAMPLE_COVERAGE_INVERT" type="number"></field>
        /// <field name="COMPRESSED_TEXTURE_FORMATS" type="number"></field>
        /// <field name="DONT_CARE" type="number"></field>
        /// <field name="FASTEST" type="number"></field>
        /// <field name="NICEST" type="number"></field>
        /// <field name="GENERATE_MIPMAP_HINT" type="number"></field>
        /// <field name="BYTE" type="number"></field>
        /// <field name="UNSIGNED_BYTE" type="number"></field>
        /// <field name="SHORT" type="number"></field>
        /// <field name="UNSIGNED_SHORT" type="number"></field>
        /// <field name="INT" type="number"></field>
        /// <field name="UNSIGNED_INT" type="number"></field>
        /// <field name="FLOAT" type="number"></field>
        /// <field name="DEPTH_COMPONENT" type="number"></field>
        /// <field name="ALPHA" type="number"></field>
        /// <field name="RGB" type="number"></field>
        /// <field name="RGBA" type="number"></field>
        /// <field name="LUMINANCE" type="number"></field>
        /// <field name="LUMINANCE_ALPHA" type="number"></field>
        /// <field name="UNSIGNED_SHORT_4_4_4_4" type="number"></field>
        /// <field name="UNSIGNED_SHORT_5_5_5_1" type="number"></field>
        /// <field name="UNSIGNED_SHORT_5_6_5" type="number"></field>
        /// <field name="FRAGMENT_SHADER" type="number"></field>
        /// <field name="VERTEX_SHADER" type="number"></field>
        /// <field name="MAX_VERTEX_ATTRIBS" type="number"></field>
        /// <field name="MAX_VERTEX_UNIFORM_VECTORS" type="number"></field>
        /// <field name="MAX_VARYING_VECTORS" type="number"></field>
        /// <field name="MAX_COMBINED_TEXTURE_IMAGE_UNITS" type="number"></field>
        /// <field name="MAX_VERTEX_TEXTURE_IMAGE_UNITS" type="number"></field>
        /// <field name="MAX_TEXTURE_IMAGE_UNITS" type="number"></field>
        /// <field name="MAX_FRAGMENT_UNIFORM_VECTORS" type="number"></field>
        /// <field name="SHADER_TYPE" type="number"></field>
        /// <field name="DELETE_STATUS" type="number"></field>
        /// <field name="LINK_STATUS" type="number"></field>
        /// <field name="VALIDATE_STATUS" type="number"></field>
        /// <field name="ATTACHED_SHADERS" type="number"></field>
        /// <field name="ACTIVE_UNIFORMS" type="number"></field>
        /// <field name="ACTIVE_ATTRIBUTES" type="number"></field>
        /// <field name="SHADING_LANGUAGE_VERSION" type="number"></field>
        /// <field name="CURRENT_PROGRAM" type="number"></field>
        /// <field name="NEVER" type="number"></field>
        /// <field name="LESS" type="number"></field>
        /// <field name="EQUAL" type="number"></field>
        /// <field name="LEQUAL" type="number"></field>
        /// <field name="GREATER" type="number"></field>
        /// <field name="NOTEQUAL" type="number"></field>
        /// <field name="GEQUAL" type="number"></field>
        /// <field name="ALWAYS" type="number"></field>
        /// <field name="KEEP" type="number"></field>
        /// <field name="REPLACE" type="number"></field>
        /// <field name="INCR" type="number"></field>
        /// <field name="DECR" type="number"></field>
        /// <field name="INVERT" type="number"></field>
        /// <field name="INCR_WRAP" type="number"></field>
        /// <field name="DECR_WRAP" type="number"></field>
        /// <field name="VENDOR" type="number"></field>
        /// <field name="RENDERER" type="number"></field>
        /// <field name="VERSION" type="number"></field>
        /// <field name="NEAREST" type="number"></field>
        /// <field name="LINEAR" type="number"></field>
        /// <field name="NEAREST_MIPMAP_NEAREST" type="number"></field>
        /// <field name="LINEAR_MIPMAP_NEAREST" type="number"></field>
        /// <field name="NEAREST_MIPMAP_LINEAR" type="number"></field>
        /// <field name="LINEAR_MIPMAP_LINEAR" type="number"></field>
        /// <field name="TEXTURE_MAG_FILTER" type="number"></field>
        /// <field name="TEXTURE_MIN_FILTER" type="number"></field>
        /// <field name="TEXTURE_WRAP_S" type="number"></field>
        /// <field name="TEXTURE_WRAP_T" type="number"></field>
        /// <field name="TEXTURE_2D" type="number"></field>
        /// <field name="TEXTURE" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP" type="number"></field>
        /// <field name="TEXTURE_BINDING_CUBE_MAP" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP_POSITIVE_X" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP_NEGATIVE_X" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP_POSITIVE_Y" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP_NEGATIVE_Y" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP_POSITIVE_Z" type="number"></field>
        /// <field name="TEXTURE_CUBE_MAP_NEGATIVE_Z" type="number"></field>
        /// <field name="MAX_CUBE_MAP_TEXTURE_SIZE" type="number"></field>
        /// <field name="TEXTURE0" type="number"></field>
        /// <field name="TEXTURE1" type="number"></field>
        /// <field name="TEXTURE2" type="number"></field>
        /// <field name="TEXTURE3" type="number"></field>
        /// <field name="TEXTURE4" type="number"></field>
        /// <field name="TEXTURE5" type="number"></field>
        /// <field name="TEXTURE6" type="number"></field>
        /// <field name="TEXTURE7" type="number"></field>
        /// <field name="TEXTURE8" type="number"></field>
        /// <field name="TEXTURE9" type="number"></field>
        /// <field name="TEXTURE10" type="number"></field>
        /// <field name="TEXTURE11" type="number"></field>
        /// <field name="TEXTURE12" type="number"></field>
        /// <field name="TEXTURE13" type="number"></field>
        /// <field name="TEXTURE14" type="number"></field>
        /// <field name="TEXTURE15" type="number"></field>
        /// <field name="TEXTURE16" type="number"></field>
        /// <field name="TEXTURE17" type="number"></field>
        /// <field name="TEXTURE18" type="number"></field>
        /// <field name="TEXTURE19" type="number"></field>
        /// <field name="TEXTURE20" type="number"></field>
        /// <field name="TEXTURE21" type="number"></field>
        /// <field name="TEXTURE22" type="number"></field>
        /// <field name="TEXTURE23" type="number"></field>
        /// <field name="TEXTURE24" type="number"></field>
        /// <field name="TEXTURE25" type="number"></field>
        /// <field name="TEXTURE26" type="number"></field>
        /// <field name="TEXTURE27" type="number"></field>
        /// <field name="TEXTURE28" type="number"></field>
        /// <field name="TEXTURE29" type="number"></field>
        /// <field name="TEXTURE30" type="number"></field>
        /// <field name="TEXTURE31" type="number"></field>
        /// <field name="ACTIVE_TEXTURE" type="number"></field>
        /// <field name="REPEAT" type="number"></field>
        /// <field name="CLAMP_TO_EDGE" type="number"></field>
        /// <field name="MIRRORED_REPEAT" type="number"></field>
        /// <field name="FLOAT_VEC2" type="number"></field>
        /// <field name="FLOAT_VEC3" type="number"></field>
        /// <field name="FLOAT_VEC4" type="number"></field>
        /// <field name="INT_VEC2" type="number"></field>
        /// <field name="INT_VEC3" type="number"></field>
        /// <field name="INT_VEC4" type="number"></field>
        /// <field name="BOOL" type="number"></field>
        /// <field name="BOOL_VEC2" type="number"></field>
        /// <field name="BOOL_VEC3" type="number"></field>
        /// <field name="BOOL_VEC4" type="number"></field>
        /// <field name="FLOAT_MAT2" type="number"></field>
        /// <field name="FLOAT_MAT3" type="number"></field>
        /// <field name="FLOAT_MAT4" type="number"></field>
        /// <field name="SAMPLER_2D" type="number"></field>
        /// <field name="SAMPLER_CUBE" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_ENABLED" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_SIZE" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_STRIDE" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_TYPE" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_NORMALIZED" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_POINTER" type="number"></field>
        /// <field name="VERTEX_ATTRIB_ARRAY_BUFFER_BINDING" type="number"></field>
        /// <field name="COMPILE_STATUS" type="number"></field>
        /// <field name="LOW_FLOAT" type="number"></field>
        /// <field name="MEDIUM_FLOAT" type="number"></field>
        /// <field name="HIGH_FLOAT" type="number"></field>
        /// <field name="LOW_INT" type="number"></field>
        /// <field name="MEDIUM_INT" type="number"></field>
        /// <field name="HIGH_INT" type="number"></field>
        /// <field name="FRAMEBUFFER" type="number"></field>
        /// <field name="RENDERBUFFER" type="number"></field>
        /// <field name="RGBA4" type="number"></field>
        /// <field name="RGB5_A1" type="number"></field>
        /// <field name="RGB565" type="number"></field>
        /// <field name="DEPTH_COMPONENT16" type="number"></field>
        /// <field name="STENCIL_INDEX" type="number"></field>
        /// <field name="STENCIL_INDEX8" type="number"></field>
        /// <field name="DEPTH_STENCIL" type="number"></field>
        /// <field name="RENDERBUFFER_WIDTH" type="number"></field>
        /// <field name="RENDERBUFFER_HEIGHT" type="number"></field>
        /// <field name="RENDERBUFFER_INTERNAL_FORMAT" type="number"></field>
        /// <field name="RENDERBUFFER_RED_SIZE" type="number"></field>
        /// <field name="RENDERBUFFER_GREEN_SIZE" type="number"></field>
        /// <field name="RENDERBUFFER_BLUE_SIZE" type="number"></field>
        /// <field name="RENDERBUFFER_ALPHA_SIZE" type="number"></field>
        /// <field name="RENDERBUFFER_DEPTH_SIZE" type="number"></field>
        /// <field name="RENDERBUFFER_STENCIL_SIZE" type="number"></field>
        /// <field name="FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE" type="number"></field>
        /// <field name="FRAMEBUFFER_ATTACHMENT_OBJECT_NAME" type="number"></field>
        /// <field name="FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL" type="number"></field>
        /// <field name="FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE" type="number"></field>
        /// <field name="COLOR_ATTACHMENT0" type="number"></field>
        /// <field name="DEPTH_ATTACHMENT" type="number"></field>
        /// <field name="STENCIL_ATTACHMENT" type="number"></field>
        /// <field name="DEPTH_STENCIL_ATTACHMENT" type="number"></field>
        /// <field name="NONE" type="number"></field>
        /// <field name="FRAMEBUFFER_COMPLETE" type="number"></field>
        /// <field name="FRAMEBUFFER_INCOMPLETE_ATTACHMENT" type="number"></field>
        /// <field name="FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT" type="number"></field>
        /// <field name="FRAMEBUFFER_INCOMPLETE_DIMENSIONS" type="number"></field>
        /// <field name="FRAMEBUFFER_UNSUPPORTED" type="number"></field>
        /// <field name="FRAMEBUFFER_BINDING" type="number"></field>
        /// <field name="RENDERBUFFER_BINDING" type="number"></field>
        /// <field name="MAX_RENDERBUFFER_SIZE" type="number"></field>
        /// <field name="INVALID_FRAMEBUFFER_OPERATION" type="number"></field>
        /// <field name="UNPACK_FLIP_Y_WEBGL" type="number"></field>
        /// <field name="UNPACK_PREMULTIPLY_ALPHA_WEBGL" type="number"></field>
        /// <field name="CONTEXT_LOST_WEBGL" type="number"></field>
        /// <field name="UNPACK_COLORSPACE_CONVERSION_WEBGL" type="number"></field>
        /// <field name="BROWSER_DEFAULT_WEBGL" type="number"></field>
        /// <field name="HALF_FLOAT_OES" type="number">From the OES_texture_half_float extension.
        /// http://www.khronos.org/registry/webgl/extensions/OES_texture_half_float/</field>
        /// <field name="FRAGMENT_SHADER_DERIVATIVE_HINT_OES" type="number">From the OES_standard_derivatives extension.
        /// http://www.khronos.org/registry/webgl/extensions/OES_standard_derivatives/</field>
        /// <field name="VERTEX_ARRAY_BINDING_OES" type="number">From the OES_vertex_array_object extension.
        /// http://www.khronos.org/registry/webgl/extensions/OES_vertex_array_object/</field>
        /// <field name="UNMASKED_VENDOR_WEBGL" type="number">From the WEBGL_debug_renderer_info extension.
        /// http://www.khronos.org/registry/webgl/extensions/WEBGL_debug_renderer_info/</field>
        /// <field name="UNMASKED_RENDERER_WEBGL" type="number">From the WEBGL_debug_renderer_info extension.
        /// http://www.khronos.org/registry/webgl/extensions/WEBGL_debug_renderer_info/</field>
        /// <field name="COMPRESSED_RGB_S3TC_DXT1_EXT" type="number">From the WEBGL_compressed_texture_s3tc extension.
        /// http://www.khronos.org/registry/webgl/extensions/WEBGL_compressed_texture_s3tc/</field>
        /// <field name="COMPRESSED_RGBA_S3TC_DXT1_EXT" type="number">From the WEBGL_compressed_texture_s3tc extension.
        /// http://www.khronos.org/registry/webgl/extensions/WEBGL_compressed_texture_s3tc/</field>
        /// <field name="COMPRESSED_RGBA_S3TC_DXT3_EXT" type="number">From the WEBGL_compressed_texture_s3tc extension.
        /// http://www.khronos.org/registry/webgl/extensions/WEBGL_compressed_texture_s3tc/</field>
        /// <field name="COMPRESSED_RGBA_S3TC_DXT5_EXT" type="number">From the WEBGL_compressed_texture_s3tc extension.
        /// http://www.khronos.org/registry/webgl/extensions/WEBGL_compressed_texture_s3tc/</field>
        /// <field name="TEXTURE_MAX_ANISOTROPY_EXT" type="number">From the EXT_texture_filter_anisotropic extension.
        /// http://www.khronos.org/registry/webgl/extensions/EXT_texture_filter_anisotropic/</field>
        /// <field name="MAX_TEXTURE_MAX_ANISOTROPY_EXT" type="number">From the EXT_texture_filter_anisotropic extension.
        /// http://www.khronos.org/registry/webgl/extensions/EXT_texture_filter_anisotropic/</field>
        /// <returns type="goog.webgl"/>
                
    };

    var $x = window.goog.webgl;
    $x.__namespace = "true";
    $x.__typeName = "goog.webgl";
})(this);
