
/* vsdoc for _global_ */

(function (window) {
    

    window._global_ = {
        /// <summary></summary>
        /// <field name="CLOSURE_IMPORT_SCRIPT" type="boolean">Imports a script using the Web Worker importScript API.</field>
        /// <field name="xpcdemo" type="">Namespace for the demo. We don&apos;t use goog.provide here because it&apos;s not a
        /// real module (cannot be required).</field>
        /// <field name="range" type=""></field>
        /// <field name="returnValue" type=""></field>
        /// <field name="FieldConstructor" type="">Constructor to use for creating the field. Set by the test HTML file.</field>
        /// <field name="HTML" type="">Hard-coded HTML for the tests.</field>
        /// <field name="MSG_EE_BUBBLE_EQUATION" type="">Label for the equation property bubble.</field>
        /// <field name="MSG_EE_BUBBLE_EDIT" type="">Link text for equation property bubble to edit the equation.</field>
        /// <field name="MSG_EE_BUBBLE_REMOVE" type="">Link text for equation property bubble to remove the equation.</field>
        /// <field name="MSG_LINK_BUBBLE_TEST_LINK" type="">Text label for link that lets the user click it to see where the link
        ///     this bubble is for point to.</field>
        /// <field name="MSG_LINK_BUBBLE_CHANGE" type="">Label that pops up a dialog to change the link.</field>
        /// <field name="MSG_LINK_BUBBLE_REMOVE" type="">Label that allow the user to remove this link.</field>
        /// <field name="factory" type=""></field>
        /// <field name="hash" type=""></field>
        /// <field name="b1" type=""></field>
        /// <field name="val2" type=""></field>
        /// <field name="doc" type=""></field>
        /// <field name="isLoaded" type=""></field>
        /// <field name="isSupported" type="Window"></field>
        /// <field name="popupElement" type="Element">Prefabricated popup element for convenient. This is created during
        /// setUp and is not attached to the document at the beginning of the
        /// test.</field>
        /// <field name="wrapper" type=""></field>
        /// <field name="storage" type=""></field>
        /// <field name="font" type=""></field>
        /// <field name="fn" type=""></field>
        /// <field name="matches" type=""></field>
        /// <field name="color" type=""></field>
        /// <field name="MSG_DRAG_DROP_LOCAL_FILE_ERROR" type="">Message shown to users to inform them that they can&apos;t drag and drop
        ///     local files.</field>
        /// <field name="MSG_DRAG_DROP_PROTECTED_FILE_ERROR" type="">Message shown to users trying to drag and drop protected images from
        ///     Flickr, etc.</field>
        /// <field name="activeElement" type=""></field>
        /// <returns type="_global_"/>
                
        stringToBytes: function(s) {
            /// <summary></summary>
            /// <param name="s" type=""></param>
        }, 
        
        runCbcAesTest: function(keyBytes, initialVectorBytes, plainTextBytes, cipherTextBytes) {
            /// <summary></summary>
            /// <param name="keyBytes" type=""></param>
            /// <param name="initialVectorBytes" type=""></param>
            /// <param name="plainTextBytes" type=""></param>
            /// <param name="cipherTextBytes" type=""></param>
        }, 
        
        testAesCbcCipherAlgorithm: function() {
            /// <summary></summary>
        }, 
        
        win[fnName]: function(fn, time) {
            /// <summary></summary>
            /// <param name="fn" type=""></param>
            /// <param name="time" type=""></param>
        }, 
        
        resizeCallback: function() {
            /// <summary></summary>
        }, 
        
        testInitialSizes: function() {
            /// <summary></summary>
        }, 
        
        testWindowResize: function() {
            /// <summary></summary>
        }, 
        
        testWindowResize_eventBatching: function() {
            /// <summary></summary>
        }, 
        
        testWindowResize_noChange: function() {
            /// <summary></summary>
        }, 
        
        testWindowResize_previousSize: function() {
            /// <summary></summary>
        }, 
        
        resize: function(width, height) {
            /// <summary></summary>
            /// <param name="width" type=""></param>
            /// <param name="height" type=""></param>
        }, 
        
        testGet: function() {
            /// <summary></summary>
        }, 
        
        testSetAddHasRemove: function() {
            /// <summary></summary>
        }, 
        
        testAddWithSpacesInClassName: function() {
            /// <summary></summary>
        }, 
        
        testSwap: function() {
            /// <summary></summary>
        }, 
        
        testEnable: function() {
            /// <summary></summary>
        }, 
        
        testToggle: function() {
            /// <summary></summary>
        }, 
        
        testAddNotAddingMultiples: function() {
            /// <summary></summary>
        }, 
        
        testAddRemoveString: function() {
            /// <summary></summary>
        }, 
        
        testAddRemoveArray: function() {
            /// <summary></summary>
        }, 
        
        testAddRemoveMultiple: function() {
            /// <summary></summary>
        }, 
        
        testAddRemoveWithSpacesInClassName: function() {
            /// <summary></summary>
        }, 
        
        testHasWithNewlines: function() {
            /// <summary></summary>
        }, 
        
        testEmptyClassNames: function() {
            /// <summary></summary>
        }, 
        
        setUpPage: function() {
            /// <summary></summary>
        }, 
        
        tearDownPage: function() {
            /// <summary></summary>
        }, 
        
        testDom: function() {
            /// <summary></summary>
        }, 
        
        testGetElement: function() {
            /// <summary></summary>
        }, 
        
        testGetElementsByTagNameAndClass: function() {
            /// <summary></summary>
        }, 
        
        testGetElementsByClass: function() {
            /// <summary></summary>
        }, 
        
        testGetElementByClass: function() {
            /// <summary></summary>
        }, 
        
        testSetProperties: function() {
            /// <summary></summary>
        }, 
        
        testSetPropertiesDirectAttributeMap: function() {
            /// <summary></summary>
        }, 
        
        testSetPropertiesAria: function() {
            /// <summary></summary>
        }, 
        
        testSetPropertiesData: function() {
            /// <summary></summary>
        }, 
        
        testSetTableProperties: function() {
            /// <summary></summary>
        }, 
        
        testGetViewportSize: function() {
            /// <summary></summary>
        }, 
        
        testGetViewportSizeInIframe: function() {
            /// <summary></summary>
        }, 
        
        testGetDocumentHeightInIframe: function() {
            /// <summary></summary>
        }, 
        
        testCreateDom: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomNoChildren: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomAcceptsArray: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomStringArg: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomNodeListArg: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomWithTypeAttribute: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomWithClassList: function() {
            /// <summary></summary>
        }, 
        
        testContains: function() {
            /// <summary></summary>
        }, 
        
        testCreateDomWithClassName: function() {
            /// <summary></summary>
        }, 
        
        testCompareNodeOrder: function() {
            /// <summary></summary>
        }, 
        
        testFindCommonAncestor: function() {
            /// <summary></summary>
        }, 
        
        testRemoveNode: function() {
            /// <summary></summary>
        }, 
        
        testReplaceNode: function() {
            /// <summary></summary>
        }, 
        
        testAppendChildAt: function() {
            /// <summary></summary>
        }, 
        
        testFlattenElement: function() {
            /// <summary></summary>
        }, 
        
        testIsNodeLike: function() {
            /// <summary></summary>
        }, 
        
        testIsElement: function() {
            /// <summary></summary>
        }, 
        
        testIsWindow: function() {
            /// <summary></summary>
        }, 
        
        testGetOwnerDocument: function() {
            /// <summary></summary>
        }, 
        
        testDomHelper: function() {
            /// <summary></summary>
        }, 
        
        testGetFirstElementChild: function() {
            /// <summary></summary>
        }, 
        
        testGetLastElementChild: function() {
            /// <summary></summary>
        }, 
        
        testGetNextElementSibling: function() {
            /// <summary></summary>
        }, 
        
        testGetPreviousElementSibling: function() {
            /// <summary></summary>
        }, 
        
        testGetChildren: function() {
            /// <summary></summary>
        }, 
        
        testGetNextNode: function() {
            /// <summary></summary>
        }, 
        
        testGetPreviousNode: function() {
            /// <summary></summary>
        }, 
        
        testSetTextContent: function() {
            /// <summary></summary>
        }, 
        
        testFindNode: function() {
            /// <summary></summary>
        }, 
        
        testFindNodes: function() {
            /// <summary></summary>
        }, 
        
        createTestDom: function(txt) {
            /// <summary></summary>
            /// <param name="txt" type=""></param>
        }, 
        
        testIsFocusableTabIndex: function() {
            /// <summary></summary>
        }, 
        
        testSetFocusableTabIndex: function() {
            /// <summary></summary>
        }, 
        
        testGetTextContent: function() {
            /// <summary></summary>
        }, 
        
        testGetNodeTextLength: function() {
            /// <summary></summary>
        }, 
        
        testGetNodeTextOffset: function() {
            /// <summary></summary>
        }, 
        
        testGetNodeAtOffset: function() {
            /// <summary></summary>
        }, 
        
        assertEqualsCaseAndLeadingWhitespaceInsensitive: function(value1, value2) {
            /// <summary></summary>
            /// <param name="value1" type=""></param>
            /// <param name="value2" type=""></param>
        }, 
        
        testGetOuterHtml: function() {
            /// <summary></summary>
        }, 
        
        testGetWindowFrame: function() {
            /// <summary></summary>
        }, 
        
        testGetWindow: function() {
            /// <summary></summary>
        }, 
        
        testGetWindowStatic: function() {
            /// <summary></summary>
        }, 
        
        testIsNodeList: function() {
            /// <summary></summary>
        }, 
        
        testGetFrameContentDocument: function() {
            /// <summary></summary>
        }, 
        
        testGetFrameContentWindow: function() {
            /// <summary></summary>
        }, 
        
        testCanHaveChildren: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorNoMatch: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorMatchSelf: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorNoMatchSelf: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorWithMaxSearchStepsMatchSelf: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorWithMaxSearchStepsMatch: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorWithMaxSearchStepsNoMatch: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorByTagNameNoMatch: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorByTagNameOnly: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorByClassNameNoMatch: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorByClassName: function() {
            /// <summary></summary>
        }, 
        
        testGetAncestorByTagNameAndClass: function() {
            /// <summary></summary>
        }, 
        
        testCreateTable: function() {
            /// <summary></summary>
        }, 
        
        testHtmlToDocumentFragment: function() {
            /// <summary></summary>
        }, 
        
        testAppend: function() {
            /// <summary></summary>
        }, 
        
        testAppend2: function() {
            /// <summary></summary>
        }, 
        
        testAppend3: function() {
            /// <summary></summary>
        }, 
        
        testAppend4: function() {
            /// <summary></summary>
        }, 
        
        testGetDocumentScroll: function() {
            /// <summary></summary>
        }, 
        
        testGetDocumentScrollOfFixedViewport: function() {
            /// <summary></summary>
        }, 
        
        testActiveElementIE: function() {
            /// <summary></summary>
        }, 
        
        testParentElement: function() {
            /// <summary></summary>
        }, 
        
        isIE8OrHigher: function() {
            /// <summary></summary>
            /// <returns type="boolean">Returns true if the userAgent is IE8 or higher.</returns>
        }, 
        
        testRegisterPlugin: function() {
            /// <summary>Tests that calling registerPlugin will add the plugin to the
            /// plugin map.</summary>
        }, 
        
        testUnregisterPlugin: function() {
            /// <summary>Tests that calling unregisterPlugin will remove the plugin from
            /// the map.</summary>
        }, 
        
        testGetPluginByClassId: function() {
            /// <summary>Tests that registered plugins can be fetched by their id.</summary>
        }, 
        
        testDisposed_PluginAutoDispose: function() {
            /// <summary>Tests that plugins get auto disposed by default when the field is disposed.
            /// Tests that plugins with setAutoDispose(false) do not get disposed when the
            /// field is disposed.</summary>
        }, 
        
        getBrowserEvent: function() {
            /// <summary></summary>
            /// <returns type="goog.events.Event">Returns an event for a keyboard shortcut
            /// for the letter &apos;a&apos;</returns>
        }, 
        
        testMakeUneditableDisablesPlugins: function() {
            /// <summary>Tests that plugins are disabled when the field is made uneditable.</summary>
        }, 
        
        testPluginKeyUp: function() {
            /// <summary>Test that if a plugin registers keyup, it gets called.</summary>
        }, 
        
        testPluginKeyDown: function() {
            /// <summary>Test that if a plugin registers keydown, it gets called.</summary>
        }, 
        
        testPluginKeyPress: function() {
            /// <summary>Test that if a plugin registers keypress, it gets called.</summary>
        }, 
        
        testHandledKeyEvent: function() {
            /// <summary>If one plugin handles a key event, the rest of the plugins do not get their
            /// key handlers invoked.</summary>
        }, 
        
        testHandleCutAndPasteEvents: function() {
            /// <summary>Tests to make sure the cut and paste events are not dispatched immediately.</summary>
        }, 
        
        testNotHandledKeyEvent: function() {
            /// <summary>If the first plugin does not handle the key event, the next plugin gets
            /// a chance to handle it.</summary>
        }, 
        
        testKeyboardShortcutCalled: function() {
            /// <summary>Make sure that handleKeyboardShortcut is called if other key handlers
            /// return false.</summary>
        }, 
        
        testKeyboardShortcutNotCalled: function() {
            /// <summary>Make sure that handleKeyboardShortcut is not called if other key handlers
            /// return true.</summary>
        }, 
        
        testKeyHandlingAlt: function() {
            /// <summary>Make sure that handleKeyboardShortcut is not called if alt is pressed.</summary>
        }, 
        
        testPluginExecCommand: function() {
            /// <summary>Test that if a plugin has an execCommand function, it gets called
            /// but only for supported commands.</summary>
        }, 
        
        testSupportedExecCommand: function() {
            /// <summary>Test that if one plugin supports execCommand, no other plugins
            /// get a chance to handle the execComand.</summary>
        }, 
        
        testNotSupportedExecCommand: function() {
            /// <summary>Test that if the first plugin does not support execCommand, the other
            /// plugins get a chance to handle the execCommand.</summary>
        }, 
        
        testSupportedQueryCommand: function() {
            /// <summary>Tests that if a plugin supports a command that its queryCommandValue
            /// gets called and no further plugins can handle the queryCommandValue.</summary>
        }, 
        
        testNotSupportedQueryCommand: function() {
            /// <summary>Tests that if the first plugin does not support a command that its
            /// queryCommandValue do not get called and the next plugin can handle the
            /// queryCommandValue.</summary>
        }, 
        
        testHandledSelectionChange: function() {
            /// <summary>Tests that if a plugin handles selectionChange that it gets called and
            /// no further plugins can handle the selectionChange.</summary>
        }, 
        
        testNotHandledSelectionChange: function() {
            /// <summary>Tests that if the first plugin does not handle selectionChange that
            /// the next plugin gets a chance to handle it.</summary>
        }, 
        
        testSelectionChange: function() {
            /// <summary></summary>
        }, 
        
        testSelectionChangeOnMouseUp: function() {
            /// <summary></summary>
        }, 
        
        testSelectionChangeBeforeUneditable: function() {
            /// <summary></summary>
        }, 
        
        testGetEditableDomHelper: function() {
            /// <summary></summary>
        }, 
        
        testQueryCommandValue: function() {
            /// <summary></summary>
        }, 
        
        testSetHtml: function() {
            /// <summary></summary>
        }, 
        
        doTestPlaceCursorAtStart: function(opt_html, opt_parentId) {
            /// <summary>Helper to test that the cursor is placed at the beginning of the editable
            /// field&apos;s contents.</summary>
            /// <param name="opt_html" type="string=">Html to replace the test file default field
            ///     contents with.</param>
            /// <param name="opt_parentId" type="string=">Id of the parent of the node where the cursor
            ///     is expected to be placed. If omitted, will expect cursor to be placed in
            ///     the first child of the field element (or, if the field has no content, in
            ///     the field element itself).</param>
        }, 
        
        testPlaceCursorAtStart: function() {
            /// <summary></summary>
        }, 
        
        testPlaceCursorAtStartEmptyField: function() {
            /// <summary></summary>
        }, 
        
        testPlaceCursorAtStartNonImportantTextNode: function() {
            /// <summary></summary>
        }, 
        
        doTestPlaceCursorAtEnd: function(opt_html, opt_parentId, The) {
            /// <summary>Helper to test that the cursor is placed at the beginning of the editable
            /// field&apos;s contents.</summary>
            /// <param name="opt_html" type="string=">Html to replace the test file default field
            ///     contents with.</param>
            /// <param name="opt_parentId" type="string=">Id of the parent of the node where the cursor
            ///     is expected to be placed. If omitted, will expect cursor to be placed in
            ///     the first child of the field element (or, if the field has no content, in
            ///     the field element itself).</param>
            /// <param name="The" type="number=">offset to expect for the end position.</param>
        }, 
        
        testPlaceCursorAtEnd: function() {
            /// <summary></summary>
        }, 
        
        testPlaceCursorAtEndEmptyField: function() {
            /// <summary></summary>
        }, 
        
        testPlaceCursorAtEndNonImportantTextNode: function() {
            /// <summary></summary>
        }, 
        
        testClearDelayedChange: function() {
            /// <summary></summary>
        }, 
        
        testHandleChange: function() {
            /// <summary></summary>
        }, 
        
        testDispatchDelayedChange: function() {
            /// <summary></summary>
        }, 
        
        testHandleWindowLevelMouseUp: function() {
            /// <summary></summary>
        }, 
        
        testNoHandleWindowLevelMouseUp: function() {
            /// <summary></summary>
        }, 
        
        handleSelectionChangeInternal: function(selectedElement) {
            /// <summary></summary>
            /// <param name="selectedElement" type=""></param>
        }, 
        
        getBubbleTargetFromSelection: function(selectedElement) {
            /// <summary></summary>
            /// <param name="selectedElement" type=""></param>
        }, 
        
        getOpenLinkInNewWindowCheckedState: function() {
            /// <summary></summary>
        }, 
        
        handleEnterAtCursorGeckoInternal: function(e, wasCollapsed, range) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
            /// <param name="wasCollapsed" type=""></param>
            /// <param name="range" type=""></param>
        }, 
        
        testBlankField: function() {
            /// <summary></summary>
        }, 
        
        testFieldWithContent: function() {
            /// <summary></summary>
        }, 
        
        testFieldWithPadding: function() {
            /// <summary></summary>
        }, 
        
        testFieldWithMargin: function() {
            /// <summary></summary>
        }, 
        
        testFieldWithBorder: function() {
            /// <summary></summary>
        }, 
        
        testFieldWithOverflow: function() {
            /// <summary></summary>
        }, 
        
        testFieldWithOverflowAndPadding: function() {
            /// <summary></summary>
        }, 
        
        testIframeHeightGrowsOnWrap: function() {
            /// <summary></summary>
        }, 
        
        testDispatchBlur: function() {
            /// <summary></summary>
        }, 
        
        testSetMinHeight: function() {
            /// <summary></summary>
        }, 
        
        testSetMinHeightWithNoIframe: function() {
            /// <summary></summary>
        }, 
        
        testStartChangeEvents: function() {
            /// <summary></summary>
        }, 
        
        testManipulateDom: function() {
            /// <summary></summary>
        }, 
        
        testAttachIframe: function() {
            /// <summary></summary>
        }, 
        
        createSeamlessIframe: function() {
            /// <summary></summary>
        }, 
        
        initSeamlessField: function(innerHTML, styles) {
            /// <summary>Initialize a new editable field for the field id &apos;field&apos;, with the given
            /// innerHTML and styles.</summary>
            /// <param name="innerHTML" type="string">html for the field contents.</param>
            /// <param name="styles" type="Object">Key-value pairs for styles on the field.</param>
            /// <returns type="goog.editor.SeamlessField">The field.</returns>
        }, 
        
        assertAttachSeamlessIframeSizesCorrectly: function(fieldObj, iframe) {
            /// <summary>Make sure that the original field element for the given goog.editor.Field has
            /// the same size before and after attaching the given iframe. If this is not
            /// true, then the field will fidget while we&apos;re initializing the field,
            /// and that&apos;s not what we want.</summary>
            /// <param name="fieldObj" type="goog.editor.Field">The field.</param>
            /// <param name="iframe" type="HTMLIFrameElement">The iframe.</param>
        }, 
        
        testValidImage: function() {
            /// <summary></summary>
        }, 
        
        testInvalidImage: function() {
            /// <summary></summary>
        }, 
        
        testImageFactory: function() {
            /// <summary></summary>
        }, 
        
        testExistingImage: function() {
            /// <summary></summary>
        }, 
        
        anything: function() {
            /// <summary>Returns a matcher that matches anything.</summary>
            /// <returns type="!goog.labs.testing.AnythingMatcher">A AnythingMatcher.</returns>
        }, 
        
        is: function(matcher) {
            /// <summary>Returnes any matcher that is passed to it (aids readability).</summary>
            /// <param name="matcher" type="!goog.labs.testing.Matcher">A matcher.</param>
            /// <returns type="!goog.labs.testing.Matcher">The wrapped matcher.</returns>
        }, 
        
        describedAs: function(description, matcher) {
            /// <summary>Returns a matcher with a customized description for the given matcher.</summary>
            /// <param name="description" type="string">The custom description for the matcher.</param>
            /// <param name="matcher" type="!goog.labs.testing.Matcher">The matcher.</param>
            /// <returns type="!goog.labs.testing.Matcher">The matcher with custom description.</returns>
        }, 
        
        hasEntries: function(entries) {
            /// <summary>Gives a matcher that asserts an object contains all the given key-value pairs
            /// in the input object.</summary>
            /// <param name="entries" type="!Object">The entries to check for presence in the object.</param>
            /// <returns type="!goog.labs.testing.HasEntriesMatcher">A HasEntriesMatcher.</returns>
        }, 
        
        hasEntry: function(key, value) {
            /// <summary>Gives a matcher that asserts an object contains the given key-value pair.</summary>
            /// <param name="key" type="string">The key to check for presence in the object.</param>
            /// <param name="value" type="*">The value to check for presence in the object.</param>
            /// <returns type="!goog.labs.testing.HasEntryMatcher">A HasEntryMatcher.</returns>
        }, 
        
        hasKey: function(key) {
            /// <summary>Gives a matcher that asserts an object contains the given key.</summary>
            /// <param name="key" type="string">The key to check for presence in the object.</param>
            /// <returns type="!goog.labs.testing.HasKeyMatcher">A HasKeyMatcher.</returns>
        }, 
        
        hasValue: function(value) {
            /// <summary>Gives a matcher that asserts an object contains the given value.</summary>
            /// <param name="value" type="*">The value to check for presence in the object.</param>
            /// <returns type="!goog.labs.testing.HasValueMatcher">A HasValueMatcher.</returns>
        }, 
        
        allOf: function(var_args) {
            /// <summary>Creates a matcher that will succeed only if all of the given matchers
            /// succeed.</summary>
            /// <param name="var_args" type="...goog.labs.testing.Matcher">The matchers to test
            ///     against.</param>
            /// <returns type="!goog.labs.testing.AllOfMatcher">The AllOf matcher.</returns>
        }, 
        
        anyOf: function(var_args) {
            /// <summary>Accepts a set of matchers and returns a matcher which matches
            /// values which satisfy the constraints of any of the given matchers.</summary>
            /// <param name="var_args" type="...goog.labs.testing.Matcher">The matchers to test
            ///     against.</param>
            /// <returns type="!goog.labs.testing.AnyOfMatcher">The AnyOf matcher.</returns>
        }, 
        
        isNot: function(matcher) {
            /// <summary>Returns a matcher that negates the input matcher. The returned
            /// matcher matches the values not matched by the input matcher and vice-versa.</summary>
            /// <param name="matcher" type="!goog.labs.testing.Matcher">The matcher to test against.</param>
            /// <returns type="!goog.labs.testing.IsNotMatcher">The IsNot matcher.</returns>
        }, 
        
        greaterThan: function(value) {
            /// <summary></summary>
            /// <param name="value" type="number">The expected value.</param>
            /// <returns type="!goog.labs.testing.GreaterThanMatcher">A GreaterThanMatcher.</returns>
        }, 
        
        greaterThanEqualTo: function(value) {
            /// <summary></summary>
            /// <param name="value" type="number">The expected value.</param>
            /// <returns type="!goog.labs.testing.GreaterThanEqualToMatcher">A
            ///     GreaterThanEqualToMatcher.</returns>
        }, 
        
        lessThan: function(value) {
            /// <summary></summary>
            /// <param name="value" type="number">The expected value.</param>
            /// <returns type="!goog.labs.testing.LessThanMatcher">A LessThanMatcher.</returns>
        }, 
        
        lessThanEqualTo: function(value) {
            /// <summary></summary>
            /// <param name="value" type="number">The expected value.</param>
            /// <returns type="!goog.labs.testing.LessThanEqualToMatcher">A LessThanEqualToMatcher.</returns>
        }, 
        
        equalTo: function(value) {
            /// <summary></summary>
            /// <param name="value" type="number">The expected value.</param>
            /// <returns type="!goog.labs.testing.EqualToMatcher">An EqualToMatcher.</returns>
        }, 
        
        closeTo: function(value, range) {
            /// <summary></summary>
            /// <param name="value" type="number">The expected value.</param>
            /// <param name="range" type="number">The maximum allowed difference from the expected value.</param>
            /// <returns type="!goog.labs.testing.CloseToMatcher">A CloseToMatcher.</returns>
        }, 
        
        equalsObject: function(object) {
            /// <summary>Returns a matcher that matches objects that are equal to the input object.
            /// Equality in this case means the two objects are references to the same
            /// object.</summary>
            /// <param name="object" type="!Object">The expected object.</param>
            /// <returns type="!goog.labs.testing.ObjectEqualsMatcher">A
            ///     ObjectEqualsMatcher.</returns>
        }, 
        
        hasProperty: function(property) {
            /// <summary>Returns a matcher that matches objects that contain the input property.</summary>
            /// <param name="property" type="string">The property name to check.</param>
            /// <returns type="!goog.labs.testing.HasPropertyMatcher">A HasPropertyMatcher.</returns>
        }, 
        
        instanceOfClass: function(object) {
            /// <summary>Returns a matcher that matches instances of the input class.</summary>
            /// <param name="object" type="!Object">The class object.</param>
            /// <returns type="!goog.labs.testing.InstanceOfMatcher">A
            ///     InstanceOfMatcher.</returns>
        }, 
        
        isNull: function() {
            /// <summary>Returns a matcher that matches all null values.</summary>
            /// <returns type="!goog.labs.testing.IsNullMatcher">A IsNullMatcher.</returns>
        }, 
        
        isNullOrUndefined: function() {
            /// <summary>Returns a matcher that matches all null and undefined values.</summary>
            /// <returns type="!goog.labs.testing.IsNullOrUndefinedMatcher">A
            ///     IsNullOrUndefinedMatcher.</returns>
        }, 
        
        isUndefined: function() {
            /// <summary>Returns a matcher that matches undefined values.</summary>
            /// <returns type="!goog.labs.testing.IsUndefinedMatcher">A IsUndefinedMatcher.</returns>
        }, 
        
        containsString: function(value) {
            /// <summary>Matches a string containing the given string.</summary>
            /// <param name="value" type="string">The expected value.</param>
            /// <returns type="!goog.labs.testing.ContainsStringMatcher">A
            ///     ContainsStringMatcher.</returns>
        }, 
        
        endsWith: function(value) {
            /// <summary>Matches a string that ends with the given string.</summary>
            /// <param name="value" type="string">The expected value.</param>
            /// <returns type="!goog.labs.testing.EndsWithMatcher">A
            ///     EndsWithMatcher.</returns>
        }, 
        
        equalToIgnoringWhitespace: function(value) {
            /// <summary>Matches a string that equals (ignoring whitespace) the given string.</summary>
            /// <param name="value" type="string">The expected value.</param>
            /// <returns type="!goog.labs.testing.EqualToIgnoringWhitespaceMatcher">A
            ///     EqualToIgnoringWhitespaceMatcher.</returns>
        }, 
        
        equals: function(value) {
            /// <summary>Matches a string that equals the given string.</summary>
            /// <param name="value" type="string">The expected value.</param>
            /// <returns type="!goog.labs.testing.EqualsMatcher">A EqualsMatcher.</returns>
        }, 
        
        startsWith: function(value) {
            /// <summary>Matches a string that starts with the given string.</summary>
            /// <param name="value" type="string">The expected value.</param>
            /// <returns type="!goog.labs.testing.StartsWithMatcher">A
            ///     StartsWithMatcher.</returns>
        }, 
        
        stringContainsInOrder: function(values) {
            /// <summary>Matches a string that contains the given strings in order.</summary>
            /// <param name="values" type="Array.string">The expected value.</param>
            /// <returns type="!goog.labs.testing.StringContainsInOrderMatcher">A
            ///     StringContainsInOrderMatcher.</returns>
        }, 
        
        registerDefaultService: function(callback) {
            /// <summary></summary>
            /// <param name="callback" type=""></param>
        }, 
        
        registerPing: function(channel) {
            /// <summary></summary>
            /// <param name="channel" type=""></param>
        }, 
        
        startListening: function() {
            /// <summary></summary>
        }, 
        
        throwErrorInModuleB: function() {
            /// <summary></summary>
        }, 
        
        setUp: function() {
            /// <summary></summary>
        }, 
        
        tearDown: function() {
            /// <summary></summary>
        }, 
        
        testClientPositionWithZeroViewportOffset: function() {
            /// <summary></summary>
        }, 
        
        testClientPositionWithSomeViewportOffset: function() {
            /// <summary></summary>
        }, 
        
        testClientPositionWithPositionContext: function() {
            /// <summary></summary>
        }, 
        
        assertPageOffset: function(expectedX, expectedY, el) {
            /// <summary></summary>
            /// <param name="expectedX" type=""></param>
            /// <param name="expectedY" type=""></param>
            /// <param name="el" type=""></param>
        }, 
        
        testSerialization: function() {
            /// <summary></summary>
        }, 
        
        testSerializationOfUnknown: function() {
            /// <summary></summary>
        }, 
        
        assertTokens: function(value, tokens, opt_ignoreWhitespace) {
            /// <summary>Asserts that the given string value parses into the given set of tokens.</summary>
            /// <param name="value" type="string">The string value to parse.</param>
            /// <param name="tokens" type="Array.Object | Object">The tokens to check against. If not
            ///     an array, a single token is expected.</param>
            /// <param name="opt_ignoreWhitespace" type="boolean=">Whether whitespace tokens should be
            ///     skipped by the tokenizer.</param>
        }, 
        
        assertToken: function(expected, found) {
            /// <summary></summary>
            /// <param name="expected" type=""></param>
            /// <param name="found" type=""></param>
        }, 
        
        testTokenizer: function() {
            /// <summary></summary>
        }, 
        
        testTokenizerNoWhitespace: function() {
            /// <summary></summary>
        }, 
        
        assertIdentifier: function(identifier) {
            /// <summary></summary>
            /// <param name="identifier" type=""></param>
        }, 
        
        assertComment: function(comment) {
            /// <summary></summary>
            /// <param name="comment" type=""></param>
        }, 
        
        assertString: function(str) {
            /// <summary></summary>
            /// <param name="str" type=""></param>
        }, 
        
        assertNumber: function(num) {
            /// <summary></summary>
            /// <param name="num" type=""></param>
        }, 
        
        testTokenizerSingleTokens: function() {
            /// <summary></summary>
        }, 
        
        testSerializationOfStringWithQuotes: function() {
            /// <summary></summary>
        }, 
        
        testDeserialization: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationOfList: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationOfIntegerAsHexadecimalString: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationOfInt64AsHexadecimalString: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationOfZeroFalseAndEmptyString: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationSkipUnknown: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationSkipUnknownList: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationSkipUnknownNested: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationSkipUnknownNestedInvalid: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationSkipUnknownNestedInvalid2: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationLegacyFormat: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationVariedNumbers: function() {
            /// <summary></summary>
        }, 
        
        testParseNumericalConstant: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationOfNumericalConstants: function() {
            /// <summary></summary>
        }, 
        
        testGetNumberFromString: function() {
            /// <summary></summary>
        }, 
        
        testDeserializationError: function() {
            /// <summary></summary>
        }, 
        
        testNestedDeserialization: function() {
            /// <summary></summary>
        }, 
        
        testNestedDeserializationLegacyFormat: function() {
            /// <summary></summary>
        }, 
        
        testBidirectional: function() {
            /// <summary></summary>
        }, 
        
        testBidirectional64BitNumber: function() {
            /// <summary></summary>
        }, 
        
        fragmentToHtml: function(fragment) {
            /// <summary>Retrieves the content of document fragment as HTML.</summary>
            /// <param name="fragment" type="Node">The document fragment.</param>
            /// <returns type="string">Content of the document fragment as HTML.</returns>
        }, 
        
        elementToInnerHtml: function(elem) {
            /// <summary>Retrieves the content of an element as HTML.</summary>
            /// <param name="elem" type="Element">The element.</param>
            /// <returns type="string">Content of the element as HTML.</returns>
        }, 
        
        testCount: function() {
            /// <summary></summary>
        }, 
        
        testIteratorBasics: function() {
            /// <summary></summary>
        }, 
        
        testIteratorWithTwoValues: function() {
            /// <summary></summary>
        }, 
        
        testClear: function() {
            /// <summary></summary>
        }, 
        
        testClearClear: function() {
            /// <summary></summary>
        }, 
        
        testIteratorWithWeirdKeys: function() {
            /// <summary></summary>
        }, 
        
        testSeparateSet: function() {
            /// <summary></summary>
        }, 
        
        testSeparateSetInverse: function() {
            /// <summary></summary>
        }, 
        
        testSeparateRemove: function() {
            /// <summary></summary>
        }, 
        
        testSeparateClean: function() {
            /// <summary></summary>
        }, 
        
        testSharedSet: function() {
            /// <summary></summary>
        }, 
        
        testSharedSetInverse: function() {
            /// <summary></summary>
        }, 
        
        testSharedRemove: function() {
            /// <summary></summary>
        }, 
        
        testSharedClean: function() {
            /// <summary></summary>
        }, 
        
        testSetGet: function() {
            /// <summary></summary>
        }, 
        
        testChange: function() {
            /// <summary></summary>
        }, 
        
        testRemove: function() {
            /// <summary></summary>
        }, 
        
        testSetRemoveSet: function() {
            /// <summary></summary>
        }, 
        
        testRemoveRemove: function() {
            /// <summary></summary>
        }, 
        
        testSetTwo: function() {
            /// <summary></summary>
        }, 
        
        testChangeTwo: function() {
            /// <summary></summary>
        }, 
        
        testSetRemoveThree: function() {
            /// <summary></summary>
        }, 
        
        testEmptyValue: function() {
            /// <summary></summary>
        }, 
        
        testWeirdKeys: function() {
            /// <summary></summary>
        }, 
        
        testQuota: function() {
            /// <summary></summary>
        }, 
        
        DOUBLE_EQUALITY_PREDICATE: function(var1, var2) {
            /// <summary></summary>
            /// <param name="var1" type=""></param>
            /// <param name="var2" type=""></param>
        }, 
        
        TO_STRING_EQUALITY_PREDICATE: function(var1, var2) {
            /// <summary></summary>
            /// <param name="var1" type=""></param>
            /// <param name="var2" type=""></param>
        }, 
        
        _trueTypeOf: function(something) {
            /// <summary></summary>
            /// <param name="something" type=""></param>
        }, 
        
        _displayStringForValue: function(aVar) {
            /// <summary></summary>
            /// <param name="aVar" type=""></param>
        }, 
        
        argumentsIncludeComments: function(expectedNumberOfNonCommentArgs, args) {
            /// <summary></summary>
            /// <param name="expectedNumberOfNonCommentArgs" type=""></param>
            /// <param name="args" type=""></param>
        }, 
        
        commentArg: function(expectedNumberOfNonCommentArgs, args) {
            /// <summary></summary>
            /// <param name="expectedNumberOfNonCommentArgs" type=""></param>
            /// <param name="args" type=""></param>
        }, 
        
        nonCommentArg: function(desiredNonCommentArgIndex, expectedNumberOfNonCommentArgs, args) {
            /// <summary></summary>
            /// <param name="desiredNonCommentArgIndex" type=""></param>
            /// <param name="expectedNumberOfNonCommentArgs" type=""></param>
            /// <param name="args" type=""></param>
        }, 
        
        _validateArguments: function(expectedNumberOfNonCommentArgs, args) {
            /// <summary></summary>
            /// <param name="expectedNumberOfNonCommentArgs" type=""></param>
            /// <param name="args" type=""></param>
        }, 
        
        assert: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertThrows: function(a, opt_b) {
            /// <summary>Asserts that the function throws an error.</summary>
            /// <param name="a" type="!(string|Function)">The assertion comment or the function to call.</param>
            /// <param name="opt_b" type="!Function=">The function to call (if the first argument of
            ///     {@code assertThrows} was the comment).</param>
            /// <returns type="*">The error thrown by the function.</returns>
        }, 
        
        assertNotThrows: function(a, opt_b) {
            /// <summary>Asserts that the function does not throw an error.</summary>
            /// <param name="a" type="!(string|Function)">The assertion comment or the function to call.</param>
            /// <param name="opt_b" type="!Function=">The function to call (if the first argument of
            ///     {@code assertNotThrows} was the comment).</param>
        }, 
        
        assertThrowsJsUnitException: function(callback, opt_expectedMessage) {
            /// <summary>Asserts that the given callback function results in a JsUnitException when
            /// called, and that the resulting failure message matches the given expected
            /// message.</summary>
            /// <param name="callback" type="function() : void">Function to be run expected to result
            ///     in a JsUnitException (usually contains a call to an assert).</param>
            /// <param name="opt_expectedMessage" type="string=">Failure message expected to be given
            ///     with the exception.</param>
        }, 
        
        assertTrue: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertFalse: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertEquals: function(a, b, opt_c) {
            /// <summary></summary>
            /// <param name="a" type="*">The expected value (2 args) or the debug message (3 args).</param>
            /// <param name="b" type="*">The actual value (2 args) or the expected value (3 args).</param>
            /// <param name="opt_c" type="*=">The actual value (3 args only).</param>
        }, 
        
        assertNotEquals: function(a, b, opt_c) {
            /// <summary></summary>
            /// <param name="a" type="*">The expected value (2 args) or the debug message (3 args).</param>
            /// <param name="b" type="*">The actual value (2 args) or the expected value (3 args).</param>
            /// <param name="opt_c" type="*=">The actual value (3 args only).</param>
        }, 
        
        assertNull: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertNotNull: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertUndefined: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertNotUndefined: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertNotNullNorUndefined: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertNonEmptyString: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertNaN: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertNotNaN: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertObjectEquals: function(a, b, opt_c) {
            /// <summary>Notes:
            /// Object equality has some nasty browser quirks, and this implementation is
            /// not 100% correct. For example,
            /// 
            /// &lt;code&gt;
            /// var a = [0, 1, 2];
            /// var b = [0, 1, 2];
            /// delete a[1];
            /// b[1] = undefined;
            /// assertObjectEquals(a, b); // should fail, but currently passes
            /// &lt;/code&gt;
            /// 
            /// See asserts_test.html for more interesting edge cases.
            /// 
            /// The first comparison object provided is the expected value, the second is
            /// the actual.</summary>
            /// <param name="a" type="*">Assertion message or comparison object.</param>
            /// <param name="b" type="*">Comparison object.</param>
            /// <param name="opt_c" type="*=">Comparison object, if an assertion message was provided.</param>
        }, 
        
        assertObjectRoughlyEquals: function(a, b, c, opt_d) {
            /// <summary>Similar to assertObjectEquals above, but accepts a tolerance margin.</summary>
            /// <param name="a" type="*">Assertion message or comparison object.</param>
            /// <param name="b" type="*">Comparison object.</param>
            /// <param name="c" type="*">Comparison object or tolerance.</param>
            /// <param name="opt_d" type="*=">Tolerance, if an assertion message was provided.</param>
        }, 
        
        assertObjectNotEquals: function(a, b, opt_c) {
            /// <summary>Compares two arbitrary objects for non-equalness.
            /// 
            /// All the same caveats as for assertObjectEquals apply here:
            /// Undefined values may be confused for missing values, or vice versa.</summary>
            /// <param name="a" type="*">Assertion message or comparison object.</param>
            /// <param name="b" type="*">Comparison object.</param>
            /// <param name="opt_c" type="*=">Comparison object, if an assertion message was provided.</param>
        }, 
        
        assertArrayEquals: function(a, b, opt_c) {
            /// <summary>Compares two arrays ignoring negative indexes and extra properties on the
            /// array objects. Use case: Internet Explorer adds the index, lastIndex and
            /// input enumerable fields to the result of string.match(/regexp/g), which makes
            /// assertObjectEquals fail.</summary>
            /// <param name="a" type="*">The expected array (2 args) or the debug message (3 args).</param>
            /// <param name="b" type="*">The actual array (2 args) or the expected array (3 args).</param>
            /// <param name="opt_c" type="*=">The actual array (3 args only).</param>
        }, 
        
        assertElementsEquals: function(a, b, c) {
            /// <summary>Compares two objects that can be accessed like an array and assert that
            /// each element is equal.</summary>
            /// <param name="a" type="string|Object">Failure message (3 arguments)
            ///     or object #1 (2 arguments).</param>
            /// <param name="b" type="Object">Object #1 (2 arguments) or object #2 (3 arguments).</param>
            /// <param name="c" type="Object">Object #2 (3 arguments).</param>
        }, 
        
        assertElementsRoughlyEqual: function(a, b, c, opt_d) {
            /// <summary>Compares two objects that can be accessed like an array and assert that
            /// each element is roughly equal.</summary>
            /// <param name="a" type="string|Object">Failure message (4 arguments)
            ///     or object #1 (3 arguments).</param>
            /// <param name="b" type="Object">Object #1 (4 arguments) or object #2 (3 arguments).</param>
            /// <param name="c" type="Object|number">Object #2 (4 arguments) or tolerance (3 arguments).</param>
            /// <param name="opt_d" type="number=">tolerance (4 arguments).</param>
        }, 
        
        assertSameElements: function(a, b, opt_c) {
            /// <summary>Compares two array-like objects without taking their order into account.</summary>
            /// <param name="a" type="string|goog.testing.asserts.ArrayLike">Assertion message or the
            ///     expected elements.</param>
            /// <param name="b" type="goog.testing.asserts.ArrayLike">Expected elements or the actual
            ///     elements.</param>
            /// <param name="opt_c" type="goog.testing.asserts.ArrayLike=">Actual elements.</param>
        }, 
        
        assertEvaluatesToTrue: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertEvaluatesToFalse: function(a, opt_b) {
            /// <summary></summary>
            /// <param name="a" type="*">The value to assert (1 arg) or debug message (2 args).</param>
            /// <param name="opt_b" type="*=">The value to assert (2 args only).</param>
        }, 
        
        assertHTMLEquals: function(a, b, opt_c) {
            /// <summary></summary>
            /// <param name="a" type="*">The expected value (2 args) or the debug message (3 args).</param>
            /// <param name="b" type="*">The actual value (2 args) or the expected value (3 args).</param>
            /// <param name="opt_c" type="*=">The actual value (3 args only).</param>
        }, 
        
        assertCSSValueEquals: function(a, b, c, opt_d) {
            /// <summary>Compares two CSS property values to make sure that they represent the same
            /// things. This will normalize values in the browser. For example, in Firefox,
            /// this assertion will consider &quot;rgb(0, 0, 255)&quot; and &quot;#0000ff&quot; to be identical
            /// values for the &quot;color&quot; property. This function won&apos;t normalize everything --
            /// for example, in most browsers, &quot;blue&quot; will not match &quot;#0000ff&quot;. It is
            /// intended only to compensate for unexpected normalizations performed by
            /// the browser that should also affect your expected value.</summary>
            /// <param name="a" type="string">Assertion message, or the CSS property name.</param>
            /// <param name="b" type="string">CSS property name, or the expected value.</param>
            /// <param name="c" type="string">The expected value, or the actual value.</param>
            /// <param name="opt_d" type="string=">The actual value.</param>
        }, 
        
        assertHashEquals: function(a, b, opt_c) {
            /// <summary></summary>
            /// <param name="a" type="*">The expected value (2 args) or the debug message (3 args).</param>
            /// <param name="b" type="*">The actual value (2 args) or the expected value (3 args).</param>
            /// <param name="opt_c" type="*=">The actual value (3 args only).</param>
        }, 
        
        assertRoughlyEquals: function(a, b, c, opt_d) {
            /// <summary></summary>
            /// <param name="a" type="*">The expected value (3 args) or the debug message (4 args).</param>
            /// <param name="b" type="*">The actual value (3 args) or the expected value (4 args).</param>
            /// <param name="c" type="*">The tolerance (3 args) or the actual value (4 args).</param>
            /// <param name="opt_d" type="*=">The tolerance (4 args only).</param>
        }, 
        
        assertContains: function(a, b, opt_c) {
            /// <summary>Checks if the given element is the member of the given container.</summary>
            /// <param name="a" type="*">Failure message (3 arguments) or the contained element
            ///     (2 arguments).</param>
            /// <param name="b" type="*">The contained element (3 arguments) or the container
            ///     (2 arguments).</param>
            /// <param name="opt_c" type="*=">The container.</param>
        }, 
        
        assertNotContains: function(a, b, opt_c) {
            /// <summary>Checks if the given element is not the member of the given container.</summary>
            /// <param name="a" type="*">Failure message (3 arguments) or the contained element
            ///     (2 arguments).</param>
            /// <param name="b" type="*">The contained element (3 arguments) or the container
            ///     (2 arguments).</param>
            /// <param name="opt_c" type="*=">The container.</param>
        }, 
        
        standardizeHTML: function(html) {
            /// <summary></summary>
            /// <param name="html" type=""></param>
        }, 
        
        standardizeCSSValue: function(propertyName, value) {
            /// <summary>Standardizes a CSS value for a given property by applying it to an element
            /// and then reading it back.</summary>
            /// <param name="propertyName" type="string">CSS property name.</param>
            /// <param name="value" type="string">CSS value.</param>
            /// <returns type="string">Normalized CSS value.</returns>
        }, 
        
        _assert: function() {
            /// <summary></summary>
        }, 
        
        fail: function() {
            /// <summary></summary>
        }, 
        
        drawButtons: function() {
            /// <summary></summary>
        }, 
        
        drawToolbar: function() {
            /// <summary></summary>
        }, 
        
        assertIsVisible: function(a, opt_b) {
            /// <summary>Asserts that an element has:
            ///   1 - a CSS rendering the makes the element visible.
            ///   2 - a non-zero width and height.</summary>
            /// <param name="a" type="Element|string">The element or optionally the comment string.</param>
            /// <param name="opt_b" type="Element=">The element when a comment string is present.</param>
        }, 
        
        assertNotVisible: function(a, opt_b) {
            /// <summary>The counter assertion of assertIsVisible().</summary>
            /// <param name="a" type="Element|string">The element or optionally the comment string.</param>
            /// <param name="opt_b" type="Element=">The element when a comment string is present.</param>
        }, 
        
        assertIntersect: function(a, b, opt_c) {
            /// <summary>Asserts that the two specified elements intersect.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertNoIntersect: function(a, b, opt_c) {
            /// <summary>Asserts that the two specified elements do not intersect.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertWidth: function(a, b, opt_c) {
            /// <summary>Asserts that the element must have the specified width.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertWidthWithinTolerance: function(a, b, c, opt_d) {
            /// <summary>Asserts that the element must have the specified width within the specified
            /// tolerance.</summary>
            /// <param name="a" type="Element|string">The element or optionally the comment string.</param>
            /// <param name="b" type="number|Element">The height or the element if comment string is
            ///     present.</param>
            /// <param name="c" type="number">The tolerance or the height if comment string is
            ///     present.</param>
            /// <param name="opt_d" type="number=">The tolerance if comment string is present.</param>
        }, 
        
        assertHeight: function(a, b, opt_c) {
            /// <summary>Asserts that the element must have the specified height.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertHeightWithinTolerance: function(a, b, c, opt_d) {
            /// <summary>Asserts that the element must have the specified height within the specified
            /// tolerance.</summary>
            /// <param name="a" type="Element|string">The element or optionally the comment string.</param>
            /// <param name="b" type="number|Element">The height or the element if comment string is
            ///     present.</param>
            /// <param name="c" type="number">The tolerance or the height if comment string is
            ///     present.</param>
            /// <param name="opt_d" type="number=">The tolerance if comment string is present.</param>
        }, 
        
        assertIsLeftOf: function(a, b, opt_c) {
            /// <summary>Asserts that the first element is to the left of the second element.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertIsStrictlyLeftOf: function(a, b, opt_c) {
            /// <summary>Asserts that the first element is strictly left of the second element.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertIsAbove: function(a, b, opt_c) {
            /// <summary>Asserts that the first element is higher than the second element.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertIsStrictlyAbove: function(a, b, opt_c) {
            /// <summary>Asserts that the first element is strictly higher than the second element.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        assertContained: function(a, b, opt_c) {
            /// <summary>Asserts that the first element&apos;s bounds contain the bounds of the second
            /// element.</summary>
            /// <param name="a" type="Element|string">The first element or optionally the comment string.</param>
            /// <param name="b" type="Element">The second element or the first element if comment string
            ///     is present.</param>
            /// <param name="opt_c" type="Element=">The second element if comment string is present.</param>
        }, 
        
        createRegistryEntries: function(queryParams, opt_compilerOverrides) {
            /// <summary>Creates a registry with some entries in it.</summary>
            /// <param name="queryParams" type="string">The query parameter string to use for the
            ///     registry.</param>
            /// <param name="opt_compilerOverrides" type="!Object.string|number|boolean=">Compiler
            ///     overrides.</param>
        }, 
        
        setValueFunc: function() {
            /// <summary></summary>
        }, 
        
        buildElementFromSpriteMetadata: function(dom, spriteInfo, displayUrl) {
            /// <summary></summary>
            /// <param name="dom" type=""></param>
            /// <param name="spriteInfo" type=""></param>
            /// <param name="displayUrl" type=""></param>
        }, 
        
        updateAnimatedPaletteItem: function(item, animatedImg) {
            /// <summary></summary>
            /// <param name="item" type=""></param>
            /// <param name="animatedImg" type=""></param>
        }, 
        
        getIe6ClassCombinations: function() {
            /// <summary></summary>
        }
        
    };

    var $x = window._global_;
    $x.__namespace = "true";
    $x.__typeName = "_global_";
})(this);
