
/* vsdoc for goog */

(function (window) {
    

    window.goog = {
        /// <summary></summary>
        /// <field name="array" type=""></field>
        /// <field name="NATIVE_ARRAY_PROTOTYPES" type=""></field>
        /// <field name="asserts" type=""></field>
        /// <field name="color" type=""></field>
        /// <field name="crypt" type=""></field>
        /// <field name="cssom" type=""></field>
        /// <field name="global['JsonReceive']" type="">Temp variable to hold callbacks
        /// until BUILD supports multiple externs.js files</field>
        /// <field name="date" type=""></field>
        /// <field name="db" type=""></field>
        /// <field name="debug" type=""></field>
        /// <field name="dom" type=""></field>
        /// <field name="events" type=""></field>
        /// <field name="format" type=""></field>
        /// <field name="fs" type=""></field>
        /// <field name="functions" type=""></field>
        /// <field name="fx" type=""></field>
        /// <field name="gears" type=""></field>
        /// <field name="graphics" type=""></field>
        /// <field name="iter" type=""></field>
        /// <field name="json" type=""></field>
        /// <field name="locale" type=""></field>
        /// <field name="math" type=""></field>
        /// <field name="messaging" type=""></field>
        /// <field name="module" type=""></field>
        /// <field name="object" type=""></field>
        /// <field name="positioning" type=""></field>
        /// <field name="proto" type=""></field>
        /// <field name="reflect" type=""></field>
        /// <field name="result" type=""></field>
        /// <field name="soy" type=""></field>
        /// <field name="string" type=""></field>
        /// <field name="structs" type=""></field>
        /// <field name="style" type=""></field>
        /// <field name="style_test" type=""></field>
        /// <field name="testing" type=""></field>
        /// <field name="tweak" type=""></field>
        /// <field name="userAgent" type=""></field>
        /// <field name="vec" type=""></field>
        /// <field name="webgl" type=""></field>
        /// <field name="window" type=""></field>
        /// <returns type="goog"/>
                
        dispose: function(obj) {
            /// <summary>Calls {@code dispose} on the argument if it supports it. If obj is not an
            ///     object with a dispose() method, this is a no-op.</summary>
            /// <param name="obj" type="*">The object to dispose of.</param>
        }, 
        
        disposeAll: function(var_args) {
            /// <summary>Calls {@code dispose} on each member of the list that supports it. (If the
            /// member is an ArrayLike, then {@code goog.disposeAll()} will be called
            /// recursively on each of its members.) If the member is not an object with a
            /// {@code dispose()} method, then it is ignored.</summary>
            /// <param name="var_args" type="...*">The list.</param>
        }, 
        
        global['setUpPage']: function() {
            /// <summary></summary>
        }, 
        
        global['testGetFromLabsMap']: function() {
            /// <summary></summary>
        }, 
        
        global['testGetFromOriginalMap']: function() {
            /// <summary></summary>
        }, 
        
        global['testGetWithPreviousDeletionFromLabsMap']: function() {
            /// <summary></summary>
        }, 
        
        global['testGetWithPreviousDeletionFromOriginalMap']: function() {
            /// <summary></summary>
        }, 
        
        global['testSetFromLabsMap']: function() {
            /// <summary></summary>
        }, 
        
        global['testSetFromOriginalMap']: function() {
            /// <summary></summary>
        }, 
        
        memoize: function(f, opt_serializer) {
            /// <summary>Decorator around functions that caches the inner function&apos;s return values.</summary>
            /// <param name="f" type="Function">The function to wrap. Its return value may only depend
            ///     on its arguments and &apos;this&apos; context. There may be further restrictions
            ///     on the arguments depending on the capabilities of the serializer used.</param>
            /// <param name="opt_serializer" type="function(number|Object): string=">A function to
            ///     serialize f&apos;s arguments. It must have the same signature as
            ///     goog.memoize.simpleSerializer. It defaults to that function.</param>
            /// <returns type="!Function">The wrapped function.</returns>
        }
        
    };

    var $x = window.goog;
    $x.__namespace = "true";
    $x.__typeName = "goog";
})(this);
