
/* vsdoc for goog.history.Event */

(function (window) {
    window.goog.history = window.goog.history || {};

    window.goog.history.Event = function(token, isNavigation){
        /// <summary></summary>
        /// <param name="token" type="string">The string identifying the new history state.</param>
        /// <param name="isNavigation" type="boolean">True if the event was triggered by a browser
        ///     action, such as forward or back, clicking on a link, editing the URL, or
        ///     calling {@code window.history.(go|back|forward)}.
        ///     False if the token has been changed by a {@code setToken | @code replaceToken} call.</param>
        /// <field name="token" type="string">The current history state.</field>
        /// <field name="isNavigation" type="boolean">Whether the event was triggered by browser navigation.</field>
        /// <returns type="goog.history.Event"/>
    };

    var $x = window.goog.history.Event;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.history.Event";
})(this);
