
/* vsdoc for goog.debug.DevCss */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.DevCss = function(opt_userAgent, opt_userAgentVersion){
        /// <summary></summary>
        /// <param name="opt_userAgent" type="goog.debug.DevCss.UserAgent=">The user agent, if not
        ///     passed in, will be determined using goog.userAgent.</param>
        /// <param name="opt_userAgentVersion" type="number|string=">The user agent&apos;s version.
        ///     If not passed in, will be determined using goog.userAgent.</param>
        /// <field name="UserAgent" type="">A list of possible user agent strings.</field>
        /// <returns type="goog.debug.DevCss"/>
    };

    var $x = window.goog.debug.DevCss;
    $x.prototype = {
                
        activateBrowserSpecificCssRules: function(opt_enableIe6ReadyHandler) {
            /// <summary>Rewrites the CSSOM as needed to activate any useragent-specific selectors.</summary>
            /// <param name="opt_enableIe6ReadyHandler" type="boolean=">If true(the default), and the
            ///     userAgent is ie6, we set a document &quot;ready&quot; event handler to walk the DOM
            ///     and make combined selector className changes. Having this parameter also
            ///     aids unit testing.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.DevCss";
})(this);
