
/* vsdoc for goog.debug.ErrorReporter.ExceptionEvent */

(function (window) {
    window.goog.debug.ErrorReporter = window.goog.debug.ErrorReporter || {};

    window.goog.debug.ErrorReporter.ExceptionEvent = function(error, context){
        /// <summary></summary>
        /// <param name="error" type="Error">The exception that was was reported.</param>
        /// <param name="context" type="!Object.string|string">The context values sent to the
        ///     server alongside this error.</param>
        /// <field name="error" type="Error">The error that was reported.</field>
        /// <field name="context" type="!Object.<string|string>">Context values sent to the server alongside this report.</field>
        /// <field name="TYPE" type="string">Event type for notifying of a logged exception.</field>
        /// <returns type="goog.debug.ErrorReporter.ExceptionEvent"/>
    };

    var $x = window.goog.debug.ErrorReporter.ExceptionEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.ErrorReporter.ExceptionEvent";
})(this);
