
/* vsdoc for goog.dom.BufferedViewportSizeMonitor */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.BufferedViewportSizeMonitor = function(viewportSizeMonitor, opt_bufferMs){
        /// <summary></summary>
        /// <param name="viewportSizeMonitor" type="!goog.dom.ViewportSizeMonitor">The
        ///     underlying viewport size monitor.</param>
        /// <param name="opt_bufferMs" type="number=">The buffer time, in ms. If not specified, this
        ///     value defaults to {@link #RESIZE_EVENT_DELAY_MS_}.</param>
        /// <field name="EventType" type="">Additional events to dispatch.</field>
        /// <returns type="goog.dom.BufferedViewportSizeMonitor"/>
    };

    var $x = window.goog.dom.BufferedViewportSizeMonitor;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getSize: function() {
            /// <summary>Returns the current size of the viewport.</summary>
            /// <returns type="goog.math.Size?">The current viewport size.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.BufferedViewportSizeMonitor";
})(this);
