
/* vsdoc for goog.dom.ControlRange */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.ControlRange = function(){
        /// <summary></summary>
        /// <field name="getPastableHtml" type=""></field>
        /// <returns type="goog.dom.ControlRange"/>
    };

    var $x = window.goog.dom.ControlRange;
    $x.prototype = {
                
        createFromBrowserRange: function(controlRange) {
            /// <summary>Create a new range wrapper from the given browser range object.  Do not use
            /// this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="controlRange" type="Object">The browser range object.</param>
            /// <returns type="goog.dom.ControlRange">A range wrapper object.</returns>
        }, 
        
        createFromElements: function(var_args) {
            /// <summary>Create a new range wrapper that selects the given element.  Do not use
            /// this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="var_args" type="...Element">The element(s) to select.</param>
            /// <returns type="goog.dom.ControlRange">A range wrapper object.</returns>
        }, 
        
        clone: function() {
            /// <summary></summary>
        }, 
        
        getType: function() {
            /// <summary></summary>
        }, 
        
        getBrowserRangeObject: function() {
            /// <summary></summary>
        }, 
        
        setBrowserRangeObject: function(nativeRange) {
            /// <summary></summary>
            /// <param name="nativeRange" type=""></param>
        }, 
        
        getTextRangeCount: function() {
            /// <summary></summary>
        }, 
        
        getTextRange: function(i) {
            /// <summary></summary>
            /// <param name="i" type=""></param>
        }, 
        
        getContainer: function() {
            /// <summary></summary>
        }, 
        
        getStartNode: function() {
            /// <summary></summary>
        }, 
        
        getStartOffset: function() {
            /// <summary></summary>
        }, 
        
        getEndNode: function() {
            /// <summary></summary>
        }, 
        
        getEndOffset: function() {
            /// <summary></summary>
        }, 
        
        getElements: function() {
            /// <summary></summary>
            /// <returns type="Array.Element">Array of elements in the control range.</returns>
        }, 
        
        getSortedElements: function() {
            /// <summary></summary>
            /// <returns type="Array.Element">Array of elements comprising the control range,
            ///     sorted by document order.</returns>
        }, 
        
        isRangeInDocument: function() {
            /// <summary></summary>
        }, 
        
        isCollapsed: function() {
            /// <summary></summary>
        }, 
        
        getText: function() {
            /// <summary></summary>
        }, 
        
        getHtmlFragment: function() {
            /// <summary></summary>
        }, 
        
        getValidHtml: function() {
            /// <summary></summary>
        }, 
        
        select: function() {
            /// <summary></summary>
        }, 
        
        removeContents: function() {
            /// <summary></summary>
        }, 
        
        replaceContentsWithNode: function(node) {
            /// <summary></summary>
            /// <param name="node" type=""></param>
        }, 
        
        saveUsingDom: function() {
            /// <summary></summary>
        }, 
        
        collapse: function(toAnchor) {
            /// <summary></summary>
            /// <param name="toAnchor" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.ControlRange";
})(this);
