
/* vsdoc for goog.dom.NodeIterator */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.NodeIterator = function(opt_node, opt_reversed, opt_unconstrained, opt_depth){
        /// <summary></summary>
        /// <param name="opt_node" type="Node=">The start node.  Defaults to an empty iterator.</param>
        /// <param name="opt_reversed" type="boolean=">Whether to traverse the tree in reverse.</param>
        /// <param name="opt_unconstrained" type="boolean=">Whether the iterator is not constrained
        ///     to the starting node and its children.</param>
        /// <param name="opt_depth" type="number=">The starting tree depth.</param>
        /// <returns type="goog.dom.NodeIterator"/>
    };

    var $x = window.goog.dom.NodeIterator;
    $x.prototype = {
                
        next: function() {
            /// <summary>Moves to the next position in the DOM tree.</summary>
            /// <returns type="Node">Returns the next node, or throws a goog.iter.StopIteration
            ///     exception if the end of the iterator&apos;s range has been reached.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.NodeIterator";
})(this);
