
/* vsdoc for goog.dom.NodeOffset */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.NodeOffset = function(node, baseNode){
        /// <summary></summary>
        /// <param name="node" type="Node">The node to get the offset for.</param>
        /// <param name="baseNode" type="Node">The node to calculate the offset from.</param>
        /// <returns type="goog.dom.NodeOffset"/>
    };

    var $x = window.goog.dom.NodeOffset;
    $x.prototype = {
                
        toString: function() {
            /// <summary></summary>
            /// <returns type="string">A string representation of this object.</returns>
        }, 
        
        findTargetNode: function(baseNode) {
            /// <summary>Walk the dom and find the node relative to baseNode.  Returns null on
            /// failure.</summary>
            /// <param name="baseNode" type="Node">The node to start walking from.  Should be equivalent
            ///     to the node passed in to the constructor, in that it should have the
            ///     same contents.</param>
            /// <returns type="Node">The node relative to baseNode, or null on failure.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.NodeOffset";
})(this);
