
/* vsdoc for goog.dom.TextRangeIterator */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.TextRangeIterator = function(startNode, startOffset, endNode, endOffset, opt_reverse){
        /// <summary></summary>
        /// <param name="startNode" type="Node">The starting node position.</param>
        /// <param name="startOffset" type="number">The offset in to startNode.  If startNode is
        ///     an element, indicates an offset in to childNodes.  If startNode is a
        ///     text node, indicates an offset in to nodeValue.</param>
        /// <param name="endNode" type="Node">The ending node position.</param>
        /// <param name="endOffset" type="number">The offset in to endNode.  If endNode is
        ///     an element, indicates an offset in to childNodes.  If endNode is a
        ///     text node, indicates an offset in to nodeValue.</param>
        /// <param name="opt_reverse" type="boolean=">Whether to traverse nodes in reverse.</param>
        /// <returns type="goog.dom.TextRangeIterator"/>
    };

    var $x = window.goog.dom.TextRangeIterator;
    $x.prototype = {
                
        getStartTextOffset: function() {
            /// <summary></summary>
        }, 
        
        getEndTextOffset: function() {
            /// <summary></summary>
        }, 
        
        getStartNode: function() {
            /// <summary></summary>
        }, 
        
        setStartNode: function(node) {
            /// <summary>Change the start node of the iterator.</summary>
            /// <param name="node" type="Node">The new start node.</param>
        }, 
        
        getEndNode: function() {
            /// <summary></summary>
        }, 
        
        setEndNode: function(node) {
            /// <summary>Change the end node of the iterator.</summary>
            /// <param name="node" type="Node">The new end node.</param>
        }, 
        
        isLast: function() {
            /// <summary></summary>
        }, 
        
        next: function() {
            /// <summary>Move to the next position in the selection.
            /// Throws {@code goog.iter.StopIteration} when it passes the end of the range.</summary>
            /// <returns type="Node">The node at the next position.</returns>
        }, 
        
        skipTag: function() {
            /// <summary></summary>
        }, 
        
        copyFrom: function(other) {
            /// <summary></summary>
            /// <param name="other" type=""></param>
        }, 
        
        clone: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.TextRangeIterator">An identical iterator.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.TextRangeIterator";
})(this);
