
/* vsdoc for goog.dom.a11y.Announcer */

(function (window) {
    window.goog.dom.a11y = window.goog.dom.a11y || {};

    window.goog.dom.a11y.Announcer = function(domHelper){
        /// <summary></summary>
        /// <param name="domHelper" type="goog.dom.DomHelper">DOM helper.</param>
        /// <returns type="goog.dom.a11y.Announcer"/>
    };

    var $x = window.goog.dom.a11y.Announcer;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        say: function(message, opt_priority) {
            /// <summary>Announce a message to be read by any assistive technologies the user may
            /// have active.</summary>
            /// <param name="message" type="string">The message to announce to screen readers.</param>
            /// <param name="opt_priority" type="goog.dom.a11y.LivePriority=">The priority of the
            ///     message. Defaults to POLITE.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.a11y.Announcer";
})(this);
