
/* vsdoc for goog.dom.pattern.AbstractPattern */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.AbstractPattern = function(){
        /// <summary></summary>
        /// <field name="matchedNode" type="Node">The first node matched by this pattern.</field>
        /// <returns type="goog.dom.pattern.AbstractPattern"/>
    };

    var $x = window.goog.dom.pattern.AbstractPattern;
    $x.prototype = {
                
        reset: function() {
            /// <summary>Reset any internal state this pattern keeps.</summary>
        }, 
        
        matchToken: function(token, type) {
            /// <summary>Test whether this pattern matches the given token.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">{@code MATCH} if the pattern matches.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.AbstractPattern";
})(this);
