
/* vsdoc for goog.dom.pattern.AllChildren */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.AllChildren = function(){
        /// <summary></summary>
        /// <returns type="goog.dom.pattern.AllChildren"/>
    };

    var $x = window.goog.dom.pattern.AllChildren;
    $x.prototype = {
                
        matchToken: function(token, type) {
            /// <summary>Test whether the given token is on the same level.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">{@code MATCHING} if the token is on the
            ///     same level or deeper and {@code BACKTRACK_MATCH} if not.</returns>
        }, 
        
        reset: function() {
            /// <summary>Reset any internal state this pattern keeps.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.AllChildren";
})(this);
