
/* vsdoc for goog.dom.pattern.EndTag */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.EndTag = function(tag, opt_attrs, opt_styles, opt_test){
        /// <summary></summary>
        /// <param name="tag" type="string|RegExp">Name of the tag.  Also will accept a regular
        ///     expression to match against the tag name.</param>
        /// <param name="opt_attrs" type="Object=">Optional map of attribute names to desired values.
        ///     This pattern will only match when all attributes are present and match
        ///     the string or regular expression value provided here.</param>
        /// <param name="opt_styles" type="Object=">Optional map of CSS style names to desired
        ///     values. This pattern will only match when all styles are present and
        ///     match the string or regular expression value provided here.</param>
        /// <param name="opt_test" type="Function=">Optional function that takes the element as a
        ///     parameter and returns true if this pattern should match it.</param>
        /// <returns type="goog.dom.pattern.EndTag"/>
    };

    var $x = window.goog.dom.pattern.EndTag;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.EndTag";
})(this);
