
/* vsdoc for goog.dom.pattern.Matcher */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.Matcher = function(){
        /// <summary></summary>
        /// <returns type="goog.dom.pattern.Matcher"/>
    };

    var $x = window.goog.dom.pattern.Matcher;
    $x.prototype = {
                
        addPattern: function(pattern, callback) {
            /// <summary>Adds a pattern to be matched.  The callback can return an object whose keys
            /// are processing instructions.</summary>
            /// <param name="pattern" type="goog.dom.pattern.AbstractPattern">The pattern to add.</param>
            /// <param name="callback" type="Function">Function to call when a match is found.  Uses
            ///     the above semantics.</param>
        }, 
        
        match: function(node) {
            /// <summary>Match the set of patterns against a match tree.</summary>
            /// <param name="node" type="Node">The root node of the tree to match.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.Matcher";
})(this);
