
/* vsdoc for goog.dom.pattern.callback.Counter */

(function (window) {
    window.goog.dom.pattern.callback = window.goog.dom.pattern.callback || {};

    window.goog.dom.pattern.callback.Counter = function(){
        /// <summary></summary>
        /// <field name="count" type="number">The count of objects matched so far.</field>
        /// <returns type="goog.dom.pattern.callback.Counter"/>
    };

    var $x = window.goog.dom.pattern.callback.Counter;
    $x.prototype = {
                
        getCallback: function() {
            /// <summary>Get a bound callback function that is suitable as a callback for
            /// {@link goog.dom.pattern.Matcher}.</summary>
            /// <returns type="Function">A callback function.</returns>
        }, 
        
        reset: function() {
            /// <summary>Reset the counter.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.callback.Counter";
})(this);
