
/* vsdoc for goog.ds.DataNode */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.DataNode = function(){
        /// <summary></summary>
        /// <field name="get" type="*">Get the value of the node</field>
        /// <field name="set" type="">Set the value of the node</field>
        /// <field name="getChildNodes" type="goog.ds.DataNodeList">Gets all of the child nodes of the current node.
        /// Should return an empty DataNode list if no child nodes.</field>
        /// <field name="getChildNode" type="goog.ds.DataNode">Gets a named child node of the current node</field>
        /// <field name="getChildNodeValue" type="*">Gets the value of a child node</field>
        /// <field name="setChildNode" type="Object">Sets a named child node of the current node.</field>
        /// <field name="getDataName" type="string">Get the name of the node relative to the parent node</field>
        /// <field name="setDataName" type="">Set the name of the node relative to the parent node</field>
        /// <field name="getDataPath" type="string">Gets the a qualified data path to this node</field>
        /// <field name="load" type="">Load or reload the backing data for this node</field>
        /// <field name="getLoadState" type="goog.ds.LoadState">Gets the state of the backing data for this node</field>
        /// <field name="isList" type="boolean">Whether the value of this node is a homogeneous list of data</field>
        /// <returns type="goog.ds.DataNode"/>
    };

    var $x = window.goog.ds.DataNode;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.DataNode";
})(this);
