
/* vsdoc for goog.ds.XmlHttpDataSource */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.XmlHttpDataSource = function(uri, name){
        /// <summary></summary>
        /// <param name="uri" type="(string|goog.Uri)">URL of the XMLHttpRequest.</param>
        /// <param name="name" type="string">Name of the datasource.
        /// 
        /// implements goog.ds.XmlHttpDataSource.</param>
        /// <returns type="goog.ds.XmlHttpDataSource"/>
    };

    var $x = window.goog.ds.XmlHttpDataSource;
    $x.prototype = {
                
        load: function() {
            /// <summary>Load or reload the backing data for this node.
            /// Fires the XMLHttpRequest</summary>
        }, 
        
        getLoadState: function() {
            /// <summary>Gets the state of the backing data for this node</summary>
            /// <returns type="goog.ds.LoadState">The state.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.XmlHttpDataSource";
})(this);
