
/* vsdoc for goog.editor.TableCell */

(function (window) {
    window.goog.editor = window.goog.editor || {};

    window.goog.editor.TableCell = function(td, startRow, startCol){
        /// <summary></summary>
        /// <param name="td" type="Element">This cell&apos;s underlying TD or TH element.</param>
        /// <param name="startRow" type="number">Index of the row where this cell begins.</param>
        /// <param name="startCol" type="number">Index of the column where this cell begins.</param>
        /// <returns type="goog.editor.TableCell"/>
    };

    var $x = window.goog.editor.TableCell;
    $x.prototype = {
                
        setColSpan: function(colSpan) {
            /// <summary>Set this cell&apos;s colSpan, updating both its colSpan property and the
            /// underlying element&apos;s colSpan attribute.</summary>
            /// <param name="colSpan" type="number">The new colSpan.</param>
        }, 
        
        setRowSpan: function(rowSpan) {
            /// <summary>Set this cell&apos;s rowSpan, updating both its rowSpan property and the
            /// underlying element&apos;s rowSpan attribute.</summary>
            /// <param name="rowSpan" type="number">The new rowSpan.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.TableCell";
})(this);
