
/* vsdoc for goog.editor.plugins.Emoticons */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.Emoticons = function(){
        /// <summary></summary>
        /// <field name="COMMAND" type="">The emoticon command.</field>
        /// <field name="getTrogClassId" type=""></field>
        /// <returns type="goog.editor.plugins.Emoticons"/>
    };

    var $x = window.goog.editor.plugins.Emoticons;
    $x.prototype = {
                
        isSupportedCommand: function(command) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
        }, 
        
        execCommandInternal: function(command, opt_arg) {
            /// <summary>Inserts an emoticon into the editor at the cursor location. Places the
            /// cursor to the right of the inserted emoticon.</summary>
            /// <param name="command" type="string">Command to execute.</param>
            /// <param name="opt_arg" type="*=">Emoji to insert.</param>
            /// <returns type="Object|undefined">The result of the command.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.Emoticons";
})(this);
