
/* vsdoc for goog.editor.plugins.LinkBubble.Action */

(function (window) {
    window.goog.editor.plugins.LinkBubble = window.goog.editor.plugins.LinkBubble || {};

    window.goog.editor.plugins.LinkBubble.Action = function(spanId, linkId, message, toShowFn, actionFn){
        /// <summary></summary>
        /// <param name="spanId" type="string">The ID for the span showing the action.</param>
        /// <param name="linkId" type="string">The ID for the link showing the action.</param>
        /// <param name="message" type="string">The text for the link showing the action.</param>
        /// <param name="toShowFn" type="function(string):boolean">Test function to determine whether
        ///     to show the action for the given URL.</param>
        /// <param name="actionFn" type="function(string):void">Action function to run when the
        ///     action is clicked.  Takes the current target URL as a parameter.</param>
        /// <returns type="goog.editor.plugins.LinkBubble.Action"/>
    };

    var $x = window.goog.editor.plugins.LinkBubble.Action;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.LinkBubble.Action";
})(this);
