
/* vsdoc for goog.editor.plugins.LoremIpsum */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.LoremIpsum = function(message){
        /// <summary></summary>
        /// <param name="message" type="string">The lorem ipsum message.</param>
        /// <field name="getTrogClassId" type=""></field>
        /// <field name="activeOnUneditableFields" type=""></field>
        /// <returns type="goog.editor.plugins.LoremIpsum"/>
    };

    var $x = window.goog.editor.plugins.LoremIpsum;
    $x.prototype = {
                
        queryCommandValue: function(command) {
            /// <summary>Handles queryCommandValue.</summary>
            /// <param name="command" type="string">The command to query.</param>
            /// <returns type="boolean">The result.</returns>
        }, 
        
        execCommand: function(command, opt_placeCursor) {
            /// <summary>Handles execCommand.</summary>
            /// <param name="command" type="string">The command to execute.
            ///     Should be CLEAR_LOREM or UPDATE_LOREM.</param>
            /// <param name="opt_placeCursor" type="*=">Whether to place the cursor in the field
            ///     after clearing lorem. Should be a boolean.</param>
        }, 
        
        isSupportedCommand: function(command) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.LoremIpsum";
})(this);
