
/* vsdoc for goog.editor.plugins.TagOnEnterHandler */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.TagOnEnterHandler = function(tag){
        /// <summary></summary>
        /// <param name="tag" type="goog.dom.TagName">The type of tag to add on enter.</param>
        /// <field name="activeOnUneditableFields" type="boolean">This plugin is active on uneditable fields so it can provide a value for
        /// queryCommandValue calls asking for goog.editor.Command.BLOCKQUOTE.</field>
        /// <returns type="goog.editor.plugins.TagOnEnterHandler"/>
    };

    var $x = window.goog.editor.plugins.TagOnEnterHandler;
    $x.prototype = {
                
        getTrogClassId: function() {
            /// <summary></summary>
        }, 
        
        getNonCollapsingBlankHtml: function() {
            /// <summary></summary>
        }, 
        
        isSupportedCommand: function(command) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
        }, 
        
        queryCommandValue: function(command) {
            /// <summary></summary>
            /// <param name="command" type=""></param>
        }, 
        
        handleBackspaceInternal: function(e, range) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
            /// <param name="range" type=""></param>
        }, 
        
        processParagraphTagsInternal: function(e, split) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
            /// <param name="split" type=""></param>
        }, 
        
        handleDeleteGecko: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }, 
        
        handleKeyUpInternal: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }, 
        
        handleEnterWebkitInternal: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.TagOnEnterHandler";
})(this);
