
/* vsdoc for goog.events.InputHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.InputHandler = function(element){
        /// <summary></summary>
        /// <param name="element" type="Element">The element that you want to listen for input
        ///     events on.</param>
        /// <field name="EventType" type="">Enum type for the events fired by the input handler</field>
        /// <returns type="goog.events.InputHandler"/>
    };

    var $x = window.goog.events.InputHandler;
    $x.prototype = {
                
        handleEvent: function(e) {
            /// <summary>This handles the underlying events and dispatches a new event as needed.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The underlying browser event.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.InputHandler";
})(this);
