
/* vsdoc for goog.format.HtmlPrettyPrinter */

(function (window) {
    window.goog.format = window.goog.format || {};

    window.goog.format.HtmlPrettyPrinter = function(opt_timeOutMillis){
        /// <summary></summary>
        /// <param name="opt_timeOutMillis" type="number=">Max # milliseconds to spend on #format. If
        ///     this time is exceeded, return partially formatted. 0 or negative number
        ///     indicates no timeout.</param>
        /// <returns type="goog.format.HtmlPrettyPrinter"/>
    };

    var $x = window.goog.format.HtmlPrettyPrinter;
    $x.prototype = {
                
        format: function(html) {
            /// <summary>Static utility function. See prototype #format.</summary>
            /// <param name="html" type="string">The HTML text to pretty print.</param>
            /// <returns type="string">Formatted result.</returns>
        }, 
        
        format: function(html) {
            /// <summary>Breaks up HTML so it&apos;s easily readable by the user.</summary>
            /// <param name="html" type="string">The HTML text to pretty print.</param>
            /// <returns type="string">Formatted result.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.format.HtmlPrettyPrinter";
})(this);
