
/* vsdoc for goog.format.JsonPrettyPrinter */

(function (window) {
    window.goog.format = window.goog.format || {};

    window.goog.format.JsonPrettyPrinter = function(delimiters){
        /// <summary></summary>
        /// <param name="delimiters" type="goog.format.JsonPrettyPrinter.TextDelimiters">Container
        ///     for the various strings to use to delimit objects, arrays, newlines, and
        ///     other pieces of the output.</param>
        /// <returns type="goog.format.JsonPrettyPrinter"/>
    };

    var $x = window.goog.format.JsonPrettyPrinter;
    $x.prototype = {
                
        format: function(json) {
            /// <summary>Formats a JSON object as a string, properly indented for display.</summary>
            /// <param name="json" type="*">The object to pretty print. It could be a JSON object, a
            ///     string representing a JSON object, or any other type.</param>
            /// <returns type="string">Returns a string of the JSON object, properly indented for
            ///     display.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.format.JsonPrettyPrinter";
})(this);
