
/* vsdoc for goog.fs.Error */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.Error = function(code, action){
        /// <summary></summary>
        /// <param name="code" type="number">The error code for the error.</param>
        /// <param name="action" type="string">The action being undertaken when the error was raised.</param>
        /// <field name="ErrorCode" type="">Error codes for file errors.</field>
        /// <returns type="goog.fs.Error"/>
    };

    var $x = window.goog.fs.Error;
    $x.prototype = {
                
        getDebugMessage: function(errorCode) {
            /// <summary></summary>
            /// <param name="errorCode" type="number">The error code for the error.</param>
            /// <returns type="string">A debug message for the given error code. These messages are
            ///     for debugging only and are not localized.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.Error";
})(this);
