
/* vsdoc for goog.fs.FileSaver */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.FileSaver = function(fileSaver){
        /// <summary></summary>
        /// <param name="fileSaver" type="!FileSaver">The underlying FileSaver object.</param>
        /// <field name="ReadyState" type="">Possible states for a FileSaver.</field>
        /// <field name="EventType" type="">Events emitted by a FileSaver.</field>
        /// <field name="ProgressEvent" type="">A wrapper for the progress events emitted by the FileSaver.</field>
        /// <returns type="goog.fs.FileSaver"/>
    };

    var $x = window.goog.fs.FileSaver;
    $x.prototype = {
                
        abort: function() {
            /// <summary>Abort the writing of the file.</summary>
        }, 
        
        getReadyState: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.FileSaver.ReadyState">The current state of the FileSaver.</returns>
        }, 
        
        getError: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.Error">The error encountered while writing, if any.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.FileSaver";
})(this);
