
/* vsdoc for goog.fx.dom */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.dom = {
        /// <summary></summary>
        /// <returns type="goog.fx.dom"/>
                
        bgColorFadeIn: function(element, start, time, opt_eventHandler) {
            /// <summary>Fade elements background color from start color to the element&apos;s current
            /// background color.
            /// 
            /// Start should be a 3D array representing R,G,B</summary>
            /// <param name="element" type="Element">Dom Node to be used in the animation.</param>
            /// <param name="start" type="Array.number">3D Array for RGB of start color.</param>
            /// <param name="time" type="number">Length of animation in milliseconds.</param>
            /// <param name="opt_eventHandler" type="goog.events.EventHandler=">Optional event handler
            ///     to use when listening for events.</param>
        }
        
    };

    var $x = window.goog.fx.dom;
    $x.__namespace = "true";
    $x.__typeName = "goog.fx.dom";
})(this);
