
/* vsdoc for goog.gears.UrlCapture.Event */

(function (window) {
    window.goog.gears.UrlCapture = window.goog.gears.UrlCapture || {};

    window.goog.gears.UrlCapture.Event = function(type, captureId, opt_uri, opt_errorUris){
        /// <summary></summary>
        /// <param name="type" type="goog.gears.UrlCapture.EventType">Type of event to dispatch.</param>
        /// <param name="captureId" type="number">The id of the capture that fired this event.</param>
        /// <param name="opt_uri" type="string|goog.Uri=">The URI for the event.</param>
        /// <param name="opt_errorUris" type="Array.string|goog.Uri=">The URIs that failed to load
        /// correctly.</param>
        /// <field name="captureId" type="number">The id of the capture to dispatch the event for. This id is returned from
        /// goog.gears.UrlCapture#capture</field>
        /// <field name="uri" type="string|goog.Uri|null">The URI the event concerns. Valid for URL_SUCCESS and URL_ERROR events.</field>
        /// <field name="errorUris" type="Array.<string|goog.Uri>">A list of all the URIs that failed to load correctly. Valid for
        /// COMPLETE event.</field>
        /// <returns type="goog.gears.UrlCapture.Event"/>
    };

    var $x = window.goog.gears.UrlCapture.Event;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.UrlCapture.Event";
})(this);
