
/* vsdoc for goog.graphics.SolidFill */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.SolidFill = function(color, opt_opacity){
        /// <summary></summary>
        /// <param name="color" type="string">The color of the background.</param>
        /// <param name="opt_opacity" type="number=">The opacity of the background fill. The value
        ///    must be greater than or equal to zero (transparent) and less than or
        ///    equal to 1 (opaque).</param>
        /// <returns type="goog.graphics.SolidFill"/>
    };

    var $x = window.goog.graphics.SolidFill;
    $x.prototype = {
                
        getColor: function() {
            /// <summary></summary>
            /// <returns type="string">The color of this fill.</returns>
        }, 
        
        getOpacity: function() {
            /// <summary></summary>
            /// <returns type="number">The opacity of this fill.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.SolidFill";
})(this);
