
/* vsdoc for goog.graphics.ext.Image */

(function (window) {
    window.goog.graphics.ext = window.goog.graphics.ext || {};

    window.goog.graphics.ext.Image = function(group, src){
        /// <summary></summary>
        /// <param name="group" type="goog.graphics.ext.Group">Parent for this element.</param>
        /// <param name="src" type="string">The path to the image to display.</param>
        /// <returns type="goog.graphics.ext.Image"/>
    };

    var $x = window.goog.graphics.ext.Image;
    $x.prototype = {
                
        redraw: function() {
            /// <summary>Redraw the image.  Called when the coordinate system is changed.</summary>
        }, 
        
        setSource: function(src) {
            /// <summary>Update the source of the image.</summary>
            /// <param name="src" type="string">Source of the image.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.ext.Image";
})(this);
