
/* vsdoc for goog.graphics.ext.StrokeAndFillElement */

(function (window) {
    window.goog.graphics.ext = window.goog.graphics.ext || {};

    window.goog.graphics.ext.StrokeAndFillElement = function(group, wrapper){
        /// <summary></summary>
        /// <param name="group" type="goog.graphics.ext.Group">Parent for this element.</param>
        /// <param name="wrapper" type="goog.graphics.StrokeAndFillElement">The thin wrapper to wrap.</param>
        /// <returns type="goog.graphics.ext.StrokeAndFillElement"/>
    };

    var $x = window.goog.graphics.ext.StrokeAndFillElement;
    $x.prototype = {
                
        setFill: function(fill) {
            /// <summary>Sets the fill for this element.</summary>
            /// <param name="fill" type="goog.graphics.Fill?">The fill object.</param>
        }, 
        
        setStroke: function(stroke) {
            /// <summary>Sets the stroke for this element.</summary>
            /// <param name="stroke" type="goog.graphics.Stroke?">The stroke object.</param>
        }, 
        
        redraw: function() {
            /// <summary>Redraw the rectangle.  Called when the coordinate system is changed.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.ext.StrokeAndFillElement";
})(this);
