
/* vsdoc for goog.i18n.mime */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.mime = {
        /// <summary></summary>
        /// <returns type="goog.i18n.mime"/>
                
        encode: function(str, opt_noquote) {
            /// <summary>Encodes a string for inclusion in a MIME header. The string is encoded
            /// in UTF-8 according to RFC 1522, using quoted-printable form.</summary>
            /// <param name="str" type="string">The string to encode.</param>
            /// <param name="opt_noquote" type="boolean=">Whether double-quote characters should also
            ///     be escaped (should be true if the result will be placed inside a
            ///     quoted string for a parameter value in a MIME header).</param>
            /// <returns type="string">The encoded string.</returns>
        }
        
    };

    var $x = window.goog.i18n.mime;
    $x.__namespace = "true";
    $x.__typeName = "goog.i18n.mime";
})(this);
