
/* vsdoc for goog.json.EvalJsonProcessor */

(function (window) {
    window.goog.json = window.goog.json || {};

    window.goog.json.EvalJsonProcessor = function(opt_replacer, opt_useUnsafeParsing){
        /// <summary></summary>
        /// <param name="opt_replacer" type="?goog.json.Replacer=">An optional replacer to use during
        ///     serialization.</param>
        /// <param name="opt_useUnsafeParsing" type="?boolean=">Whether to use goog.json.unsafeParse
        ///     for parsing. Safe parsing is very slow on large strings. On the other
        ///     hand, unsafe parsing uses eval() without checking whether the string is
        ///     valid, so it should only be used if you trust the source of the string.</param>
        /// <returns type="goog.json.EvalJsonProcessor"/>
    };

    var $x = window.goog.json.EvalJsonProcessor;
    $x.prototype = {
                
        stringify: function(object) {
            /// <summary></summary>
            /// <param name="object" type=""></param>
        }, 
        
        parse: function(s) {
            /// <summary></summary>
            /// <param name="s" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.json.EvalJsonProcessor";
})(this);
