
/* vsdoc for goog.json.Serializer */

(function (window) {
    window.goog.json = window.goog.json || {};

    window.goog.json.Serializer = function(opt_replacer){
        /// <summary></summary>
        /// <param name="opt_replacer" type="?goog.json.Replacer=">Replacer.</param>
        /// <returns type="goog.json.Serializer"/>
    };

    var $x = window.goog.json.Serializer;
    $x.prototype = {
                
        serialize: function(object) {
            /// <summary>Serializes an object or a value to a JSON string.</summary>
            /// <param name="object" type="*">The object to serialize.</param>
            /// <returns type="string">A JSON string representation of the input.</returns>
        }, 
        
        serializeArray: function(arr, sb) {
            /// <summary>Serializes an array to a JSON string</summary>
            /// <param name="arr" type="Array">The array to serialize.</param>
            /// <param name="sb" type="Array">Array used as a string builder.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.json.Serializer";
})(this);
