
/* vsdoc for goog.labs.object */

(function (window) {
    window.goog.labs = window.goog.labs || {};

    window.goog.labs.object = {
        /// <summary></summary>
        /// <returns type="goog.labs.object"/>
                
        is: function(v, v2) {
            /// <summary>Whether two values are not observably distinguishable. This
            /// correctly detects that 0 is not the same as -0 and two NaNs are
            /// practically equivalent.
            /// 
            /// The implementation is as suggested by harmony:egal proposal.</summary>
            /// <param name="v" type="*">The first value to compare.</param>
            /// <param name="v2" type="*">The second value to compare.</param>
            /// <returns type="boolean">Whether two values are not observably distinguishable.</returns>
        }
        
    };

    var $x = window.goog.labs.object;
    $x.__namespace = "true";
    $x.__typeName = "goog.labs.object";
})(this);
