
/* vsdoc for goog.labs.observe.Notice */

(function (window) {
    window.goog.labs.observe = window.goog.labs.observe || {};

    window.goog.labs.observe.Notice = function(observable, opt_data){
        /// <summary></summary>
        /// <param name="observable" type="!goog.labs.observe.Observable">The observable
        ///     object that fires this notice.</param>
        /// <param name="opt_data" type="*=">The optional data associated with this notice.</param>
        /// <returns type="goog.labs.observe.Notice"/>
    };

    var $x = window.goog.labs.observe.Notice;
    $x.prototype = {
                
        getObservable: function() {
            /// <summary></summary>
            /// <returns type="!goog.labs.observe.Observable">The observable object that
            ///     fires this notice.</returns>
        }, 
        
        getData: function() {
            /// <summary></summary>
            /// <returns type="*">The optional data associated with this notice. May be
            ///     null/undefined.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.labs.observe.Notice";
})(this);
