
/* vsdoc for goog.labs.observe.SimpleObservable */

(function (window) {
    window.goog.labs.observe = window.goog.labs.observe || {};

    window.goog.labs.observe.SimpleObservable = function(opt_actualObservable){
        /// <summary></summary>
        /// <param name="opt_actualObservable" type="!goog.labs.observe.Observable=">Optional observable object. Defaults to &apos;this&apos;. When used as
        ///     base class, the parameter need not be given. It is only useful
        ///     when using this class to implement implement {@code Observable}
        ///     interface on another object, see example above.</param>
        /// <returns type="goog.labs.observe.SimpleObservable"/>
    };

    var $x = window.goog.labs.observe.SimpleObservable;
    $x.prototype = {
                
        observe: function(observer) {
            /// <summary></summary>
            /// <param name="observer" type=""></param>
        }, 
        
        unobserve: function(observer) {
            /// <summary></summary>
            /// <param name="observer" type=""></param>
        }, 
        
        notify: function(opt_data) {
            /// <summary></summary>
            /// <param name="opt_data" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.labs.observe.SimpleObservable";
})(this);
