
/* vsdoc for goog.messaging.DeferredChannel */

(function (window) {
    window.goog.messaging = window.goog.messaging || {};

    window.goog.messaging.DeferredChannel = function(deferredChannel){
        /// <summary></summary>
        /// <param name="deferredChannel" type="!goog.async.Deferred">The underlying deferred
        ///     MessageChannel.</param>
        /// <returns type="goog.messaging.DeferredChannel"/>
    };

    var $x = window.goog.messaging.DeferredChannel;
    $x.prototype = {
                
        cancel: function() {
            /// <summary>Cancels the wrapped Deferred.</summary>
        }, 
        
        connect: function(opt_connectCb) {
            /// <summary></summary>
            /// <param name="opt_connectCb" type=""></param>
        }, 
        
        isConnected: function() {
            /// <summary></summary>
        }, 
        
        registerService: function(serviceName, callback, opt_objectPayload) {
            /// <summary></summary>
            /// <param name="serviceName" type=""></param>
            /// <param name="callback" type=""></param>
            /// <param name="opt_objectPayload" type=""></param>
        }, 
        
        registerDefaultService: function(callback) {
            /// <summary></summary>
            /// <param name="callback" type=""></param>
        }, 
        
        send: function(serviceName, payload) {
            /// <summary></summary>
            /// <param name="serviceName" type=""></param>
            /// <param name="payload" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.DeferredChannel";
})(this);
