
/* vsdoc for goog.messaging.PortOperator */

(function (window) {
    window.goog.messaging = window.goog.messaging || {};

    window.goog.messaging.PortOperator = function(name){
        /// <summary></summary>
        /// <param name="name" type="string">The name of this node.</param>
        /// <returns type="goog.messaging.PortOperator"/>
    };

    var $x = window.goog.messaging.PortOperator;
    $x.prototype = {
                
        dial: function(name) {
            /// <summary></summary>
            /// <param name="name" type=""></param>
        }, 
        
        addPort: function(name, port) {
            /// <summary>Adds a caller to the network with the given name. This port should have no
            /// services registered on it. It will be disposed along with the PortOperator.</summary>
            /// <param name="name" type="string">The name of the port to add.</param>
            /// <param name="port" type="!goog.messaging.MessageChannel">The port to add. Must be either
            ///     a {@link goog.messaging.PortChannel} or a decorator wrapping a
            ///     PortChannel; in particular, it must be able to send and receive
            ///     {@link MessagePort}s.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.PortOperator";
})(this);
