
/* vsdoc for goog.module.ModuleLoadCallback */

(function (window) {
    window.goog.module = window.goog.module || {};

    window.goog.module.ModuleLoadCallback = function(fn, opt_handler){
        /// <summary></summary>
        /// <param name="fn" type="Function">Callback function.</param>
        /// <param name="opt_handler" type="Object=">Optional handler under whose scope to execute
        ///     the callback.</param>
        /// <field name="execute" type=""></field>
        /// <returns type="goog.module.ModuleLoadCallback"/>
    };

    var $x = window.goog.module.ModuleLoadCallback;
    $x.prototype = {
                
        abort: function() {
            /// <summary>Abort the callback, but not the actual module load.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.module.ModuleLoadCallback";
})(this);
