
/* vsdoc for goog.net.IframeLoadMonitor */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.IframeLoadMonitor = function(iframe, opt_hasContent){
        /// <summary></summary>
        /// <param name="iframe" type="HTMLIFrameElement">An iframe.</param>
        /// <param name="opt_hasContent" type="boolean=">Does the loaded iframe have content.</param>
        /// <field name="LOAD_EVENT" type="string">Event type dispatched by a goog.net.IframeLoadMonitor when it internal iframe
        /// finishes loading for the first time after construction of the
        /// goog.net.IframeLoadMonitor</field>
        /// <returns type="goog.net.IframeLoadMonitor"/>
    };

    var $x = window.goog.net.IframeLoadMonitor;
    $x.prototype = {
                
        isLoaded: function() {
            /// <summary>Returns whether or not the iframe is loaded.</summary>
            /// <returns type="boolean">whether or not the iframe is loaded.</returns>
        }, 
        
        getIframe: function() {
            /// <summary>Returns the iframe whose load state this IframeLoader monitors.</summary>
            /// <returns type="HTMLIFrameElement">the iframe whose load state this IframeLoader
            ///     monitors.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.IframeLoadMonitor";
})(this);
