
/* vsdoc for goog.net.xpc.FrameElementMethodTransport */

(function (window) {
    window.goog.net.xpc = window.goog.net.xpc || {};

    window.goog.net.xpc.FrameElementMethodTransport = function(channel, opt_domHelper){
        /// <summary></summary>
        /// <param name="channel" type="goog.net.xpc.CrossPageChannel">The channel this transport
        ///     belongs to.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The dom helper to use for finding
        ///     the correct window.</param>
        /// <field name="transportType" type="number">The transport type.</field>
        /// <returns type="goog.net.xpc.FrameElementMethodTransport"/>
    };

    var $x = window.goog.net.xpc.FrameElementMethodTransport;
    $x.prototype = {
                
        connect: function() {
            /// <summary>Connect this transport.</summary>
        }, 
        
        transportServiceHandler: function(payload) {
            /// <summary>Handles transport service messages.</summary>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        send: function(service, payload) {
            /// <summary>Send a message</summary>
            /// <param name="service" type="string">The name off the service the message is to be
            /// delivered to.</param>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.FrameElementMethodTransport";
})(this);
