
/* vsdoc for goog.net.xpc.IframePollingTransport.Receiver */

(function (window) {
    window.goog.net.xpc.IframePollingTransport = window.goog.net.xpc.IframePollingTransport || {};

    window.goog.net.xpc.IframePollingTransport.Receiver = function(transport, windowObj, callback){
        /// <summary></summary>
        /// <param name="transport" type="goog.net.xpc.IframePollingTransport">The transport to
        ///     receive from.</param>
        /// <param name="windowObj" type="Object">The window-object to poll for location-changes.</param>
        /// <param name="callback" type="Function">The callback-function to be called when
        ///     location has changed.</param>
        /// <returns type="goog.net.xpc.IframePollingTransport.Receiver"/>
    };

    var $x = window.goog.net.xpc.IframePollingTransport.Receiver;
    $x.prototype = {
                
        receive: function() {
            /// <summary>Polls the location of the receiver-frame for changes.</summary>
            /// <returns type="boolean">Whether a change has been detected.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.IframePollingTransport.Receiver";
})(this);
