
/* vsdoc for goog.net.xpc.IframePollingTransport.Sender */

(function (window) {
    window.goog.net.xpc.IframePollingTransport = window.goog.net.xpc.IframePollingTransport || {};

    window.goog.net.xpc.IframePollingTransport.Sender = function(url, windowObj){
        /// <summary></summary>
        /// <param name="url" type="string">The url the other document will use for polling.</param>
        /// <param name="windowObj" type="Object">The frame used for sending information to.</param>
        /// <returns type="goog.net.xpc.IframePollingTransport.Sender"/>
    };

    var $x = window.goog.net.xpc.IframePollingTransport.Sender;
    $x.prototype = {
                
        send: function(payload) {
            /// <summary>Sends a message-part (frame) to the peer.
            /// The message-part is encoded and put in the fragment identifier
            /// of the URL used for sending (and belongs to the origin/domain of the peer).</summary>
            /// <param name="payload" type="string">The message to send.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.IframePollingTransport.Sender";
})(this);
