
/* vsdoc for goog.positioning.AbsolutePosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.AbsolutePosition = function(arg1, opt_arg2){
        /// <summary></summary>
        /// <param name="arg1" type="number|!goog.math.Coordinate">Left position or coordinate.</param>
        /// <param name="opt_arg2" type="number=">Top position.</param>
        /// <field name="coordinate" type="goog.math.Coordinate">Coordinate to position popup at.</field>
        /// <returns type="goog.positioning.AbsolutePosition"/>
    };

    var $x = window.goog.positioning.AbsolutePosition;
    $x.prototype = {
                
        reposition: function(movableElement, movableCorner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the popup according to the current state.</summary>
            /// <param name="movableElement" type="Element">The DOM element to position.</param>
            /// <param name="movableCorner" type="goog.positioning.Corner">The corner of the movable
            ///     element that should be positioned at the specified position.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">Prefered size of the
            ///     movableElement.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.AbsolutePosition";
})(this);
