
/* vsdoc for goog.positioning.MenuAnchoredPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.MenuAnchoredPosition = function(anchorElement, corner, opt_adjust, opt_resize){
        /// <summary></summary>
        /// <param name="anchorElement" type="Element">Element the movable element should be
        ///     anchored against.</param>
        /// <param name="corner" type="goog.positioning.Corner">Corner of anchored element the
        ///     movable element should be positioned at.</param>
        /// <param name="opt_adjust" type="boolean=">Whether the positioning should be adjusted until
        ///     the element fits inside the viewport even if that means that the anchored
        ///     corners are ignored.</param>
        /// <param name="opt_resize" type="boolean=">Whether the positioning should be adjusted until
        ///     the element fits inside the viewport on the X axis and its height is
        ///     resized so if fits in the viewport. This take precedence over opt_adjust.</param>
        /// <returns type="goog.positioning.MenuAnchoredPosition"/>
    };

    var $x = window.goog.positioning.MenuAnchoredPosition;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.MenuAnchoredPosition";
})(this);
