
/* vsdoc for goog.positioning.ViewportPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.ViewportPosition = function(arg1, opt_arg2){
        /// <summary></summary>
        /// <param name="arg1" type="number|goog.math.Coordinate">Left position or coordinate.</param>
        /// <param name="opt_arg2" type="number=">Top position.</param>
        /// <returns type="goog.positioning.ViewportPosition"/>
    };

    var $x = window.goog.positioning.ViewportPosition;
    $x.prototype = {
                
        reposition: function(element, popupCorner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the popup according to the current state</summary>
            /// <param name="element" type="Element">The DOM element of the popup.</param>
            /// <param name="popupCorner" type="goog.positioning.Corner">The corner of the popup
            ///     element that that should be positioned adjacent to the anchorElement.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">Preferred size of the element.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.ViewportPosition";
})(this);
