
/* vsdoc for goog.proto2.PbLiteSerializer */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.PbLiteSerializer = function(){
        /// <summary></summary>
        /// <returns type="goog.proto2.PbLiteSerializer"/>
    };

    var $x = window.goog.proto2.PbLiteSerializer;
    $x.prototype = {
                
        setZeroIndexed: function(zeroIndexing) {
            /// <summary>By default, the proto tag with id 1 will have index 1 in the serialized
            /// array.
            /// 
            /// If the serializer is set to use zero-indexing, the tag with id 1 will have
            /// index 0.</summary>
            /// <param name="zeroIndexing" type="boolean">Whether this serializer should deal with
            ///     0-indexed protos.</param>
        }, 
        
        serialize: function(message) {
            /// <summary>Serializes a message to a PB-Lite object.</summary>
            /// <param name="message" type="goog.proto2.Message">The message to be serialized.</param>
            /// <returns type="!Array">The serialized form of the message.</returns>
        }, 
        
        deserializeField: function(message, field, value) {
            /// <summary></summary>
            /// <param name="message" type=""></param>
            /// <param name="field" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        getSerializedValue: function(field, value) {
            /// <summary></summary>
            /// <param name="field" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        getDeserializedValue: function(field, value) {
            /// <summary></summary>
            /// <param name="field" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        deserialize: function(descriptor, data) {
            /// <summary></summary>
            /// <param name="descriptor" type=""></param>
            /// <param name="data" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.PbLiteSerializer";
})(this);
