
/* vsdoc for goog.result.SimpleResult */

(function (window) {
    window.goog.result = window.goog.result || {};

    window.goog.result.SimpleResult = function(){
        /// <summary></summary>
        /// <returns type="goog.result.SimpleResult"/>
    };

    var $x = window.goog.result.SimpleResult;
    $x.prototype = {
                
        getState: function() {
            /// <summary></summary>
        }, 
        
        getValue: function() {
            /// <summary></summary>
        }, 
        
        getError: function() {
            /// <summary></summary>
        }, 
        
        wait: function(handler) {
            /// <summary>Attaches handlers to be called when the value of this Result is available.</summary>
            /// <param name="handler" type="!function(!goog.result.SimpleResult)">The function
            ///     called when the value is available. The function is passed the Result
            ///     object as the only argument.</param>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the value of this Result, changing the state.</summary>
            /// <param name="value" type="*">The value to set for this Result.</param>
        }, 
        
        setError: function(opt_error) {
            /// <summary>Sets the Result to be an error Result.</summary>
            /// <param name="opt_error" type="*=">Optional error slug to set for this Result.</param>
        }, 
        
        cancel: function() {
            /// <summary>Cancels the Result.</summary>
            /// <returns type="boolean">Whether the result was canceled. It will not be canceled if
            ///    the result was already canceled or has already resolved.</returns>
        }, 
        
        isCanceled: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.result.SimpleResult";
})(this);
