
/* vsdoc for goog.storage.CollectableStorage */

(function (window) {
    window.goog.storage = window.goog.storage || {};

    window.goog.storage.CollectableStorage = function(mechanism){
        /// <summary></summary>
        /// <param name="mechanism" type="!goog.storage.mechanism.IterableMechanism">The underlying
        ///     storage mechanism.</param>
        /// <returns type="goog.storage.CollectableStorage"/>
    };

    var $x = window.goog.storage.CollectableStorage;
    $x.prototype = {
                
        collect: function(opt_strict) {
            /// <summary>Cleans up the storage by removing expired keys.</summary>
            /// <param name="opt_strict" type="boolean=">Also remove invalid keys.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.CollectableStorage";
})(this);
