
/* vsdoc for goog.storage.mechanism.HTML5WebStorage */

(function (window) {
    window.goog.storage.mechanism = window.goog.storage.mechanism || {};

    window.goog.storage.mechanism.HTML5WebStorage = function(storage){
        /// <summary></summary>
        /// <param name="storage" type="Storage">The Web storage object.</param>
        /// <returns type="goog.storage.mechanism.HTML5WebStorage"/>
    };

    var $x = window.goog.storage.mechanism.HTML5WebStorage;
    $x.prototype = {
                
        isAvailable: function() {
            /// <summary>Determines whether or not the mechanism is available.
            /// It works only if the provided web storage object exists and is enabled.</summary>
            /// <returns type="boolean">True if the mechanism is available.</returns>
        }, 
        
        set: function(key, value) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        get: function(key) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
        }, 
        
        remove: function(key) {
            /// <summary></summary>
            /// <param name="key" type=""></param>
        }, 
        
        getCount: function() {
            /// <summary></summary>
        }, 
        
        clear: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.mechanism.HTML5WebStorage";
})(this);
