
/* vsdoc for goog.structs.Node */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.Node = function(key, value){
        /// <summary></summary>
        /// <param name="key" type="*">Key.</param>
        /// <param name="value" type="*">Vaue.</param>
        /// <returns type="goog.structs.Node"/>
    };

    var $x = window.goog.structs.Node;
    $x.prototype = {
                
        getKey: function() {
            /// <summary>Gets the key.</summary>
            /// <returns type="*">The key.</returns>
        }, 
        
        getValue: function() {
            /// <summary>Gets the value.</summary>
            /// <returns type="*">The value.</returns>
        }, 
        
        clone: function() {
            /// <summary>Clones a node and returns a new node.</summary>
            /// <returns type="goog.structs.Node">A new goog.structs.Node with the same key value
            ///     pair.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.Node";
})(this);
