
/* vsdoc for goog.style.transition */

(function (window) {
    window.goog.style = window.goog.style || {};

    window.goog.style.transition = {
        /// <summary></summary>
        /// <field name="Css3Property" type=""></field>
        /// <returns type="goog.style.transition"/>
                
        set: function(element, properties) {
            /// <summary>Sets the element CSS3 transition to properties.</summary>
            /// <param name="element" type="Element">The element to set transition on.</param>
            /// <param name="properties" type="goog.style.transition.Css3Property|
    Array.goog.style.transition.Css3Property">A single CSS3
            ///     transition property or array of properties.</param>
        }, 
        
        removeAll: function(element) {
            /// <summary>Removes any programmatically-added CSS3 transition in the given element.</summary>
            /// <param name="element" type="Element">The element to remove transition from.</param>
        }, 
        
        isSupported: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether CSS3 transition is supported.</returns>
        }
        
    };

    var $x = window.goog.style.transition;
    $x.__namespace = "true";
    $x.__typeName = "goog.style.transition";
})(this);
