
/* vsdoc for goog.testing.LooseMock */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.LooseMock = function(objectToMock, opt_ignoreUnexpectedCalls, opt_mockStaticMethods, opt_createProxy){
        /// <summary></summary>
        /// <param name="objectToMock" type="Object">The object to mock.</param>
        /// <param name="opt_ignoreUnexpectedCalls" type="boolean=">Whether to ignore unexpected
        ///     calls.</param>
        /// <param name="opt_mockStaticMethods" type="boolean=">An optional argument denoting that
        ///     a mock should be constructed from the static functions of a class.</param>
        /// <param name="opt_createProxy" type="boolean=">An optional argument denoting that
        ///     a proxy for the target mock should be created.</param>
        /// <returns type="goog.testing.LooseMock"/>
    };

    var $x = window.goog.testing.LooseMock;
    $x.prototype = {
                
        $setIgnoreUnexpectedCalls: function(ignoreUnexpectedCalls) {
            /// <summary>A setter for the ignoreUnexpectedCalls field.</summary>
            /// <param name="ignoreUnexpectedCalls" type="boolean">Whether to ignore unexpected calls.</param>
            /// <returns type="goog.testing.LooseMock">This mock object.</returns>
        }, 
        
        $recordExpectation: function() {
            /// <summary></summary>
        }, 
        
        $recordCall: function(name, args) {
            /// <summary></summary>
            /// <param name="name" type=""></param>
            /// <param name="args" type=""></param>
        }, 
        
        $reset: function() {
            /// <summary></summary>
        }, 
        
        $replay: function() {
            /// <summary></summary>
        }, 
        
        $verify: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.LooseMock";
})(this);
