
/* vsdoc for goog.testing.MockUserAgent */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.MockUserAgent = function(){
        /// <summary></summary>
        /// <returns type="goog.testing.MockUserAgent"/>
    };

    var $x = window.goog.testing.MockUserAgent;
    $x.prototype = {
                
        install: function() {
            /// <summary>Installs this MockUserAgent.</summary>
        }, 
        
        getUserAgentString: function() {
            /// <summary></summary>
            /// <returns type="?string">The userAgent set in this class.</returns>
        }, 
        
        setUserAgentString: function(userAgent) {
            /// <summary></summary>
            /// <param name="userAgent" type="string">The desired userAgent string to use.</param>
        }, 
        
        getNavigator: function() {
            /// <summary></summary>
            /// <returns type="Object">The Navigator set in this class.</returns>
        }, 
        
        setNavigator: function(navigator) {
            /// <summary></summary>
            /// <param name="navigator" type="Object">The desired Navigator object to use.</param>
        }, 
        
        uninstall: function() {
            /// <summary>Uninstalls the MockUserAgent.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.MockUserAgent";
})(this);
