
/* vsdoc for goog.testing.StrictMock */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.StrictMock = function(objectToMock, opt_mockStaticMethods, opt_createProxy){
        /// <summary></summary>
        /// <param name="objectToMock" type="Object">The object to mock.</param>
        /// <param name="opt_mockStaticMethods" type="boolean=">An optional argument denoting that
        ///     a mock should be constructed from the static functions of a class.</param>
        /// <param name="opt_createProxy" type="boolean=">An optional argument denoting that
        ///     a proxy for the target mock should be created.</param>
        /// <returns type="goog.testing.StrictMock"/>
    };

    var $x = window.goog.testing.StrictMock;
    $x.prototype = {
                
        $recordExpectation: function() {
            /// <summary></summary>
        }, 
        
        $recordCall: function(name, args) {
            /// <summary></summary>
            /// <param name="name" type=""></param>
            /// <param name="args" type=""></param>
        }, 
        
        $reset: function() {
            /// <summary></summary>
        }, 
        
        $verify: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.StrictMock";
})(this);
