
/* vsdoc for goog.testing.TestQueue */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.TestQueue = function(){
        /// <summary></summary>
        /// <returns type="goog.testing.TestQueue"/>
    };

    var $x = window.goog.testing.TestQueue;
    $x.prototype = {
                
        enqueue: function(event) {
            /// <summary>Adds a new event onto the queue.</summary>
            /// <param name="event" type="Object">The event to queue.</param>
        }, 
        
        isEmpty: function() {
            /// <summary>Returns whether the queue is empty.</summary>
            /// <returns type="boolean">Whether the queue is empty.</returns>
        }, 
        
        dequeue: function(opt_comment) {
            /// <summary>Gets the next event from the queue. Throws an exception if the queue is
            /// empty.</summary>
            /// <param name="opt_comment" type="string=">Comment if the queue is empty.</param>
            /// <returns type="Object">The next event from the queue.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.TestQueue";
})(this);
