
/* vsdoc for goog.testing.events.EventObserver */

(function (window) {
    window.goog.testing.events = window.goog.testing.events || {};

    window.goog.testing.events.EventObserver = function(){
        /// <summary></summary>
        /// <returns type="goog.testing.events.EventObserver"/>
    };

    var $x = window.goog.testing.events.EventObserver;
    $x.prototype = {
                
        handleEvent: function(e) {
            /// <summary>Handles an event and remembers it.  Event listening functions and methods
            /// will call this method when this observer is used as a listener.</summary>
            /// <param name="e" type="!goog.events.Event">Event to handle.</param>
        }, 
        
        getEvents: function(opt_type) {
            /// <summary></summary>
            /// <param name="opt_type" type="string=">If given, only return events of this type.</param>
            /// <returns type="!Array.!goog.events.Event">The events handled, oldest to newest.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.events.EventObserver";
})(this);
