
/* vsdoc for goog.testing.events.OnlineHandler */

(function (window) {
    window.goog.testing.events = window.goog.testing.events || {};

    window.goog.testing.events.OnlineHandler = function(initialState){
        /// <summary></summary>
        /// <param name="initialState" type="boolean">The initial online state of the mock.</param>
        /// <returns type="goog.testing.events.OnlineHandler"/>
    };

    var $x = window.goog.testing.events.OnlineHandler;
    $x.prototype = {
                
        isOnline: function() {
            /// <summary>Mock implementation of goog.events.OnlineHandler.isOnline.</summary>
            /// <returns type="boolean">Whether the mock is online.</returns>
        }, 
        
        setOnline: function(newOnlineState) {
            /// <summary>Sets the online state.</summary>
            /// <param name="newOnlineState" type="boolean">The new online state.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.events.OnlineHandler";
})(this);
