
/* vsdoc for goog.testing.fs.FileReader */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.FileReader = function(){
        /// <summary></summary>
        /// <field name="ReturnType" type="">The possible return types.</field>
        /// <returns type="goog.testing.fs.FileReader"/>
    };

    var $x = window.goog.testing.fs.FileReader;
    $x.prototype = {
                
        getReadyState: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.FileReader.ReadyState">The current ready state.</returns>
        }, 
        
        getError: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.Error">The current error.</returns>
        }, 
        
        abort: function() {
            /// <summary></summary>
        }, 
        
        getResult: function() {
            /// <summary></summary>
            /// <returns type="*">The result of the file read.</returns>
        }, 
        
        readAsBinaryString: function(blob) {
            /// <summary></summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to read.</param>
        }, 
        
        readAsArrayBuffer: function(blob) {
            /// <summary></summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to read.</param>
        }, 
        
        readAsText: function(blob, opt_encoding) {
            /// <summary></summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to read.</param>
            /// <param name="opt_encoding" type="string=">The name of the encoding to use.</param>
        }, 
        
        readAsDataUrl: function(blob) {
            /// <summary></summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to read.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.FileReader";
})(this);
