
/* vsdoc for goog.testing.fs.FileWriter */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.FileWriter = function(fileEntry){
        /// <summary></summary>
        /// <param name="fileEntry" type="!goog.testing.fs.FileEntry">The file entry to write to.</param>
        /// <returns type="goog.testing.fs.FileWriter"/>
    };

    var $x = window.goog.testing.fs.FileWriter;
    $x.prototype = {
                
        getReadyState: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.FileSaver.ReadyState">The ready state.</returns>
        }, 
        
        getError: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.Error">The error.</returns>
        }, 
        
        getPosition: function() {
            /// <summary></summary>
            /// <returns type="number">The position.</returns>
        }, 
        
        getLength: function() {
            /// <summary></summary>
            /// <returns type="number">The length.</returns>
        }, 
        
        abort: function() {
            /// <summary></summary>
        }, 
        
        write: function(blob) {
            /// <summary></summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to write.</param>
        }, 
        
        truncate: function(size) {
            /// <summary></summary>
            /// <param name="size" type="number">The size to truncate to.</param>
        }, 
        
        seek: function(offset) {
            /// <summary></summary>
            /// <param name="offset" type="number">The offset to seek to.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.FileWriter";
})(this);
