
/* vsdoc for goog.testing.graphics */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.graphics = {
        /// <summary></summary>
        /// <returns type="goog.testing.graphics"/>
                
        assertPathEquals: function(expected, path) {
            /// <summary>Test if the given path matches the expected array of commands and parameters.</summary>
            /// <param name="expected" type="Array.string|number">The expected array of commands and
            ///     parameters.</param>
            /// <param name="path" type="goog.graphics.Path">The path to test against.</param>
        }
        
    };

    var $x = window.goog.testing.graphics;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.graphics";
})(this);
