
/* vsdoc for goog.testing.mockmatchers.SaveArgument */

(function (window) {
    window.goog.testing.mockmatchers = window.goog.testing.mockmatchers || {};

    window.goog.testing.mockmatchers.SaveArgument = function(opt_matcher, opt_matchName){
        /// <summary></summary>
        /// <param name="opt_matcher" type="goog.testing.mockmatchers.ArgumentMatcher|Function=">Argument matcher or matching function that will be used to validate the
        ///     argument.  By default, argument will always be valid.</param>
        /// <param name="opt_matchName" type="?string=">The name expressing intent as part of
        ///      an error message for when a match fails.</param>
        /// <returns type="goog.testing.mockmatchers.SaveArgument"/>
    };

    var $x = window.goog.testing.mockmatchers.SaveArgument;
    $x.prototype = {
                
        matches: function(toVerify, opt_expectation) {
            /// <summary></summary>
            /// <param name="toVerify" type=""></param>
            /// <param name="opt_expectation" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.mockmatchers.SaveArgument";
})(this);
