
/* vsdoc for goog.tweak.BooleanInGroupSetting */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.BooleanInGroupSetting = function(id, description, group){
        /// <summary></summary>
        /// <param name="id" type="string">The ID for the setting.</param>
        /// <param name="description" type="string">A description of what the setting does.</param>
        /// <param name="group" type="!goog.tweak.BooleanGroup">The group that this entry belongs
        ///     to.</param>
        /// <field name="logger" type="!goog.debug.Logger">The logger for this class.</field>
        /// <returns type="goog.tweak.BooleanInGroupSetting"/>
    };

    var $x = window.goog.tweak.BooleanInGroupSetting;
    $x.prototype = {
                
        setParamName: function(value) {
            /// <summary></summary>
            /// <param name="value" type=""></param>
        }, 
        
        setToken: function(value) {
            /// <summary>Sets the token to use in the query parameter.</summary>
            /// <param name="value" type="string">The value.</param>
        }, 
        
        getToken: function() {
            /// <summary>Returns the token to use in the query parameter.</summary>
            /// <returns type="string">The value.</returns>
        }, 
        
        getGroup: function() {
            /// <summary>Returns the BooleanGroup that this setting belongs to.</summary>
            /// <returns type="!goog.tweak.BooleanGroup">The BooleanGroup that this setting
            ///     belongs to.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.BooleanInGroupSetting";
})(this);
