
/* vsdoc for goog.tweak.NumericSetting */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.NumericSetting = function(id, description){
        /// <summary></summary>
        /// <param name="id" type="string">The ID for the setting.</param>
        /// <param name="description" type="string">A description of what the setting does.</param>
        /// <field name="logger" type="!goog.debug.Logger">The logger for this class.</field>
        /// <returns type="goog.tweak.NumericSetting"/>
    };

    var $x = window.goog.tweak.NumericSetting;
    $x.prototype = {
                
        encodeNewValue: function() {
            /// <summary></summary>
        }, 
        
        setValidValues: function(values) {
            /// <summary>Sets the valid values for the setting.</summary>
            /// <param name="values" type="Array.number|undefined">Valid values.</param>
        }, 
        
        getValidValues: function() {
            /// <summary>Returns the valid values for the setting.</summary>
            /// <returns type="Array.number|undefined">Valid values.</returns>
        }, 
        
        initialize: function(value) {
            /// <summary></summary>
            /// <param name="value" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.NumericSetting";
})(this);
