
/* vsdoc for goog.ui.FormPost */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.FormPost = function(opt_dom){
        /// <summary></summary>
        /// <param name="opt_dom" type="goog.dom.DomHelper=">The DOM helper.</param>
        /// <returns type="goog.ui.FormPost"/>
    };

    var $x = window.goog.ui.FormPost;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        post: function(parameters, opt_url, opt_target) {
            /// <summary>Constructs a POST request and directs the browser as if a form were
            /// submitted.</summary>
            /// <param name="parameters" type="Object">Object with parameter values. Values can be
            ///     strings, numbers, or arrays of strings or numbers.</param>
            /// <param name="opt_url" type="string=">The destination URL. If not specified, uses the
            ///     current URL for window for the DOM specified in the constructor.</param>
            /// <param name="opt_target" type="string=">An optional name of a window in which to open the
            ///     URL. If not specified, uses the window for the DOM specified in the
            ///     constructor.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.FormPost";
})(this);
