
/* vsdoc for goog.ui.GraphicsRoundedPanel */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.GraphicsRoundedPanel = function(radius, borderWidth, borderColor, opt_backgroundColor, opt_corners, opt_domHelper){
        /// <summary></summary>
        /// <param name="radius" type="number">The radius of the rounded corner(s), in pixels.</param>
        /// <param name="borderWidth" type="number">The thickness of the border, in pixels.</param>
        /// <param name="borderColor" type="string">The border color of the panel.</param>
        /// <param name="opt_backgroundColor" type="string=">The background color of the panel.</param>
        /// <param name="opt_corners" type="number=">The corners of the panel to be rounded. Any
        ///     corners not specified will be rendered as square corners. Will
        ///     default to all square corners if not specified.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper object for the
        ///     document we want to render in.</param>
        /// <returns type="goog.ui.GraphicsRoundedPanel"/>
    };

    var $x = window.goog.ui.GraphicsRoundedPanel;
    $x.prototype = {
                
        decorateInternal: function(element) {
            /// <summary>This method performs all the necessary DOM manipulation to create the panel.
            /// Overrides {@link goog.ui.Component#decorateInternal}.</summary>
            /// <param name="element" type="Element">The element to decorate.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.GraphicsRoundedPanel";
})(this);
