
/* vsdoc for goog.ui.OfflineInstallDialog.EnableScreen */

(function (window) {
    window.goog.ui.OfflineInstallDialog = window.goog.ui.OfflineInstallDialog || {};

    window.goog.ui.OfflineInstallDialog.EnableScreen = function(dialog){
        /// <summary></summary>
        /// <param name="dialog" type="goog.ui.OfflineInstallDialog">The dialog this is a screen
        ///     for.</param>
        /// <field name="MSG_OFFLINE_DIALOG_ENABLE_GEARS" type="">Text of button that enables offline functionality for the app.</field>
        /// <field name="enableMsg_" type="string"></field>
        /// <field name="TYPE" type="string">The type of this screen.</field>
        /// <field name="enableOnEnter" type="boolean">Should enable button action be performed immediately when the user presses
        /// the enter key anywhere on the dialog. This should be set to false if there
        /// are other action handlers on the dialog that may stop propagation.</field>
        /// <returns type="goog.ui.OfflineInstallDialog.EnableScreen"/>
    };

    var $x = window.goog.ui.OfflineInstallDialog.EnableScreen;
    $x.prototype = {
                
        getButtonSet: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Dialog.ButtonSet">The button set for the enable screen.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineInstallDialog.EnableScreen";
})(this);
