
/* vsdoc for goog.ui.OfflineInstallDialog.InstallingGearsScreen */

(function (window) {
    window.goog.ui.OfflineInstallDialog = window.goog.ui.OfflineInstallDialog || {};

    window.goog.ui.OfflineInstallDialog.InstallingGearsScreen = function(dialog){
        /// <summary></summary>
        /// <param name="dialog" type="goog.ui.OfflineInstallDialog">The dialog this is a screen
        ///     for.</param>
        /// <field name="TYPE" type="string">The type of this screen.</field>
        /// <returns type="goog.ui.OfflineInstallDialog.InstallingGearsScreen"/>
    };

    var $x = window.goog.ui.OfflineInstallDialog.InstallingGearsScreen;
    $x.prototype = {
                
        getButtonSet: function() {
            /// <summary>Gets the button set for the dialog when the user is suposed to be installing
            /// Gears.</summary>
            /// <returns type="goog.ui.Dialog.ButtonSet">The button set.</returns>
        }, 
        
        getContent: function() {
            /// <summary>Gets the content for the dialog when the user is suposed to be installing
            /// Gears.</summary>
            /// <returns type="string">The content of the dialog as html.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineInstallDialog.InstallingGearsScreen";
})(this);
