
/* vsdoc for goog.ui.Separator */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Separator = function(opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_renderer" type="goog.ui.MenuSeparatorRenderer=">Renderer to render or
        ///    decorate the separator; defaults to {@link goog.ui.MenuSeparatorRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///    document interaction.</param>
        /// <returns type="goog.ui.Separator"/>
    };

    var $x = window.goog.ui.Separator;
    $x.prototype = {
                
        enterDocument: function() {
            /// <summary>Configures the component after its DOM has been rendered.  Overrides
            /// {@link goog.ui.Control#enterDocument} by making sure no event handler
            /// is allocated.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Separator";
})(this);
