
/* vsdoc for goog.ui.ToolbarColorMenuButton */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarColorMenuButton = function(content, opt_menu, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or existing DOM
        ///     structure to display as the button&apos;s caption.</param>
        /// <param name="opt_menu" type="goog.ui.Menu=">Menu to render under the button when clicked;
        ///     should contain at least one {@link goog.ui.ColorPalette} if present.</param>
        /// <param name="opt_renderer" type="goog.ui.ColorMenuButtonRenderer=">Optional
        ///     renderer used to render or decorate the button; defaults to
        ///     {@link goog.ui.ToolbarColorMenuButtonRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM hepler, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.ToolbarColorMenuButton"/>
    };

    var $x = window.goog.ui.ToolbarColorMenuButton;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarColorMenuButton";
})(this);
