
/* vsdoc for goog.ui.TriStateMenuItem */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TriStateMenuItem = function(content, opt_model, opt_domHelper, opt_renderer){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure
        ///     to display as the content of the item (use to add icons or styling to
        ///     menus).</param>
        /// <param name="opt_model" type="Object=">Data/model associated with the menu item.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper used for
        ///     document interactions.</param>
        /// <param name="opt_renderer" type="goog.ui.MenuItemRenderer=">Optional renderer.</param>
        /// <field name="State" type="">Checked states for component.</field>
        /// <returns type="goog.ui.TriStateMenuItem"/>
    };

    var $x = window.goog.ui.TriStateMenuItem;
    $x.prototype = {
                
        getCheckedState: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.TriStateMenuItem.State">The menu item&apos;s check state.</returns>
        }, 
        
        setCheckedState: function(state) {
            /// <summary>Sets the checked state.</summary>
            /// <param name="state" type="goog.ui.TriStateMenuItem.State">The checked state.</param>
        }, 
        
        performActionInternal: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TriStateMenuItem";
})(this);
