
/* vsdoc for goog.ui.TriStateMenuItemRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TriStateMenuItemRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">CSS class name the renderer applies to menu item elements.</field>
        /// <returns type="goog.ui.TriStateMenuItemRenderer"/>
    };

    var $x = window.goog.ui.TriStateMenuItemRenderer;
    $x.prototype = {
                
        decorate: function(item, element) {
            /// <summary>Overrides {@link goog.ui.ControlRenderer#decorate} by initializing the
            /// menu item to checkable based on whether the element to be decorated has
            /// extra styling indicating that it should be.</summary>
            /// <param name="item" type="goog.ui.Control">goog.ui.MenuItem to decorate the element.</param>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="Element">Decorated element.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TriStateMenuItemRenderer";
})(this);
