
/* vsdoc for goog.ui.ac */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ac = {
        /// <summary></summary>
        /// <returns type="goog.ui.ac"/>
                
        createSimpleAutoComplete: function(data, input, opt_multi, opt_useSimilar) {
            /// <summary>Factory function for building a basic autocomplete widget that autocompletes
            /// an inputbox or text area from a data array.</summary>
            /// <param name="data" type="Array">Data array.</param>
            /// <param name="input" type="Element">Input element or text area.</param>
            /// <param name="opt_multi" type="boolean=">Whether to allow multiple entries separated with
            ///     semi-colons or commas.</param>
            /// <param name="opt_useSimilar" type="boolean=">use similar matches. e.g. &quot;gost&quot; => &quot;ghost&quot;.</param>
            /// <returns type="!goog.ui.ac.AutoComplete">A new autocomplete object.</returns>
        }
        
    };

    var $x = window.goog.ui.ac;
    $x.__namespace = "true";
    $x.__typeName = "goog.ui.ac";
})(this);
