
/* vsdoc for goog.ui.emoji.Emoji */

(function (window) {
    window.goog.ui.emoji = window.goog.ui.emoji || {};

    window.goog.ui.emoji.Emoji = function(url, id){
        /// <summary></summary>
        /// <param name="url" type="string">URL pointing to the source image for the emoji.</param>
        /// <param name="id" type="string">The id of the emoji, e.g., &apos;std.1&apos;.</param>
        /// <field name="ATTRIBUTE" type="string">The name of the goomoji attribute, used for emoji image elements.</field>
        /// <returns type="goog.ui.emoji.Emoji"/>
    };

    var $x = window.goog.ui.emoji.Emoji;
    $x.prototype = {
                
        getUrl: function() {
            /// <summary></summary>
            /// <returns type="string">The URL for this emoji.</returns>
        }, 
        
        getId: function() {
            /// <summary></summary>
            /// <returns type="string">The id of this emoji.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.emoji.Emoji";
})(this);
