
/* vsdoc for goog.ui.equation.EditorPane */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.EditorPane = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="setEquation" type="">Sets the equation to show in this tab pane.</field>
        /// <field name="getEquation" type="string"></field>
        /// <field name="isModified" type="boolean"></field>
        /// <returns type="goog.ui.equation.EditorPane"/>
    };

    var $x = window.goog.ui.equation.EditorPane;
    $x.prototype = {
                
        setVisible: function(visible) {
            /// <summary>Sets the visibility of this tab pane.</summary>
            /// <param name="visible" type="boolean">Whether this tab should become visible.</param>
        }, 
        
        setHelpUrl: function(url) {
            /// <summary>Sets the help link URL to show in this tab pane.</summary>
            /// <param name="url" type="string">The help link URL.</param>
        }, 
        
        getHelpUrl: function() {
            /// <summary></summary>
            /// <returns type="string">The help link URL.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.EditorPane";
})(this);
