
/* vsdoc for goog.ui.equation.PaletteEvent */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.PaletteEvent = function(type, palette, opt_target){
        /// <summary></summary>
        /// <param name="type" type="string">Type of the event.</param>
        /// <param name="palette" type="goog.ui.equation.Palette">The palette that the
        ///     event is fired on.</param>
        /// <param name="opt_target" type="Element=">The optional target of the event.</param>
        /// <field name="Type" type="">The type of events that can be fired on palettes.</field>
        /// <returns type="goog.ui.equation.PaletteEvent"/>
    };

    var $x = window.goog.ui.equation.PaletteEvent;
    $x.prototype = {
                
        getPalette: function() {
            /// <summary>Returns the palette that this event is fired from.</summary>
            /// <returns type="goog.ui.equation.Palette">The palette this event is
            ///     fired from.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.PaletteEvent";
})(this);
