
/* vsdoc for goog.ui.menuBar */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.menuBar = {
        /// <summary></summary>
        /// <returns type="goog.ui.menuBar"/>
                
        create: function(opt_renderer, opt_domHelper) {
            /// <summary>The menuBar factory creates a new menu bar.</summary>
            /// <param name="opt_renderer" type="goog.ui.ContainerRenderer=">Renderer used to render or
            ///     decorate the menu bar; defaults to {@link goog.ui.MenuBarRenderer}.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">DOM helper, used for document
            ///     interaction.</param>
            /// <returns type="goog.ui.Container"></returns>
        }
        
    };

    var $x = window.goog.ui.menuBar;
    $x.__namespace = "true";
    $x.__typeName = "goog.ui.menuBar";
})(this);
