
/* vsdoc for goog.ui.tree.TreeNode */

(function (window) {
    window.goog.ui.tree = window.goog.ui.tree || {};

    window.goog.ui.tree.TreeNode = function(html, opt_config, opt_domHelper){
        /// <summary></summary>
        /// <param name="html" type="string">The html content of the node label.</param>
        /// <param name="opt_config" type="Object=">The configuration for the tree. See
        ///    goog.ui.tree.TreeControl.DefaultConfig. If not specified, a default config
        ///    will be used.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <returns type="goog.ui.tree.TreeNode"/>
    };

    var $x = window.goog.ui.tree.TreeNode;
    $x.prototype = {
                
        getTree: function() {
            /// <summary>Returns the tree</summary>
            /// <returns type="goog.ui.tree.TreeControl?">The tree.</returns>
        }, 
        
        getCalculatedIconClass: function() {
            /// <summary>Returns the source for the icon.</summary>
            /// <returns type="string">Src for the icon.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.tree.TreeNode";
})(this);
